2010-03-19  Michael Albinus  <michael.albinus@gmx.de>

	* auth-source.el (netrc-machine-user-or-password): Autoload.

2010-03-19  Glenn Morris  <rgm@gnu.org>

	Stop message.el from loading about 40 libraries it doesn't always need.
	The general approach is to autoload rather than require, and to
	require in the specific functions rather than the file.  (Bug#5642)

	* gmm-utils.el: Don't require wid-edit.
	(widget-create-child-value, widget-convert, widget-default-get):
	Autoload.

	* gnus-util.el: Don't require time-date, netrc.
	(message-fetch-field, gnus-group-name-decode): Declare rather than
	autoloading.
	(gnus-fetch-field): Require message.
	(gnus-decode-newsgroups): Require gnus-group.

	* ietf-drums.el: Don't require time-date.

	* message.el: Don't require hashcash, canlock, ecomplete.
	Do require mail-utils.  Require nnheader only when compiling.
	(smtpmail-default-smtp-server): Remove declaration.
	(message-send-mail-function): Check smtpmail-default-smtp-server
	is bound rather than requiring smtpmail.
	(message-auto-save-directory, message-insert-signature): Use
	expand-file-name rather than nnheader-concat.
	(nnheader-insert-file-contents): Autoload.
	(hashcash-wait-async): Declare.
	(message-send-mail): Only call gnus-setup-posting-charset if
	gnus-group-posting-charset-alist is bound.  Require hashcash if needed.
	(message-send-mail-with-sendmail): Require sendmail.
	(canlock-password, canlock-password-for-verify): Declare.
	(message-canlock-password): Require canlock.
	(nnheader-get-report): Autoload.
	(gnus-setup-posting-charset): Declare.
	(message-send-news): Require gnus-msg.
	(message-make-references, message-make-in-reply-to): Use mail-header-id
	rather than the alias mail-header-message-id.
	(ecomplete-add-item, ecomplete-save): Declare.
	(message-put-addresses-in-ecomplete): Require ecomplete.
	(ecomplete-display-matches): Autoload.

	* mm-decode.el: Don't require mailcap, gnus-util.
	(gnus-map-function, gnus-replace-in-string, gnus-read-shell-command)
	(message-fetch-field, mailcap-parse-mailcaps, mailcap-mime-info):
	Autoload.
	(mailcap-mime-extensions): Declare.

	* mm-encode.el: Don't require mailcap.
	(mailcap-extension-to-mime): Autoload.

	* mml-sec.el: Don't require password-cache.

	* mml.el (gnus-setup-posting-charset): Declare rather than autoload.
	(mailcap-parse-mimetypes, mailcap-mime-types): Declare.
	(mml-minibuffer-read-type): Require mailcap.
	(mml-preview): Require gnus-msg.

	* mml1991.el: Require password-cache.
	(password-cache-expiry): Remove declaration.

	* mml2015.el: Require password-cache.
	(password-cache-expiry): Remove declaration.

	* nneething.el (mailcap): Require mailcap.

	* nnheader.el: (declare-function): Add compatibility stub.
	(message-remove-header): Declare rather than autoload.
	(nnheader-replace-header): Require message.

	* nnimap.el (declare-function): Add compatibility stub.
	(netrc-parse, netrc-machine-user-or-password): Declare.
	(nnimap-open-connection): Require netrc.

	* nntp.el (declare-function): Add compatibility stub.
	(netrc-parse, netrc-machine, netrc-get): Declare.
	(nntp-send-authinfo): Require netrc.

	* rfc2047.el: Don't require qp.
	(quoted-printable-encode-region, quoted-printable-decode-string):
	Autoload.

	* sieve-mode.el: Don't require easymenu.
	(easy-menu-add-item): Autoload it.

	* spam-stat.el (time-to-number-of-days): Autoload it.

2010-03-17  Kevin Ryde  <user42@zip.com.au>

	* mml.el (mml-read-tag): Unquote values with `read' to reverse
	prin1 in mml-insert-tag (just stripping the quotes gave wrong
	value if any backslash escapes).

2010-03-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-charset-to-coding-system): Use coding-system-from-name
	if it is available.  (bug#5647)

2010-02-26  Glenn Morris  <rgm@gnu.org>

	* message.el (message-send-mail-function): Change the default, so that
	it inherits from a customized send-mail-function.  (Bug#5643)

2010-02-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-art.el (gnus-treat-display-x-face): Don't burp if
	shell-command-to-string signals an error (bug#5299).

2010-02-24  Glenn Morris  <rgm@gnu.org>

	* message.el (message-smtpmail-send-it)
	(message-send-mail-with-mailclient): Doc fixes.

2010-02-16  Glenn Morris  <rgm@gnu.org>

	* message.el (message-default-mail-headers): Change the default value
	to ease the transition from mail-mode to message-mode.  (Bug#5555)

2010-01-17  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-mail): Just pass yank-action on to message-setup.
	(message-setup): Handle (FUN . ARGS) form of yank-action.
	(message-with-reply-buffer, message-widen-reply)
	(message-yank-original): Handle non-buffer values of
	message-reply-buffer (Bug#4080).
	(message-setup-1): Prefer to save message-reply-buffer as a buffer.

2010-01-17  Juanma Barranquero  <lekktu@gmail.com>

	* nnmairix.el (nnmairix-group-delete-recreate-this-group):
	Fix typo in docstring.

2010-01-08  Jason Rumney  <jasonr@gnu.org>

	* sieve-manage.el (sieve-manage-parse-capability-1): Loosely match OK
	response.

2010-01-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-describe-bindings): Work for prefix keys.

	* message.el (message-check-news-header-syntax): Protect against a
	string that `rfc822-addresses' returns when parsing fails.

2010-01-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-invisible-p, gnus-next-char-property-change)
	(gnus-previous-char-property-change): New functions.

	* gnus-sum.el (gnus-forward-line-ignore-invisible): Use them.

2010-01-05  Andreas Schwab  <schwab@linux-m68k.org>

	* gnus-sum.el (gnus-forward-line-ignore-invisible): New function.
	(gnus-summary-recenter): Use it instead of forward-line.  (Bug#5257)

2010-01-02  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-exchange-point-and-mark): Rework last change to
	avoid using optional arg of exchange-point-and-mark, for backward
	compatibility.

2010-01-01  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-exchange-point-and-mark): Call
	exchange-point-and-mark with an argument rather than setting
	mark-active by hand (Bug#5175).

2009-12-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-service-to-port): Work for service expressed with
	numeric string; replace [:digit:] with [0-9] for XEmacs.

2009-12-17  Glenn Morris  <rgm@gnu.org>

	* gnus-group.el (gnus-bug-group-download-format-alist):
	Change emacs entry to debbugs.gnu.org.  Bump :version.

2009-12-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-encode.el (mm-sign-option, mm-encrypt-option): Add :version tag.

2009-12-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-info): Explain why we use `Info-goto-node'.

2009-12-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-completion-in-region): New compatibility function.
	(message-expand-group): Use it.

2009-12-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-prepare-flat): Check also whether groups
	with no unread article should be listed if the 2nd arg `predicate' is
	given.

2009-11-29  Juri Linkov  <juri@jurta.org>

	* gnus-sum.el (gnus-recenter): Use `recenter-top-bottom'
	when it is fboundp in GNU Emacs 23.1.  Put `isearch-scroll' property
	on `gnus-recenter'.  (Bug#4698, Bug#4981)

2009-11-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-from-style, message-interactive)
	(message-signature): Always set default values from the corresponding
	mail-* variables.
	(message-cite-prefix-regexp, message-sendmail-envelope-from)
	(message-yank-prefix, message-indentation-spaces)
	(message-signature-file, message-default-headers): Use boundp rather
	than (featurep 'xemacs) to check if the corresponding mail-* variables
	exist.

2009-11-20  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-send-mail-with-sendmail): Revert last change.

2009-11-19  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-from-style, message-interactive)
	(message-cite-prefix-regexp, message-sendmail-envelope-from)
	(message-yank-prefix, message-indentation-spaces, message-signature)
	(message-signature-file, message-default-headers): For GNU Emacs, set
	default values from the corresponding mail-* variables.
	(message-send-mail-with-sendmail): Use envelope-from only if
	mail-specify-envelope-from is non-nil.

2009-11-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-decode-region): Don't quote decoded words
	containing tspecial characters if they have been already quoted.

2009-10-24  Glenn Morris  <rgm@gnu.org>

	* gnus-art.el (help-xref-stack-item): Define for compiler.

2009-10-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-remove-overlays): eval-and-compile.

2009-10-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-show-thread): Remove useless goto-char.
	(gnus-summary-show-thread, gnus-summary-hide-thread): Indent.

2009-10-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-overlay-get): New alias to overlay-get.
	(gnus-overlays-in): New alias to overlays-in.

	* gnus-sum.el (gnus-remove-overlays): Use gnus-overlays-in,
	gnus-overlay-get, and gnus-delete-overlay.
	(gnus-summary-show-thread): Make it work as well for systems in which
	next-single-char-property-change is not available.
	(gnus-summary-hide-thread): Use gnus-make-overlay and gnus-overlay-put.

2009-10-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-remove-overlays): Add doc string and alias.

2009-10-14  Dan Nicolaescu  <dann@ics.uci.edu>

	* gnus-sum.el (gnus-remove-overlays): Compatibility code for Emacs 21
	and XEmacs that don't have `remove-overlays'.

2009-10-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-sum.el (gnus-summary-mode, gnus-summary-show-all-threads)
	(gnus-summary-show-thread, gnus-summary-hide-thread): Get rid of
	selective display.  Use overlays instead.

2009-10-04  Juanma Barranquero  <lekktu@gmail.com>

	* spam-stat.el (spam-stat-strip-xref): Fix typo in docstring.

2009-09-29  Juanma Barranquero  <lekktu@gmail.com>

	* spam-stat.el (spam-stat-load): Fix typo in message.

2009-09-23  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-art.el (gnus-article-encrypt-body):
	* message.el (message-check-recipients):
	* mm-util.el (mm-codepage-setup):
	* nnir.el (gnus-summary-nnir-goto-thread, nnir-run-waissearch)
	(nnir-run-swish++, nnir-run-swish-e): Fix typos in error messages.

2009-09-22  Daiki Ueno  <ueno@unixuser.org>

	* mm-encode.el (mm-sign-option, mm-encrypt-option): New user option.
	* mml2015.el (mml2015-epg-sign, mml2015-epg-encrypt): Let users select
	keys from the menu if mm-{sign,encrypt}-option is 'guided.
	* mml-smime.el (mml-smime-epg-sign, mml-smime-epg-encrypt): Ditto.
	* mml1991.el (mml1991-epg-sign, mml1991-epg-encrypt): Ditto.

2009-09-18  Glenn Morris  <rgm@gnu.org>

	* gnus-diary.el (gnus-diary-check-message):
	* message.el (message-insert-formatted-citation-line):
	* nnbabyl.el (top-level):
	* nndiary.el (nndiary-schedule):
	Fix typos in condition-case handlers.

2009-09-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-edit-part): Work for the buffer
	configuration that provides the sole article window in a frame;
	position point correctly after deleting a part.

2009-09-14  Adam Sjøgren  <asjo@koldfront.dk>

	* spam.el (spam-unregister-on-reregister): Add boolean variable.
	(spam-resolve-registrations-routine): Use it to unregister articles
	that change status.

2009-09-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-request-article): Remove binding of
	default-enable-multibyte-characters that has gotten needless by
	the 2007-07-13 change in rfc2047-encode-message-header.

	* mml.el (mml-insert-multipart): Error on the message header.
	(mml-insert-part): Error on the message header; position point at
	the end of a MIME tag.

2009-09-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (with-no-warnings): Define it for old Emacsen.
	(gnus-float-time): Alias to float-time if it exists.

	* ecomplete.el (with-no-warnings): Define it for old Emacsen.
	(ecomplete-add-item): Don't use (featurep 'xemacs) to check if
	float-time is available; suppress compile warning for time-to-seconds.

2009-09-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-encode.el (mm-encode-buffer): Don't force 7bit encoding since MTA
	may break data.  Suggested by Dmitri Paduchikh <dpaduch@k66.ru>.
	Add the optional argument `encoding' that overrides the default.

	* mml.el (mml-generate-mime-1): Pass encoding defined by a user to
	mm-encode-buffer.

2009-09-04  Glenn Morris  <rgm@gnu.org>

	* qp.el (quoted-printable-encode-string): Use mm-enable-multibyte, or
	mm-disable-multibyte, rather than default-enable-multibyte-characters.
	* utf7.el (utf7-encode, utf7-decode): Use mm-with-multibyte-buffer, or
	mm-with-unibyte-buffer, rather than default-enable-multibyte-characters.
	* mm-util.el (mm-with-unibyte-current-buffer)
	(mm-find-buffer-file-coding-system):
	* yenc.el (yenc-decode-region): Use default-value rather than
	default-enable-multibyte-characters.

2009-09-03  Glenn Morris  <rgm@gnu.org>

	* mm-util.el (mm-emacs-mule, mm-default-multibyte-p):
	* rfc2047.el (rfc2047-encode-message-header): Use default-value rather
	than default-enable-multibyte-characters.

2009-09-02  Karl Kleinpaste  <karl@kleinpaste.org>

	* gnus-art.el (gnus-article-read-summary-keys):
	Fix gnus-buffer-configuration's value temporarily used.

2009-09-02  Glenn Morris  <rgm@gnu.org>

	* gnus-util.el (gnus-float-time): New function.
	* gnus-delay.el (gnus-delay-article):
	* gnus-sum.el (gnus-thread-latest-date):
	* gnus-util.el (gnus-user-date): Use gnus-float-time.
	* nnspool.el (nnspool-request-newgroups):
	Use gnus-float-time rather than time-to-seconds.
	* ecomplete.el (ecomplete-add-item): In Emacs, use float-time.

	* gnus-art.el (gnus-signature-face, gnus-header-from-face)
	(gnus-header-subject-face, gnus-header-newsgroups-face)
	(gnus-header-name-face, gnus-header-content-face):
	* gnus-cite.el (gnus-cite-attribution-face, gnus-cite-face-1)
	(gnus-cite-face-2, gnus-cite-face-3, gnus-cite-face-4)
	(gnus-cite-face-5, gnus-cite-face-6, gnus-cite-face-7)
	(gnus-cite-face-8, gnus-cite-face-9, gnus-cite-face-10)
	(gnus-cite-face-11):
	* gnus-picon.el (gnus-picon-xbm-face, gnus-picon-face):
	* gnus-srvr.el (gnus-server-agent-face, gnus-server-opened-face)
	(gnus-server-closed-face, gnus-server-denied-face)
	(gnus-server-offline-face):
	* gnus.el (gnus-group-news-1-face, gnus-group-news-1-empty-face)
	(gnus-group-news-2-face, gnus-group-news-2-empty-face)
	(gnus-group-news-3-face, gnus-group-news-3-empty-face)
	(gnus-group-news-4-face, gnus-group-news-4-empty-face)
	(gnus-group-news-5-face, gnus-group-news-5-empty-face)
	(gnus-group-news-6-face, gnus-group-news-6-empty-face)
	(gnus-group-news-low-face, gnus-group-news-low-empty-face)
	(gnus-group-mail-1-face, gnus-group-mail-1-empty-face)
	(gnus-group-mail-2-face, gnus-group-mail-2-empty-face)
	(gnus-group-mail-3-face, gnus-group-mail-3-empty-face)
	(gnus-group-mail-low-face, gnus-group-mail-low-empty-face)
	(gnus-summary-selected-face, gnus-summary-cancelled-face)
	(gnus-summary-high-ticked-face, gnus-summary-low-ticked-face)
	(gnus-summary-normal-ticked-face, gnus-summary-high-ancient-face)
	(gnus-summary-low-ancient-face, gnus-summary-normal-ancient-face)
	(gnus-summary-high-undownloaded-face)
	(gnus-summary-low-undownloaded-face)
	(gnus-summary-normal-undownloaded-face)
	(gnus-summary-high-unread-face, gnus-summary-low-unread-face)
	(gnus-summary-normal-unread-face, gnus-summary-high-read-face)
	(gnus-summary-low-read-face, gnus-summary-normal-read-face)
	(gnus-splash-face):
	* message.el (message-header-to-face, message-header-cc-face)
	(message-header-subject-face, message-header-newsgroups-face)
	(message-header-other-face, message-header-name-face)
	(message-header-xheader-face, message-separator-face)
	(message-cited-text-face, message-mml-face):
	* sieve-mode.el (sieve-control-commands-face)
	(sieve-action-commands-face, sieve-test-commands-face)
	(sieve-tagged-arguments-face):
	* spam.el (spam-face):
	Mark face aliases with "-face" in the name as obsolete.

2009-09-01  Glenn Morris  <rgm@gnu.org>

	* gnus-salt.el (gnus-pick-mouse-pick-region): Use forward-line rather
	than goto-line.

2009-08-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-attach-file, mml-attach-buffer, mml-attach-external):
	Don't move point if the command is invoked inside the message header.

2009-08-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* spam.el (spam-ifile-path, spam-bogofilter-path, spam-sa-learn-path)
	(spam-ifile-database-path, spam-bsfilter-path, spam-spamassassin-path):
	* nnmail.el (nnmail-spool-file, nnmail-fix-eudora-headers):
	* nnir.el (nnir-swish-e-index-file):
	* gnus-sum.el (gnus-summary-delete-marked-as-read)
	(gnus-summary-delete-marked-with, gnus-summary-mark-as-unread-forward)
	(gnus-summary-mark-as-unread-backward, gnus-summary-mark-as-unread):
	* gnus-msg.el (gnus-inews-mark-gcc-as-read):
	* gnus-art.el (gnus-article-hide-pgp-hook, gnus-treat-strip-pgp)
	(gnus-treat-display-xface): Add Emacs version of obsolescence.

2009-08-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-attach-file, mml-attach-buffer, mml-attach-external):
	Don't save excursion.

2009-08-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnheader.el (nnheader-find-file-noselect):
	* mm-util.el (mm-insert-file-contents):
	Use (default-value 'major-mode) instead of default-major-mode.

2009-08-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnrss.el (nnrss-request-article): Avoid default-fill-column.

2009-08-25  Glenn Morris  <rgm@gnu.org>

	* nnir.el (top-level): Don't require cl at run-time.
	(nnir-run-waissearch, nnir-run-swish-e, nnir-run-hyrex):
	Replace cl-function substitute with gnus-replace-in-string.
	(nnir-run-waissearch, nnir-run-swish++, nnir-run-swish-e)
	(nnir-run-hyrex, nnir-run-namazu): Replace cl-function sort* with sort.
	(nnir-run-find-grep): Replace cl-functions find-if and subseq with
	simplified expansions.

2009-08-22  Glenn Morris  <rgm@gnu.org>

	* gnus-art.el (gnus-button-patch): Use forward-line rather than
	goto-line.

2009-08-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-safe-html-newsgroups): New user option.

	* gnus-art.el (gnus-bind-safe-url-regexp): New macro.
	(gnus-mime-view-all-parts, gnus-mime-view-part-internally)
	(gnus-mm-display-part, gnus-mime-display-single)
	(gnus-mime-display-alternative): Use gnus-bind-safe-url-regexp to
	override mm-w3m-safe-url-regexp according to gnus-safe-html-newsgroups.

	* gnus-sum.el
	(gnus-mark-copied-or-moved-articles-as-expirable): New user option.
	(gnus-summary-move-article): Add expirable mark to articles copied or
	moved to group that has auto-expire turned on if the option is non-nil.

2009-07-24  Glenn Morris  <rgm@gnu.org>

	* gnus-demon.el (gnus-demon-add-nntp-close-connection):
	Fix typo.  (Bug#3903)

2009-07-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-mode-map): Bind the "e" key to
	gnus-article-read-summary-keys rather than gnus-summary-edit-article
	that should not be used for draft articles.
	(gnus-article-read-summary-keys): Use key-binding instead of lookup-key
	that has no concern in minor mode keys.
	(gnus-article-summary-command, gnus-article-summary-command-nosave):
	Abolish.

2009-07-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-request-article): Allow mml-to-mime to generate MIME
	article without making inquiry to a user for unknown encoding.

	* nnmaildir.el (nnmaildir--group-maxnum, nnmaildir--new-number)
	(nnmaildir--scan): Assume i-node and device number that file-attributes
	returns might be cons-cell.

2009-07-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: Remove docs now in auth.texi.  Don't use
	`gnus-message' for logging.  Add new variables `auth-source-debug' and
	`auth-source-hide-passwords' and use them.

2009-07-15  Glenn Morris  <rgm@gnu.org>

	* gnus-spec.el (gnus-make-format-preserve-properties): Doc fix.

2009-07-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-make-rss-group): Strip newlines and
	excessive whitespace from the default values of title and description.

2009-06-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-dissect-buffer): Use message-fetch-field instead of
	mail-fetch-field to fetch Content-Description header in order to
	exclude newlines.

2009-06-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-delete-part): Specify gnus-decoded as charset
	to deleted part.

2009-05-30  David Engster  <dengste@eml.cc>

	* nnmairix.el: Remove old documentation in the commentary block.
	(nnmairix-request-group): Do not update active file for nnml back ends.
	(nnmairix-retrieve-headers): Set gnus-nov-is-evil to t for nnimap back
	end so that overview files are ignored.
	(nnmairix-update-groups): Make updating the groups more robust by using
	marks.
	(nnmairix-determine-original-group-from-path): Circumvent mairix bug
	with dollar characters in message-id.

2009-04-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam.el: Use dns-query instead of query-dns.  Was renamed on
	2008-12-25 in dns.el.

2009-04-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* rfc2047.el (rfc2047-decode-region): Don't skip past `start', which
	could happen if the text is only composed of spaces and/or tabs.

2009-03-03  Brian Sniffen  <bts@evenmere.org>  (tiny change)

	* gnus-draft.el (gnus-draft-send): Bind gnus-message-setup-hook to nil
	when sending a queued message to avoid extra mml tags.

2009-03-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-insert-mime): Don't break parts that mm-uu dissected.

2009-02-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-dired.el: Remove autoload for gnus-setup-message.
	(gnus-dired-attach): Fake this-command value to prevent Gnus from
	displaying Gnus logo; always use compose-mail.

2009-02-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-dired.el: Tell autoload that gnus-setup-message is a macro.

2009-02-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-nocem.el (gnus-nocem-groups): Remove invalid NoCeM groups.
	(gnus-nocem-issuers): List currently active issuers; fix custom type.
	(gnus-nocem-verifyer): Default to gnus-nocem-epg-verify if EasyPG is
	available.
	(gnus-nocem-epg-verify): New function.

2009-02-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-alist): Recognize Konqueror info links.

2009-02-15  Glenn Morris  <rgm@gnu.org>

	* gnus-util.el (rmail-insert-rmail-file-header)
	(rmail-count-new-messages, rmail-show-message): Remove unnecessary
	autoloads.
	(rmail-default-rmail-file): Remove unnecessary declaration.
	(gnus-output-to-rmail): Handle mbox Rmail as well as Babyl Rmail.

2009-02-14  Glenn Morris  <rgm@gnu.org>

	* gnus.el (rmail-default-rmail-file): Remove declaration of deleted
	variable (only used in gnus-util, which declares it anyway).
	(rmail-output-to-rmail-file): Remove autoload of deleted function,
	which was only needed by gnus-art (changed to not use it any more).
	(rmail-insert-rmail-file-header): Remove autoload of deleted function,
	only used in gnus-util, which autoloads it itself.
	(rmail-update-summary): Fix autoload.

	* gnus-art.el (gnus-summary-save-in-mail): Use gnus-output-to-rmail
	rather than rmail-output-to-rmail-file.

2009-02-07  Glenn Morris  <rgm@gnu.org>

	* message.el (rmail-msg-restore-non-pruned-header): Remove unneeded
	autoload of function that no longer exists.
	(rmail-toggle-header): Declare.
	(message-forward-rmail-make-body): Handle mbox Rmail.

2009-01-31  Glenn Morris  <rgm@gnu.org>

	* gnus-sum.el (gnus-summary-next-article): XEmacs-friendly version of
	2009-01-09 change.

2009-01-26  Teodor Zlatanov  <tzlatanov@jumptrading.com>

	* auth-source.el (auth-source-forget-user-or-password): Clarify docs.
	(auth-source-forget-all-cached): New convenience function.
	(auth-source-user-or-password): Accept list of modes or a single mode.

	* mail-source.el (mail-source-bind, mail-source-set-1): Use list of
	auth-source modes.

	* nnimap.el (nnimap-open-connection): Use list of
	auth-source modes.

	* nntp.el (nntp-send-authinfo): Use list of
	auth-source modes.

2009-01-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: Update docs to reflect epa-file-enable is to be used
	now.

2009-01-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmail.el (nnmail-pathname-coding-system): Default to the `file-name'
	coding system in XEmacs; add a workaround for XEmacs.

2009-01-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-coding-system-priorities): Protect against nil value
	of current-language-environment.

2009-01-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnfolder.el (nnfolder-read-folder): Check if most-positive-fixnum is
	available at runtime.

2009-01-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-date-ut): Fix end point of narrowing.

2009-01-11  Aidan Kehoe  <kehoea@parhasard.net>

	* nnfolder.el (nnfolder-read-folder): The (lsh -1 -1) trick to generate
	the greatest positive fixnum value doesn't work under an XEmacs with
	bignum support; use the most-positive-fixnum constant instead,
	available since Emacs 21.1 with cl and XEmacs 21.1.

2009-01-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-next-article): Revert last change by which
	XEmacs gets not to work.

2009-01-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-coding-system-priorities): Allow the value like
	"Japanese (UTF-8)" of current-language-environment.

2009-01-09  Glenn Morris  <rgm@gnu.org>

	* gnus-sum.el (gnus-summary-next-article): Replace last-command-char
	with last-command-event.

2009-01-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-fix-before-sending): Amend comment.

2009-01-07  David Engster  <dengste@eml.cc>

	* gnus-msg.el (gnus-inews-do-gcc): Fix last patch to deal with
	simplified server definitions by converting it via
	gnus-server-to-method.

2009-01-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-set-local-parameters): Always evaluate
	parameter's operands.

2009-01-06  David Engster  <dengste@eml.cc>

	* gnus-msg.el (gnus-inews-do-gcc): Reduce to short group name when on
	primary select method (for gnus-group-mark-article-as-read).

2009-01-06  Tassilo Horn  <tassilo@member.fsf.org>

	* gnus-art.el (gnus-treat-display-face): Fix docstring link to point to
	`(gnus)Face', not `(gnus)X-Face'.

2009-01-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-ucs-to-char): New function.

	* mm-url.el (mm-url-decode-entities): Use it.

2009-01-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-fix-before-sending): Add `eight-bit' to
	illegible-text check.

2009-01-03  Michael Olson  <mwolson@gnu.org>

	* nnimap.el (nnimap-retrieve-headers-progress): Handle edge case where
	`headers' is nil.  This can occur if the IMAP server does not have
	permissions to read messages from a folder, but can write new messages
	to the folder.
	(nnimap-request-article-part): Do not insert `data' if it is nil.

2009-01-01  Dave Love  <fx@gnu.org>

	* nnimap.el (nnimap-find-minmax-uid): Use imap-fetch-safe.

	* nnimap.el: Fix author email.
	(nnimap-split-rule): Add FIXME comment.
	(nnimap-debug): Fix doc string.

2008-12-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-set-article-display-arrow): Make
	overlay-arrow-position and overlay-arrow-string buffer-local; no need
	to check if those variables exist (first appeared in Emacs 18.50).

2008-12-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-line-number-at-pos): New function.

	* spam-report.el (spam-report-process-queue): Use it.

2008-12-24  David Engster  <dengste@eml.cc>

	* gnus-sum.el (gnus-summary-set-local-parameters): Don't bind
	parameters that haven't existed as variables as buffer-local variables.

2008-12-23  Dave Love  <fx@gnu.org>

	* legacy-gnus-agent.el (gnus-agent-unlist-expire-days): Don't use
	cadar.

	* sieve-manage.el (sieve-manage-starttls-p): Renamed from
	imap-starttls-p.
	(sieve-manage-starttls-open): Renamed from imap-starttls-open.

2008-12-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam-report.el (spam-report-gmane-max-requests): New constant.
	(spam-report-gmane-wait): New variable.
	(spam-report-gmane-ham, spam-report-gmane-spam)
	(spam-report-url-ping-plain, spam-report-process-queue): Wait only if
	spam-report-gmane-wait is non-nil should be sufficient to avoid DOS-ing
	the server.

	* nnheader.el (nnheader-read-timeout, nnheader-accept-process-output):
	Add explanations.

	* pop3.el (pop3-accept-process-output, pop3-read-timeout): Use
	nnheader-accept-process-output and nnheader-read-timeout if available.
	(pop3-movemail): Use it.

	* message.el (message-check-news-body-syntax): Fix signature check if
	there's an attachment.

2008-12-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el: Add comments to the mm- emulating functions.

2008-12-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-start.el (gnus-before-startup-hook): Fix doc string.  Reported
	by Stephen Berman <stephen.berman@gmx.net>.

2008-12-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-substring-no-properties): New function.
	(mm-read-charset, mm-subst-char-in-string, mm-replace-in-string)
	(mm-special-display-p): Enable those lambda forms to be byte compiled.
	(mm-string-to-multibyte): Doc fix.

	* mml.el (mml-attach-file): Use mm-substring-no-properties.

2008-12-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml.el (mml-attach-file): Strip text properties from file name.
	(Bug#1574)

2008-12-16  Glenn Morris  <rgm@gnu.org>

	* mm-util.el (mm-charset-override-alist): Declare for compiler.

2008-12-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-generate-mime-1): Prefer the MIME charset that Emacs
	knows since the charset specified might be a bogus alias that
	mm-charset-synonym-alist provides.

2008-12-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-charset-synonym-alist): Add bogus names "UTF8" and
	"ISO_8859-1".

	* gnus-start.el (gnus-backup-startup-file): Improve doc string.

2008-12-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-charset-eval-alist):
	Define it before mm-charset-to-coding-system.
	(mm-charset-to-coding-system): Add optional argument `silent';
	define it before mm-charset-override-alist.
	(mm-charset-override-alist): Add `(gb2312 . gbk)' to the
	default value if it can be used in Emacs currently running;
	silence mm-charset-to-coding-system.

2008-12-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-charset-to-coding-system): Add new argument
	`allow-override' which says whether to use `mm-charset-override-alist'.
	(rfc2047-decode-encoded-words): Use it.

	* mm-util.el (mm-charset-override-alist): Fix custom type;
	add `(gb2312 . gbk)' to choices.

2008-12-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-inline-text-html-render-with-w3m): Make it simple and
	fast.

	* gnus-art.el (gnus-article-wash-html-with-w3m): Ditto.

2008-12-04  Naohiro Aota  <nao.aota@gmail.com>

	* mm-view.el (mm-inline-text-html-render-with-w3m): Put special keymap
	on links.

	* gnus-art.el (gnus-article-wash-html-with-w3m): Ditto.

2008-12-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-idna-to-ascii-rhs-1): Protect against local
	users' addresses that don't have domain parts.
	(message-idna-to-ascii-rhs): Use message-narrow-to-headers-or-head
	rather than message-narrow-to-head since there will be the message
	header separator.

2008-12-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnimap.el (nnimap-retrieve-headers-progress): Don't use nnimap-demule
	since the result is inserted in a unibyte buffer anyway.
	(nnimap-demule-use-string-to-multibyte): Remove.
	(nnimap-demule): Alias it to mm-string-to-multibyte.

2008-11-29  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnimap.el (nnimap-demule-use-string-to-multibyte): New temporary
	variable for debugging bug#464 and bug#1174.
	(nnimap-demule): Use it.

2008-11-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-score.el (gnus-score-find-trace): Handle default score in total
	score calculation correctly.

2008-11-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-send-mail): Just set the buffer to unibyte
	rather than use mm-with-unibyte-current-buffer which does a lot more.
	(message-send-mail-partially): Don't bother with
	mm-with-unibyte-current-buffer since it's already been made unibyte by
	message-send-mail.

2008-11-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnrss.el (nnrss-make-hash-index): Debug message of full item.

2008-11-10  Teodor Zlatanov  <tzz@lifelogs.com>

	* netrc.el (netrc-parse): If a list is passed in as FILE, return it.

2008-11-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* starttls.el (starttls-any-program-available): Rewritten so it doesn't
	require itself and to remove `with-no-warnings'.

2008-11-03  Teodor Zlatanov  <tzz@lifelogs.com>

	* starttls.el (starttls-any-program-available): Get the name of the
	available TLS layer program.
	(starttls-open-steam-gnutls, starttls-open-stream): Put port number as
	well as the host name in the "opening" message.

	* auth-source.el (auth-source-cache, auth-source-do-cache)
	(auth-source-user-or-password): Cache passwords and logins by default,
	allow override with `auth-source-do-cache'.
	(auth-source-forget-user-or-password): Allow users to remove cache
	entries if needed.

2008-10-31  Teodor Zlatanov  <tzz@lifelogs.com>

	* ietf-drums.el (ietf-drums-remove-comments): Localize second
	condition-case to only the forward-sexp call.

2008-10-31  Teodor Zlatanov  <tzz@lifelogs.com>

	* ietf-drums.el (ietf-drums-remove-comments): Fix bug with single
	quotes contained.  Make it more robust regardless by an extra
	condition-case wrapper.

2008-10-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnml.el (nnml-request-expire-articles): Check if the function set to
	`nnmail-expiry-target' returns the symbol `delete'.

	* nnfolder.el (nnfolder-request-expire-articles): Ditto.

	* nnmail.el (nnmail-expiry-target): Fix custom type.

2008-10-02  Glenn Morris  <rgm@gnu.org>

	* mm-util.el (mm-codepage-setup): Tweak codepage error.
	Silence compiler warning.

2008-09-30  Chong Yidong  <cyd@stupidchicken.com>

	* mml.el (mml-menu): Don't assume mml2015 is bound.

2008-09-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-read-summary-keys): Check if summary window
	exists.

2008-09-27  Glenn Morris  <rgm@gnu.org>

	* gnus-util.el (mail-header-remove-comments): Autoload it.

2008-09-27  Andreas Schwab  <schwab@suse.de>

	* gnus-util.el (gnus-split-references): Strip comments.
	(gnus-parent-id): Likewise.

2008-09-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-confirm-send): Fix version.

2008-09-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-idna-to-ascii-rhs-1): Use
	mail-extract-address-components rather than mail-header-parse-addresses
	that is an alias by default to ietf-drums-parse-addresses that does not
	support non-ASCII names in headers' contents.

2008-09-25  Teodor Zlatanov  <tzz@lifelogs.com>

	* message.el (message-confirm-send): Fixed variable documentation to
	avoid the "y/n" wording.

2008-09-25  Francis Litterio  <flitterio@gmail.com>  (tiny change)

	* message.el (message-set-auto-save-file-name): Save to a different
	filename so multiple messages (especially drafts) can be recovered.

2008-09-24  Teodor Zlatanov  <tzz@lifelogs.com>

	* message.el (message-confirm-send): Add appropriate version.

2008-09-22  Teodor Zlatanov  <tzz@lifelogs.com>

	* mm-view.el (mm-pkcs7-enveloped-magic): Fix extra parenthesis in
	defvar.

2008-09-22  Daiki Ueno  <ueno@unixuser.org>

	* mm-view.el (mm-pkcs7-signed-magic): Use literals.
	(mm-pkcs7-enveloped-magic): Ditto.

2008-09-17  Simon Josefsson  <simon@josefsson.org>

	* sieve-manage.el (sieve-manage-is-string): Accept literals too.
	Reported by Arnt Gulbrandsen <arnt@oryx.com>.

2008-09-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-use-long-group-names): Make t the
	default, it's better.

2008-09-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sum.el (gnus-summary-insert-line): Trap errors on setting the
	summary line gnus-number property and ignore them (with a warning
	message).

2008-09-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-make-useful-group): Don't use the compiler
	macro caddr in the interactive form since it won't be expanded.

2008-09-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-set-charset-parameters): Add new argument
	`charset'; fix name of function called recursively.
	(gnus-mime-view-part-as-charset): Don't bind gnus-newsgroup-charset.

2008-09-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-strip-charset-parameters): Remove.
	(gnus-mime-set-charset-parameters): New function.
	(gnus-mime-view-part-as-charset): Use it to correctly display part
	specifying wrong charset.

2008-09-08  David Engster  <dengste@eml.cc>

	* nnmairix.el (nnmairix-create-server-and-default-group): Require match
	in completing-read for back end server.

2008-09-03  Teodor Zlatanov  <tzz@lifelogs.com>

	* message.el (message-confirm-send): New variable to confirm sending a
	message.
	(message-send): Use it.

2008-08-30  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-spec.el (gnus-parse-simple-format): Revert last patch.

2008-08-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-spec.el (gnus-parse-simple-format): Remove trailing whitespace.

2008-08-21  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-max-track-groups): New variable to
	prevent tracking too many groups.
	(gnus-registry-split-fancy-with-parent, gnus-registry-fetch-groups):
	Use it.

2008-08-11  Ralf Angeli  <angeli@caeruleus.net>

	* gnus-art.el (gnus-article-next-page): Respect `scroll-margin' when
	moving point to the bottom of the window in order to avoid recentering.

2008-08-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-next-page, gnus-article-prev-page)
	(gnus-article-next-page-1): Use compiler directive (featurep 'xemacs).
	(gnus-article-beginning-of-window): Fix calculation.

2008-08-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-summary-supersede-article)
	(gnus-summary-resend-message-edit): Bind mail-parse-charset to the
	value of gnus-newsgroup-charset to decode non-MIME encoded text in
	message header.

2008-07-31  Dan Nicolaescu  <dann@ics.uci.edu>

	* message.el:
	* gnus-start.el:
	* gnus-registry.el: Remove VMS support.

2008-07-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2104.el (rfc2104-string-make-unibyte): Define it as a compiler
	macro.
	(rfc2104-hash): Use it.

2008-07-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-sort-by-most-recent-number)
	(gnus-summary-sort-by-most-recent-date): New commands.
	(gnus-summary-mode-map, gnus-summary-make-menu-bar): Add key bindings
	and menu entries.

2008-07-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-summary-save-in-pipe): Generate work buffer always;
	don't redisplay article for raw contents; remove plural articles stuff.

	* gnus-sum.el (gnus-summary-pipe-output): Pipe raw articles by symbolic
	prefix `r'; use gnus-summary-save-in-pipe directly instead of relying
	on gnus-summary-save-article; display results properly.

2008-07-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-summary-save-in-pipe): Add optional argument `raw'.

2008-07-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-summary-save-in-pipe): Consider
	gnus-save-all-headers.

2008-07-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* gnus-util.el (ns-focus-frame): Remove declaration.
	(gnus-select-frame-set-input-focus): Undo previous change.  Treat ns
	like x.

2008-07-21  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* rfc2104.el (rfc2104-zero): Delete defconst.
	(rfc2104-hex-alist): Likewise.
	(rfc2104-hex-to-int): Delete func.
	(rfc2104-hexstring-to-bitstring): Likewise.
	(rfc2104-nybbles): New defconst.
	(rfc2104-hash): Rewrite for speed.

2008-07-16  Glenn Morris  <rgm@gnu.org>

	* gnus-util.el (ns-focus-frame): Declare for compiler.

2008-07-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-save): Ignore gnus-visible-headers that is
	set as a group parameter.
	(gnus-summary-save-in-pipe): Work when it is called independently.
	(gnus-summary-pipe-to-muttprint): Don't modify
	gnus-summary-pipe-output-default-command.

2008-07-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-send-mail-with-sendmail):
	Display the error message.

2008-07-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-default-article-saver):
	Add gnus-summary-save-in-pipe to choices.
	(gnus-summary-save-in-pipe): Add :decode and :headers properties; use
	gnus-summary-pipe-output-default-command as the default command.
	(gnus-summary-pipe-to-muttprint): Update gnus-summary-muttprint-program
	instead of gnus-last-shell-command.

	* gnus-sum.el (gnus-summary-pipe-output-default-command):
	New user option.
	(gnus-summary-muttprint-program): Mention the value will be changed.
	(gnus-summary-save-article): Force showing of all headers.
	(gnus-summary-pipe-output): Work with the 2nd argument HEADERS.

2008-07-01  Rupert Swarbrick  <rswarbrick@googlemail.com>  (tiny change)

	* gnus-score.el (gnus-score-find-trace): Add "Total score" line.

2008-07-02  Juanma Barranquero  <lekktu@gmail.com>

	* nnimap.el (nnimap-id):
	* sieve-manage.el (sieve-manage-open): Doc fixes.

2008-07-02  Francesc Rocher  <rocher@member.fsf.org>

	* gnus.el (gnus-group-startup-message): Prefer SVG or PNG image,
	if available.

2008-06-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-util.el (mm-with-multibyte, mm-with-unibyte): Remove.

	* nnkiboze.el (nnkiboze-generate-group):
	Use explicit mm-disable-multibyte rather than mm-with-unibyte.

	* nnmairix.el: Require CL.

2008-06-15  David Engster  <dengste@eml.cc>

	* nnimap.el (nnimap-request-delete-group): Unselect group if necessary.

2008-06-14  Aidan Kehoe  <kehoea@parhasard.net>

	* gnus-util.el (gnus-put-display-table, gnus-get-display-table):
	New macros that expand to an `aset'/`aref' call under Emacs, and to a
	runtime choice under XEmacs.

	* gnus-sum.el (gnus-summary-set-display-table):
	Use `gnus-put-display-table', `gnus-get-display-table',
	`gnus-set-display-table' for the display table, instead of `aset'.

2008-06-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnmairix.el: Add autoloads.

2008-06-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnmairix.el (nnmairix-delete-recreate-group)
	(nnmairix-update-and-clear-marks): Fix error messages.

2008-06-14  David Engster  <dengste@eml.cc>

	* nnmairix.el: Upgrade to version 0.6.
	(nnmairix-group-toggle-propmarks-this-group)
	(nnmairix-group-toggle-readmarks-this-group)
	(nnmairix-group-delete-recreate-this-group)
	(nnmairix-group-toggle-allowfast-this-group, nnmairix-propagate-marks)
	(nnmairix-remove-tick-mark-original-article): New commands.
	(nnmairix-mairix-search-options, nnmairix-propagate-marks-upon-close)
	(nnmairix-propagate-marks-to-nnmairix-groups)
	(nnmairix-only-use-registry, nnmairix-allowfast-default)
	(nnmairix-marks-cache, nnmairix-version-output): New variables.
	(nnmairix-request-set-mark, nnmairix-request-update-info): New back end
	functions needed for marks propagation and manipulation of read marks.
	(nnmairix-update-groups): New function.
	(nnmairix-get-groups-from-server, nnmairix-delete-recreate-group)
	(nnmairix-determine-original-group-from-registry)
	(nnmairix-determine-original-group-from-path)
	(nnmairix-get-group-from-file-path, nnmairix-map-range)
	(nnmairix-check-mairix-version, nnmairix-group-toggle-parameter):
	New helper functions.
	(nnmairix-group-mode-hook, nnmairix-summary-mode-hook): Insert new
	keystrokes for new commands.
	(nnmairix-delete-and-create-on-change): Doc string cleanup.
	(nnmairix-request-group): Check allow-fast group parameter.
	(nnmairix-request-create-group): Set allow-fast group parameter if
	nnmairix-allowfast-default is set.
	(nnmairix-close-group): Propagate marks upon closing if needed.
	(nnmairix-group-toggle-threads-this-group): Use new.
	nnmairix-group-toggle-parameter helper function.
	(nnmairix-search): Better check for empty search result.
	(nnmairix-goto-original-article): Use new helper functions for
	determining original article.
	(nnmairix-show-original-article): Make sure message-id is in brackets.
	(nnmairix-call-mairix-binary): Change variable name.
	(nnmairix-update-and-clear-marks): Use nnmairix-delete-recreate-group
	helper function.
	(nnmairix-widget-toggle-activate): Fix doc string.

2008-06-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnir.el: Require edmacro when compiling with XEmacs.
	(nnir-run-find-grep): Don't use 3rd arg of `split-string' which is not
	available in Emacs 21.

2008-06-11  Glenn Morris  <rgm@gnu.org>

	* gnus-util.el (x-focus-frame):
	* gnus.el (image-size):
	* mm-decode.el (image-size): Declare.

	* gnus-picon.el (declare-function): Add compat definition.
	(image-size): Declare.

	* gnus-group.el (tool-bar-map):
	* gnus-sum.el (tool-bar-map): Define for compiler.

	* gnus-ems.el (gnus-x-splash): Check tool-bar-mode is bound.

	* nnfolder.el (gnus-intersection): Remove unnecessary autoload.

	* gnus-agent.el, gnus-cache.el, gnus-ems.el, gnus-group.el:
	* gnus-logic.el, gnus-msg.el, gnus-util.el, gnus.el, mail-source.el:
	* message.el, mm-decode.el, mm-encode.el, mm-view.el, mml.el:
	* mml1991.el, mml2015.el, nnfolder.el, nnheader.el, nnimap.el:
	* nnmail.el, nnml.el, nnrss.el, nntp.el, nnvirtual.el:
	* sieve-manage.el, spam-report.el, spam.el:
	Remove unnecessary eval-and-compile of autoloads.

2008-06-08  Michael Albinus  <michael.albinus@gmx.de>

	* auth-source.el: Precise Tramp doc.

2008-06-07  Glenn Morris  <rgm@gnu.org>

	* nnmairix.el: Remove unnecessary eval-when-compile.

2008-06-06  Kai Großjohann  <grossjohann@ls6.cs.uni-dortmund.de>

	* nnir.el: New file.

2008-06-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-util.el (gnus-read-shell-command): New function.
	* mm-decode.el (mm-pipe-part):
	* gnus-art.el (gnus-summary-save-in-pipe): Use it.

2008-06-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-disassociate-draft): Revert 2008-03-18 change.

2008-06-03  Glenn Morris  <rgm@gnu.org>

	* pop3.el (nnheader-accept-process-output): Autoload it.

2008-05-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2231.el (rfc2231-decode-encoded-string): Don't decode things that
	are not 2-digit hexadecimal characters that follow `%'s.

2008-05-29  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-bogus-recipient-p): Fix type in doc string.
	Reported by Stephen Eglen <S.J.Eglen@damtp.cam.ac.uk>.
	(message-bogus-addresses): Rename from message-bogus-address-regexp.
	Improve custom options.
	(message-bogus-recipient-p): Adjust accordingly.

2008-05-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmairix.el: Require edmacro when compiling with XEmacs.

2008-05-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-initial-limit): Use unless instead of if.
	(gnus-fetch-old-headers): Warn about setting it to t for Gmane groups.

2008-05-20  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: Add more docs.

2008-05-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnheader.el (nnheader-read-timeout): Change the default timeout from
	0.1 seconds to 0.01 seconds.  This will make nntp and pop3 article
	retrieval faster in some cases, but might make CPU usage larger.  If
	this has any bad side effects, we might revert this change.

	* pop3.el (pop3-movemail): Change the sit-for from 0.1 to 0.01, which
	seems to make mail retrieval much, much faster.
	(pop3-movemail): Use nnheader-accept-process-output instead of sleeping
	unconditionally.

	* gnus-draft.el (gnus-group-send-queue): Bind
	message-send-mail-partially-limit to nil to avoid being prompted.

2008-05-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml.el (mml-attach-buffer): Prompt for `disposition'.

	* message.el (message-bogus-address-regexp): Fix and improve custom
	type.
	(message-setup-hook): Add message-check-recipients as custom option.

2008-05-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-cite-function): Remove bogus autoload which crept
	in during merge from v5-10.

2008-05-14  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnimap.el (nnimap-open-connection): Fix login/password bug.

	* nnrss.el (nnrss-normalize-date): Accept Unix-style epoch timestamps.

	* auth-source.el: Preliminary Tramp docs.
	(auth-sources): Change the default auth-sources to use
	EPA .gpg files.

2008-05-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* nntp.el: Autoload `auth-source-user-or-password'.
	(nntp-send-authinfo): Use it.

	* nnimap.el: Autoload `auth-source-user-or-password'.
	(nnimap-open-connection): Use it.

	* auth-source.el: Added docs on using with url-auth.  Import gnus-util
	for the gnus-message function.
	(auth-source-user-or-password): Use it.

2008-05-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* rfc2104.el (rfc2104-hexstring-to-bitstring): Rename it back from
	rfc2104-hexstring-to-byte-list.  Return a unibyte string.
	(rfc2104-hash): Use it.

2008-05-08  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-art.el (gnus-article-toggle-truncate-lines):
	Don't use `iff' in docstring.

2008-05-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el: Adjusted copyright dates and added a keyword.

	* gnus-util.el (gnus-extract-address-component-name)
	(gnus-extract-address-component-email): Convenience functions around
	`gnus-extract-address-components'.

	* gnus-registry.el (gnus-registry-split-fancy-with-parent):
	Use `gnus-extract-address-component-email' to fix bug of comparing full
	sender name to `user-mail-address'.

2008-05-05  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-grep-in-list): Fix logic, use
	catch/throw to optimize.
	(gnus-registry-find-keywords): Just use member to find a keyword.

2008-05-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-srvr.el (gnus-enter-server-buffer): Make sure the server-buffer
	is current before calling gnus-server-prepare.
	(gnus-server-setup-buffer, gnus-server-update-server)
	(gnus-server-read-server, gnus-browse-exit): Use with-current-buffer.

2008-05-04  Juri Linkov  <juri@jurta.org>

	* mailcap.el (mailcap-replace-in-string): New compatibility alias.
	(mailcap-file-default-commands): Use mailcap-replace-in-string
	instead of replace-regexp-in-string, and mailcap-delete-duplicates
	instead of delete-dups.  Use [ \t\n]* for whitespace in regexp.

2008-05-03  Reiner Steib  <reiner.steib@gmx.de>

	* gnus-sum.el (gnus-propagate-marks): Fix custom version.

2008-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-save-parts): Inhibit even more treatment
	hooks.
	(gnus-update-read-articles): Speed up non-marks-using users.
	(gnus-use-marks): Define gnus-use-marks.
	(gnus-propagate-marks): Rename variable to something more sensible.

2008-05-02  Juanma Barranquero  <lekktu@gmail.com>

	* gmm-utils.el (gmm, gmm-verbose, gmm-lazy, gmm-customize-mode)
	(gmm-image-load-path-for-library): Fix typos in docstrings.
	(gmm-message): Reflow docstring.

2008-04-28  Teodor Zlatanov  <tzz@lifelogs.com>

	* mail-source.el (mail-source-set-1, mail-source-bind):
	Move auth-source code out of the macro to clean it up and fix bugs.

2008-04-26  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-split-fancy-with-parent): Don't split
	by sender if it's equal to user-mail-address, it's likely to be
	useless.

	* mail-source.el (mail-source-bind): Don't use user or password if they
	are not bound.  Unintern them if they are nil.  Don't use server unless
	it's bound, and default it to empty string otherwise.

2008-04-25  Teodor Zlatanov  <tzz@lifelogs.com>

	* mail-source.el: Load auth-source.el.
	(mail-source-bind): Add comments.  Call auth-source-user-or-password to
	get user name or password, if auth-sources is set up.

	* gnus-registry.el (gnus-registry-split-strategy): New variable for
	strategy of splitting with parent.
	(gnus-registry-split-fancy-with-parent)
	(gnus-registry-post-process-groups): Use it and fix prior
	bug (returning a list as the split result).

	* auth-source.el (auth-sources): Remove server parameter.
	(auth-source-pick, auth-source-user-or-password)
	(auth-source-user-or-password-imap)
	(auth-source-user-or-password-pop3, auth-source-user-or-password-ssh)
	(auth-source-user-or-password-sftp)
	(auth-source-user-or-password-smtp): Remove server parameter.

2008-04-25  Juanma Barranquero  <lekktu@gmail.com>

	* smime.el (smime-sign-region, smime-encrypt-region)
	(smime-decrypt-region):
	Remove redundant calls to `generate-new-buffer-name'.

2008-04-24  Luca Capello  <luca@pca.it>  (tiny change)

	* mm-encode.el (mm-safer-encoding): Add optional argument `type'.
	Don't use QP for message/rfc822.
	(mm-content-transfer-encoding): Pass `type' to mm-safer-encoding.

2008-04-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* sieve-manage.el (sieve-string-bytes): Remove.
	(sieve-manage-putscript): Use length instead: `string-bytes' gives the
	correct byte-length only if the process's coding-system is the same as
	the one used internally by Emacs to represent strings.

2008-04-22  Juri Linkov  <juri@jurta.org>

	* mailcap.el (mailcap-file-default-commands): New function.

2008-04-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-signature-separator, message-cite-function):
	Change custom version.

2008-04-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-decode.el (mm-display-external): Make temp file read-only.

2008-04-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-diary.el (gnus-article-edit-mode-map, message-mode-map): Remove
	binding for `gnus-diary-version'.  Bind `gnus-diary-check-message' to
	`C-c C-f d'.

2008-04-12  Adrian Aichner  <adrian@xemacs.org>

	* gnus-sum.el (gnus-summary-goto-subject): Typo fix.

2008-04-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: Added docs.
	(auth-sources): Modify format to support server.
	(auth-source-pick, auth-source-user-or-password)
	(auth-source-user-or-password-imap)
	(auth-source-user-or-password-pop3, auth-source-user-or-password-ssh)
	(auth-source-user-or-password-sftp)
	(auth-source-user-or-password-smtp): Add server parameter.

2008-04-08  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el: Initialize the registry when gnus-registry-install
	is t.

2008-04-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* compface.el (uncompface): Make buffer unibyte.

2008-04-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mail-source.el (mail-source-value):
	Prefer fboundp to functionp so it works with macros as well.

2008-04-05  Glenn Morris  <rgm@gnu.org>

	* gnus-ems.el (mm-disable-multibyte): Autoload it.

2008-04-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-util.el (mm-with-unibyte-buffer, mm-with-multibyte-buffer):
	Prefer mm-(en|dis)able-multibyte to default-enable-multibyte-characters.

	* nnheader.el (nnheader-init-server-buffer): Change buffer's
	multibyteness after rather than before erasing it.

	* gnus-art.el (gnus-mime-replace-part): Remove unnecessary use of
	mm-with-multibyte.
	(gnus-request-article-this-buffer): Make sure the proper decoding is
	used if gnus-original-article-buffer happens to be unibyte.

	* gnus-ems.el (gnus-x-splash): Prefer mm-disable-multibyte to
	default-enable-multibyte-characters.

	* gnus-fun.el (gnus-display-x-face-in-from): Remove unnecessary use of
	default-enable-multibyte-characters.

	* mm-decode.el (mm-inline-media-tests): Add entry for x-diff.

	* nnweb.el (nnweb-init): Avoid nn-with-unibyte.

2008-04-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-win.el (gnus-configure-frame, gnus-all-windows-visible-p):
	Fix last change in case the element is not even a symbol.

2008-04-02  Simon Josefsson  <simon@josefsson.org>

	* nnimap.el (nnimap-enable-minmax-bug-workaround): Remove, replaced by
	imap-enable-exchange-bug-workaround.
	(nnimap-find-minmax-uid): Use imap-enable-exchange-bug-workaround.

2008-04-01  Simon Josefsson  <simon@josefsson.org>

	* nnimap.el (nnimap-find-minmax-uid): Revert last fix, the "fix" turns
	a 100 byte status-checks into a 2-3MB transfer for each group.
	(nnimap-enable-minmax-bug-workaround): New variable to toggle whether
	to enable bug workaround or not.
	(nnimap-find-minmax-uid): Only enable workaround conditionally.

2008-03-31  Glenn Morris  <rgm@gnu.org>

	* message.el (mml2015-use): Declare for compiler.
	(message-info): Require mml2015 when appropriate.

2008-03-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nntp.el (nntp-netcat-command): Rename from nntp-via-netcat-command.
	(nntp-netcat-switches): Rename from nntp-via-netcat-switches.
	(nntp-open-telnet, nntp-open-rlogin): Use with-current-buffer.
	(nntp-service-to-port): New function.
	(nntp-open-via-rlogin-and-netcat, nntp-open-via-telnet-and-telnet)
	(nntp-open-telnet-stream, nntp-open-via-rlogin-and-telnet): Use it.
	(nntp-open-netcat-stream): New function.
	(nntp-open-via-rlogin-and-netcat): Don't use a pty.

2008-03-29  Sven Joachim  <svenjoac@gmx.de>

	* gnus-sum.el (gnus-summary-make-menu-bar): Add missing dots.

2008-03-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-make-in-reply-to): Use mm-with-multibyte-buffer.

2008-03-28  Michael Harnois  <mdharnois@gmail.com>  (tiny change)

	* nnimap.el (nnimap-find-minmax-uid): Fix Exchange 2007 IMAP problem.

2008-03-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-signature-separator): Change default.
	Improve custom type.
	(message-cite-function): Change default to
	message-cite-original-without-signature.

	* gnus-sum.el (gnus-summary-make-menu-bar): Add message-cite-function
	toggle.

	* message.el (message-check-news-body-syntax): Fix signature check.
	(message-setup-1): Mark buffer as unmodified _after_ running
	message-setup-hook and handling message-alternative-emails.
	(message-shorten-references): Be more strict when building list of
	valid references to comply with GNKSA.

	* gnus-group.el (gnus-read-ephemeral-bug-group)
	(gnus-read-ephemeral-debian-bug-group)
	(gnus-read-ephemeral-emacs-bug-group): Use the correct variable.

	* message.el (message-info): Don't use booleanp which isn't supported
	in Emacs 21 and XEmacs.

2008-03-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-gmane-group-download-format): Rename from
	gnus-group-gmane-group-download-format.
	(gnus-group-read-ephemeral-gmane-group): Rename from
	gnus-group-read-ephemeral-gmane-group.
	(gnus-read-ephemeral-gmane-group-url): Rename from
	gnus-group-read-ephemeral-gmane-group-url.
	(gnus-bug-group-download-format-alist): New variable.
	(gnus-read-ephemeral-bug-group, gnus-read-ephemeral-debian-bug-group)
	(gnus-read-ephemeral-emacs-bug-group): New commands.

2008-03-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-browse-html-article): Fix documentation.
	(gnus-visible-headers): Improve custom type.

2008-03-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml.el (mml-menu): Add workarounds for XEmacs.

	* gnus-art.el (gnus-article-browse-html-article): Inhibit display of
	X-Boundary header.

	* message.el (message-simplify-recipients): Fix previous commit.

2008-03-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-util.el (mm-set-buffer-multibyte): New function.
	* mm-decode.el (mm-copy-to-buffer): Use it.

	* gnus-win.el (gnus-configure-frame, gnus-all-windows-visible-p):
	Prefer fboundp to functionp so it works with macros as well.

2008-03-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-alter-recipients-discard-bogus-full-name):
	New function.
	(message-alter-recipients-function): New variable.
	(message-get-reply-headers): Use it.
	(message-replace-header): New helper function.
	(message-recipients-without-full-name): New variable.
	(message-simplify-recipients): New command.

	* mml.el (mml-menu): Add toggle for gnus-gcc-externalize-attachments.

	* message.el (message-info): Handle EasyPG manual.

	* mml.el (mml-menu): Add entry for EasyPG.

2008-03-18  Nils Ackermann  <nils@ackermath.info>  (tiny change)

	* nnmh.el (nnmh-request-expire-articles): Prefer expiry-target group
	parameter.

	* message.el (message-disassociate-draft): Specify drafts group name
	fully.

2008-03-17  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-split-fancy-with-parent): Eliminate
	unnecessary duplicates from the match list.

2008-03-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-button-handle-info-keystrokes): Don't use optional
	args of `how-many' of which the XEmacs version doesn't take; declare
	Info-index-next as function.

2008-03-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-score.el (gnus-score-headers): Fix handling of
	gnus-inhibit-slow-scoring.

	* gnus-art.el (gnus-article-browse-html-article): Fix type in doc
	string.
	(gnus-button-url-regexp): Improve handling of parenthesis.
	(gnus-button-alist): Extend gnus-button-handle-info-keystrokes entry.
	(gnus-button-handle-info-keystrokes): Handle index entries.

2008-03-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mail-source.el (mail-source-delete-old-incoming) Fix regexp to find
	Incoming* files.

2008-03-13  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-sources): Renamed from auth-source-choices.
	(auth-source-pick): Use it.

2008-03-12  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-protocols)
	(auth-source-protocols-customize, auth-source-choices): Added and
	modified variable customizations and defaults.
	(auth-source-pick, auth-source-user-or-password)
	(auth-source-protocol-defaults, auth-source-user-or-password-imap)
	(auth-source-user-or-password-pop3, auth-source-user-or-password-ssh)
	(auth-source-user-or-password-sftp)
	(auth-source-user-or-password-smtp): Use new variables and provide an
	interface to netrc.el.

2008-03-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-open-telnet-stream, nntp-open-via-rlogin-and-telnet)
	(nntp-open-via-rlogin-and-netcat, nntp-open-via-telnet-and-telnet):
	Make sure the nntp port to specify is a string.

2008-03-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nntp.el: Use with-current-buffer.
	(nntp-send-buffer): Just set the buffer to unibyte rather than use the
	dubious mm-with-unibyte-current-buffer.
	(nntp-with-open-group-function): New function extracted from
	nntp-with-open-group macro.
	(nntp-with-open-group): Use the function, so it's easier to debug.
	Add indentation and debugging info.
	(nntp-open-telnet-stream, nntp-open-via-rlogin-and-telnet): Recommend
	the use of the netcat alternatives.

	* rfc2047.el (rfc2047-decode-string): Don't use `m'.
	Avoid mm-string-as-multibyte as well.

	* nnweb.el (nnweb-insert-html):
	Remove use of nnheader-string-as-multibyte.

	* nnheader.el (nnheader-init-server-buffer): Use with-current-buffer.
	(nnheader-string-as-multibyte): Remove.

	* mm-view.el: Use inhibit-read-only.
	(mm-inline-text-html-render-with-w3, mm-inline-message): Use dolist.
	(mm-pkcs7-signed-magic, mm-pkcs7-enveloped-magic): Use just string
	or unibyte-string.

	* mm-uu.el (mm-uu-copy-to-buffer): Preserve (uni/multi)byteness.
	(mm-uu-yenc-extract): Use with-current-buffer.

	* gnus-soup.el (gnus-soup-send-packet): Don't use
	mm-with-unibyte-current-buffer since the buffer is unibyte anyway.

	* nnmh.el: Use with-current-buffer.
	(nnmh-request-list-1): Use mm-string-to-multibyte rather than
	mm-string-as-multibyte on the output of mm-encode-coding-string.

	* nnimap.el (nnimap-retrieve-headers-progress): Use a unibyte buffer.
	(nnimap-request-move-article): Use with-current-buffer.

	* mm-decode.el (mm-with-part): Set the buffer to unibyte before
	inserting the handle-buffer's text, so the implicit multibyte->unibyte
	conversion uses string-make-unibyte rather than string-as-unibyte.

	* gnus-msg.el: Use with-current-buffer.

	* message.el (message-ignored-resent-headers): Add "Delivered-To".

2008-03-10  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-passphrase-callback): Type cast KEY-ID to a
	string for caching if it is 'PIN.

2008-03-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* mail-source.el (mail-source-delete-old-incoming-confirm):
	Change default to nil.
	(mail-source-delete-old-incoming): Make confirmation prompt more clear.

2008-03-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-narrow-to-page): Position point properly.
	(gnus-article-goto-prev-page): Work for articles having ^L's.

	* gnus-sum.el (gnus-summary-end-of-article): Remove needless narrowing.

	* mm-view.el (mm-w3m-standalone-supports-m17n-p): Fix typo.

2008-03-07  Karl Fogel  <kfogel@red-bean.com>

	* gnus-bookmark.el: Adjust for renames in bookmark.el.
	(gnus-bookmark-make-record): Was `gnus-bookmark-make-cell'.
	(gnus-bookmark-jump): Adjust some variable names.

2008-03-06  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: New package.
	(auth-source-choices): Add customization entry point variable.

	* gnus-registry.el (gnus-registry-user-format-function-M): Fix concat
	bug.

2008-03-05  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-install): Allow 'ask as an option.
	(gnus-registry-initialize, gnus-registry-install-p): Use it.
	(gnus-registry-install-shortcuts): Rename from
	gnus-registry-install-shortcuts-and-menus.  Installs the shortcuts in
	the `gnus-registry-mark-map' keymap dynamically from
	`gnus-registry-marks'.  The generated functions update the summary line
	when a registry mark is added or deleted, and will call
	`gnus-registry-install-p' (see the comments in the code).
	(gnus-registry-user-format-function-M): Use concat intelligently.

	* gnus-sum.el (gnus-summary-make-menu-bar): Add menu entries for all
	the registry mark functions.

2008-03-05  Glenn Morris  <rgm@gnu.org>

	* gnus-art.el (gnus-article-mode-line-format-alist): Move to gnus-sum.
	* gnus-sum.el (gnus-article-mode-line-format-alist): Move here from
	gnus-art.
	(top-level): No need to load own source when compiling.

2008-03-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-print-buffer): Honor ps-print-color-p.
	Suggested by <chris.anderton@zetnet.co.uk>.

2008-03-04  Glenn Morris  <rgm@gnu.org>

	* gnus-sum.el (top-level): No need to require gnus when compiling,
	since unconditionally required near start of file.
	(gnus-summary-display-while-building): Move definition before use.

2008-03-04  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-user-format-function-M): Add
	formatting function.

2008-03-03  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-marks): Changed format to be nicer
	with plists.
	(gnus-registry-do-marks, gnus-registry-install-shortcuts-and-menus):
	Use new format.

2008-03-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-describe-bindings): Work for the version of
	`where-is-internal' that returns a range of key sequences.

2008-03-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-bodies.el (mm-decode-content-transfer-encoding): Simplify.

	* gnus-sum.el: Use inhibit-read-only and with-current-buffer.
	(gnus-summary-jump-to-group): Consider windows on other displayed
	frames as well.  Similar changes might be needed elsewhere, but that's
	the one I've bumped into during my use.

	* nndoc.el (nndoc-oe-dbx-type-p):
	* gnus-msg.el (gnus-debug):
	* gnus-group.el (gnus-update-group-mark-positions):
	Use mm-string-to-multibyte.

2008-03-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml2015.el (mml2015-extract-cleartext-signature): Explain that it
	doesn't handle NotDashEscaped.

	* mml.el (mml-menu): Improve help entries.  Move Sign/Encrypt Part.
	(mml-dnd-attach-options): Fix typo in custom choice.

	* gnus-group.el (gnus-group-read-ephemeral-gmane-group): Change
	nndoc-article-type to mbox.
	(gnus-group-read-ephemeral-gmane-group-url): Support permalink.

	* mm-decode.el (mm-text-html-renderer): Prefer w3m over w3.  Fall back
	to nil, instead of html2text.

	* imap.el (imap-debug): Add `imap-ping-server'.

	* gnus-bookmark.el: Add FIXMEs.

	* message.el (message-form-letter-separator)
	(message-send-form-letter-delay): New variables.
	(message-send-form-letter): Use them.  New command to send form
	letters.  Requested by Uwe Siart.
	(message-send-mail-function): Doc fix.  Add "Other" custom option.

2008-02-29  Andreas Seltenreich  <andreas@gate450.dyndns.org>

	* nnweb.el (nnweb-google-parse-1): Fix date parsing on articles with
	empty author.

2008-02-29  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-marks): Add variable for
	customization of marks and their appearance.
	(gnus-registry-read-mark): Use it.
	(gnus-registry-do-marks): Add utility function to loop through
	`gnus-registry-marks'.
	(gnus-registry-install-shortcuts-and-menus): Add function to install
	shortcuts and menus.
	(gnus-registry-initialize): Use it.
	(gnus-registry-default-mark): Clarify documentation.

2008-02-29  Glenn Morris  <rgm@gnu.org>

	* gnus-art.el, gnus-bookmark.el, gnus-dired.el, gnus-draft.el:
	* gnus-group.el, gnus-msg.el, gnus-score.el, gnus-sum.el, gnus-util.el:
	* gnus.el, mail-source.el, message.el, mm-decode.el, mm-uu.el, mml.el:
	* nnmail.el, pop3.el, smiley.el, smime.el, spam-report.el:
	Change defcustom :version from 23.0 to 23.1.

2008-02-28  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-follow-group-p)
	(gnus-registry-post-process-groups): Add functions to aid registry
	splitting and improve logging.  Clarify behavior in function
	documentation.
	(gnus-registry-split-fancy-with-parent): Use them.

2008-02-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-art.el: Use with-current-buffer.

2008-02-27  David Engster  <dengste@eml.cc>

	* nnmairix.el (nnmairix-request-group-with-article-number-correction):
	Express real group name in the response.

2008-02-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmairix.el (nnmairix-group-regexp, nnmairix-valid-backends)
	(nnmairix-last-server, nnmairix-current-server): Defvar them.
	(nnmairix-goto-original-article): Defvar gnus-registry-install and
	autoload gnus-registry-fetch-group when compiling.
	(nnmairix-request-group-with-article-number-correction): Remove
	unreferenced argument passed to nnmairix-call-backend.

2008-02-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-uu.el (mm-uu-type-alist): Fix message-marks non-hide arguments.
	(mm-uu-extract): Improve face for low color ttys.  Reported by Sascha
	Wilde.

2008-02-27  Glenn Morris  <rgm@gnu.org>

	* nnmairix.el: Change defcustom :version from 23.0 to 23.1.
	(nnmairix-group-regexp, nnmairix-valid-backends): Convert from free
	variables to defconsts.  Convert comments to doc-strings.
	(nnmairix-last-server, nnmairix-current-server): Convert from free
	variables to defvars.  Convert comments to doc-strings.
	(gnus-registry-fetch-group): Autoload.
	(nnmairix-replace-group-and-numbers): Use mapc rather than mapcar.
	(nnmairix-widget-get-values, nnmairix-widget-make-query-from-widgets)
	(nnmairix-widget-build-editable-fields): Use car cddr rather than
	caddr.
	(nnmairix-request-group): Bind nnmairix-fast and nnmairix-group around
	nnmairix-request-group-with-article-number-correction call.
	(nnmairix-fast, nnmairix-group): New, less general names, for free
	variables passed from nnmairix-request-group to
	nnmairix-request-group-with-article-number-correction.  Declare.
	(nnmairix-request-group-with-article-number-correction):
	Use nnmairix-fast, nnmairix-group rather than fast, group.

2008-02-26  David Engster  <dengste@eml.cc>

	* nnmairix.el: New file.  Mairix back end for Gnus.  Initial import of
	version 0.5.

2008-02-26  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-register-message-ids): Use `id'
	instead of making an extra function call.  Don't add the current group
	to articles only when they have the group.  Use
	`gnus-registry-fetch-groups' instead of `gnus-registry-fetch-group'.
	Reported by David <de_bb@arcor.de>.

2008-02-24  Miles Bader  <miles@gnu.org>

	* mm-util.el (mm-hack-charsets, mm-iso-8859-15-compatible)
	(mm-iso-8859-x-to-15-table, mm-iso-8859-x-to-15-region)
	(mm-find-mime-charset-region):
	* mm-bodies.el (mm-encode-body):
	* mml.el (mml-parse-1): Revert removal of `mm-hack-charsets'.

2008-02-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* mail-source.el (mail-source-delete-incoming): Change default.
	Supplement doc string.

	* gnus-util.el (gnus-y-or-n-p, gnus-y-or-n-p): Update comments.

2008-02-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnmail.el (nnmail-message-id-cache-file): Derive from
	`gnus-home-directory'.

2008-02-11  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-topic.el (gnus-topic-select-group, gnus-topic-read-group):
	Document negative prefix.

	* gnus-group.el (gnus-group-read-group): Document negative prefix.

2008-02-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-unsent-separator): Add the Exim bounce
	separator.

2008-02-10  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-sign): Remove skipped signers from the signer
	list.
	(mml2015-epg-encrypt): Remove skipped recipients/signers from the
	recipient/signer list.

2008-02-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-codepage-setup): If cp-supported-codepages isn't
	fbound (Emacs 23 unicode), signal an error.

2008-02-08  Glenn Morris  <rgm@gnu.org>

	* gnus-art.el (pgg-display-output-buffer): Declare as function.

2008-02-07  Tassilo Horn  <tassilo@member.fsf.org>

	* nnimap.el (nnimap-open-connection): Add "143" and "993" as default
	ports to the calls to `netrc-machine-user-or-password' in addition to
	"imap" and "imaps".

2008-02-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el (gnus-group-startup-message): Add `find-image' call before
	image-load-path is let-bound.  Reported by Harald Hanche-Olsen
	<hanche@math.ntnu.no>.

2008-02-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-describe-bindings): Work for draft group.

2008-02-01  Zhang Wei  <id.brep@gmail.com>

	* rfc2047.el (rfc2047-charset-encoding-alist): Add gbk and GB18030.

	* mm-util.el (mm-mime-mule-charset-alist): Add gbk and GB18030.

2008-02-01  Miles Bader  <miles@gnu.org>

	* mml.el (mml-parse-1): Remove apparently vestigial use of
	`mm-hack-charsets'.
	* mm-bodies.el (mm-encode-body): Likewise.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* rfc2104.el (rfc2104-hexstring-to-byte-list): Rename from
	rfc2104-hexstring-to-bitstring and changed to return a byte list.
	(rfc2104-hash): Convert the result of concat to unibyte string.

2008-02-01  Dave Love  <fx@gnu.org>

	* gnus-start.el (gnus-read-newsrc-el-file): Don't bind
	coding-system-for-read.
	(gnus-gnus-to-quick-newsrc-format): Insert coding cookie.

	* mm-util.el (mm-hack-charsets, mm-iso-8859-15-compatible)
	(mm-iso-8859-x-to-15-table, mm-iso-8859-x-to-15-region): Delete.
	(mm-find-mime-charset-region): Remove hack-charsets stuff.

2008-01-24  Michael Sperber  <sperber@deinprogramm.de>

	* mail-source.el (mail-sources): Add `group' choice.

	* nnmail.el (nnmail-get-new-mail-1): Abstract this out to add another
	parameter `in-group' to control into which group the articles go.
	Add treatment of `group' mail-source.

2008-01-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* sieve.el (sieve-make-overlay, sieve-overlay-put, sieve-overlays-at):
	* message.el (message-beginning-of-line): Use featurep instead of bound
	tests in order to resolve conditionals at compile time.

2008-01-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-insert-mime-button): Don't decode description.

	* mm-decode.el (mm-dissect-buffer): Decode description.

	* mml.el (mml-to-mime): Encode message header first.

2008-01-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-describe-bindings): Make it possible to use
	xrefs, i.e. [back] and [forward] buttons, in *Help* buffer.

2008-01-18  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-trim): Use append, not concat.

2008-01-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-read-summary-keys): Work for some `A'
	prefix keys.
	(gnus-article-read-summary-send-keys): Use gnus-character-to-event.
	(gnus-article-describe-bindings): Simplify; move XEmacs stuff to
	gnus-xmas.el.

2008-01-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-marks, gnus-registry-default-mark):
	Add new variables for article mark management.
	(gnus-registry-extra-entries-precious, gnus-registry-trim): Define a
	list of extra data entries which, when present, will indicate that the
	article ID should not be trimmed from the registry.
	(gnus-registry-mark-article, gnus-registry-article-marks): Remove these
	functions.
	(gnus-registry-read-mark): New function to read a mark name from the
	user.
	(gnus-registry-set-article-mark, gnus-registry-remove-article-mark)
	(gnus-registry-set-article-mark-internal): New functions to add and
	remove marks.
	(gnus-registry-get-article-marks): New function to show the marks for
	an article, or retrieve them for further use.

2008-01-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-describe-bindings): Show all `S' prefix
	keys when no argument is given.

2008-01-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-article-sort-by-random)
	(gnus-thread-sort-by-random): Fix doc strings.  Reported by
	jidanni@jidanni.org.

2008-01-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-describe-bindings): New function.
	(gnus-article-read-summary-keys): Use it.
	(gnus-article-mode-map): Bind `C-h b' to it.

2008-01-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-read-summary-keys): Work for `C-h' on
	XEmacs.
	(gnus-article-describe-key, gnus-article-describe-key-briefly): Protect
	against non-character events.

2008-01-09  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-read-ephemeral-gmane-group-url): New
	command.
	(gnus-group-read-ephemeral-gmane-group): Use optional argument RANGE
	instead of END.  Change name of the temp file.
	(gnus-group-gmane-group-download-format): Add doc string.  Make it
	customizable.

2008-01-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-send-map): New keymap for `S' prefix keys;
	bind `S W' to gnus-article-wide-reply-with-original; set default
	binding to gnus-article-read-summary-send-keys.
	(gnus-article-read-summary-keys): Fix the order of keys; display
	continuation keys correctly in the echo area; describe bindings
	correctly when keys end with `C-h'.
	(gnus-article-read-summary-send-keys): New function.
	(gnus-article-describe-key, gnus-article-describe-key-briefly): Work
	for gnus-article-read-summary-send-keys; display continuation keys
	correctly in the echo area.
	(gnus-article-reply-with-original): Ignore prefix argument.
	(gnus-article-wide-reply-with-original): New function.

2008-01-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-bookmark.el (gnus-bookmark-mouse-available-p): Don't test for
	display-color-p.  Reported by Reiner Steib <Reiner.Steib@gmx.de>.

2008-01-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-gmane-group-download-format): New variable.
	(gnus-group-read-ephemeral-gmane-group): New command.

2008-01-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* gnus.el (gnus-use-long-file-name): Remove reference to xenix.

2007-12-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-send-mail-function): Increase custom version.

	* mml-sec.el, sieve-manage.el, smime.el: Simplify loading of
	password-cache or password.  Suggested by Glenn Morris <rgm@gnu.org>.

2007-12-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-browse-html-parts): Work for two or more
	html parts correctly; support forwarded messages.
	(gnus-article-browse-html-article): Remove work buffers.

	* netrc.el: Bind encrypt-file-alist for Emacs 21 and XEmacs when
	compiling.
	(netrc-bound-and-true-p): New macro.
	(netrc-parse): Use it instead of bound-and-true-p that is not available
	in XEmacs 21.4.

2007-12-19  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-mark-article)
	(gnus-registry-article-marks): Add functionality to mark articles
	through the Gnus registry.

	* netrc.el: Autoload encrypt when encrypt-file-alist is set.
	(netrc-parse): Use encrypt-file-alist to determine if
	encrypt-find-model or encrypt-insert-file-contents should be used.

2007-12-19  Glenn Morris  <rgm@gnu.org>

	* mml.el (message-options-set, message-narrow-to-head)
	(message-in-body-p, message-mail-p, message-encode-message-body):
	Autoload.
	(message-remove-header, message-narrow-to-headers-or-head)
	(message-subscribed-p, message-make-mail-followup-to)
	(message-position-on-field, message-news-p)
	(message-options-set-recipient, message-generate-headers)
	(message-sort-headers): Declare as functions.

2007-12-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-draft.el (gnus-draft-send-message): Mention process/prefix
	convention in doc string.

2007-12-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-browse-html-parts): Add message header and
	title to html parts.
	(gnus-article-browse-html-article): Pass message header to it.

	* mm-decode.el (mm-display-external): Use mm-add-meta-html-tag.

2007-12-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml-sec.el, sieve-manage.el, smime.el: Make loading of password-cache
	or password compatible with XEmacs.

2007-12-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (article-verify-x-pgp-sig): Add reference to X-PGP-Sig
	format document.
	(gnus-mime-delete-part): Don't write description line if empty.
	(gnus-article-encrypt-body): Add confirmation for gnus-novice-user.

2007-12-14  Johan Bockgård  <bojohan@gnu.org>

	* gnus-sum.el (gnus-summary-mark-unread-as-read)
	(gnus-summary-mark-read-and-unread-as-read)
	(gnus-summary-mark-current-read-and-unread-as-read)
	(gnus-summary-mark-unread-as-ticked): Doc fix.
	`gnus-mark-article-hook', not `gnus-summary-mark-article-hook'.

2007-12-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-prev-article): Fix doc string.  Reported by
	Christoph Conrad <christoph.conrad@gmx.de>.

2007-12-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-util.el (gnus-y-or-n-p, gnus-yes-or-no-p): Alias to y-or-n-p and
	yes-or-no-p.

2007-12-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-add-meta-html-tag): New function.
	(mm-save-part-to-file, mm-pipe-part): Use it.

	* gnus-art.el (gnus-article-browse-delete-temp-files): Use
	gnus-y-or-n-p instead of y-or-n-p.
	(gnus-article-browse-html-parts): Work with message/external-body; use
	mm-add-meta-html-tag.

2007-12-11  Glenn Morris  <rgm@gnu.org>

	* gnus-cache.el: Require gnus-sum not just when compiling.

	* gnus-fun.el (gnus-display-x-face-in-from): Require gnus-art.

	* gnus-int.el (gnus-server-opened, gnus-status-message): Move
	definitions before use.

	* mm-decode.el: Require gnus-util.
	(mm-remove-part): Only call delete-annotation on XEmacs.

	* mm-uu.el (gnus-original-article-buffer): Define for compiler.

	* nnmail.el: Require gnus-int.

	* spam.el: Move `require's before `eval-when-compile's.

	* gnus-ems.el (gnus-alive-p):
	* gnus-fun.el (message-goto-eoh):
	* gnus-util.el (gnus-group-name-decode):
	* mail-source.el (gnus-compress-sequence):
	* message.el (Info-goto-node, format-spec):
	* mm-bodies.el (message-options-get):
	* mm-decode.el (mm-view-pkcs7):
	* mm-util.el (gmm-write-region):
	* mml-smime.el (mml-compute-boundary)
	(gnus-completing-read-with-default):
	* mml.el (widget-button-press, gnus-make-hashtable):
	* mml1991.el (mm-decode-content-transfer-encoding)
	(mm-encode-content-transfer-encoding)
	(message-options-get, message-options-set):
	* mml2015.el (gnus-buffer-live-p, gnus-get-buffer-create):
	* nnfolder.el (gnus-request-group):
	* nnheader.el (ietf-drums-unfold-fws):
	* rfc1843.el (mail-header-parse-content-type, message-narrow-to-head):
	* smime.el (gnus-run-mode-hooks):
	* spam-stat.el (gnus-message): Autoload.

	* gnus-cache.el, gnus-fun.el, gnus-group.el, gnus.el, mail-source.el:
	* mm-bodies.el, mm-decode.el, mm-extern.el, mm-util.el:
	* mml-smime.el, mml.el, mml1991.el, mml2015.el, nndb.el, nnfolder.el:
	* nnmail.el, nnmaildir.el, nnrss.el, rfc1843.el, spam.el:
	Add declare-function compatibility definition.

	* gnus-cache.el (nnvirtual-find-group-art):
	* gnus-fun.el (article-narrow-to-head, gnus-article-goto-header)
	(gnus-add-image, gnus-add-wash-type):
	* gnus-group.el (nnkiboze-score-file):
	* gnus-sum.el (turn-on-gnus-mailing-list-mode)
	(gnus-cache-write-active, mm-uu-dissect, idna-to-unicode):
	* gnus-util.el (gnus-find-method-for-group, gnus-group-name-charset)
	(message-tokenize-header, gnus-get-buffer-create)
	(mm-enable-multibyte, gnus-put-text-property, gnus-overlay-put)
	(gnus-make-overlay, mm-disable-multibyte, gnus-add-text-properties):
	* gnus.el (gnus-group-decoded-name):
	* mail-source.el (imap-capability):
	* mm-bodies.el (message-options-set):
	* mm-decode.el (gnus-configure-windows):
	* mm-extern.el (message-goto-body):
	* mm-util.el (mm-delete-duplicates, mm-detect-coding-region):
	* mml-smime.el (epg-key-sub-key-list, epg-sub-key-capability)
	(epg-sub-key-validity, message-options-set):
	* mml.el (widget-event-point, gnus-configure-windows):
	* mml1991.el (mc-encrypt-generic, gpg-sign-encrypt, gpg-encrypt):
	* mml2015.el (epg-check-configuration, epg-configuration)
	(message-options-set):
	* nndb.el (nndb-request-article):
	* nnfolder.el (gnus-request-create-group):
	* nnmail.el (gnus-activate-group, gnus-group-mark-article-read):
	* nnmaildir.el (gnus-group-mark-article-read):
	* nnrss.el (w3-parse-buffer, gnus-group-make-rss-group):
	* rfc1843.el (message-fetch-field):
	* spam.el (gnus-extract-address-components):
	Declare as functions.

2007-12-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-browse-html-parts): Decode CTE.

2007-12-09  Glenn Morris  <rgm@gnu.org>

	* gnus-uu.el (gnus-uu-yenc-article): Use insert-buffer-substring.

	* gnus-art.el, gnus-spec.el, gnus-sum.el, gnus-util.el:
	* message.el, mm-view.el, sieve-manage.el, smime.el:
	Add declare-function compatibility definition.

	* gnus-art.el (w3-region, w3m-region, Info-menu):
	* gnus-spec.el (gnus-summary-from-or-to-or-newsgroups):
	* gnus-sum.el (gnus-get-predicate):
	* gnus-util.el (mm-append-to-file, w32-focus-frame):
	* message.el (mail-abbrev-in-expansion-header-p):
	* mm-view.el (w3-do-setup, w3-region, w3-prepare-buffer)
	(w3m-detect-meta-charset, w3m-region):
	* sieve-manage.el (password-read, password-cache-add)
	(password-cache-remove):
	* smime.el (password-read-and-add): Declare as functions.

2007-12-08  David Kastrup  <dak@gnu.org>

	* gnus-sum.el (gnus-summary-simplify-subject-query):
	* ecomplete.el (ecomplete-display-matches): Fix buggy call to
	`message'.

2007-12-07  Glenn Morris  <rgm@gnu.org>

	* gnus-art.el (article-make-date-line): Revert previous change.

2007-12-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-start.el (gnus-load): Rename local variable to avoid confusion.

2007-12-06  Christian Plate  <cplate@web.de>  (tiny change)

	* nnmaildir.el (nnmaildir-request-update-info): Improved performance.
	Call gnus-add-to-range ranges only once with a prepared article-list.

2007-12-06  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir-request-list, nnmaildir-retrieve-groups)
	(nnmaildir-request-group, nnmaildir-retrieve-headers): Escape spaces in
	group names with backslashes.  Reported by Tassilo Horn
	<tassilo@member.fsf.org>.

2007-12-06  Deepak Goel  <deego3@gmail.com>

	* gnus-art.el (article-make-date-line):
	* gnus-start.el (gnus-load):
	* pop3.el (pop3-read-response): Fix buggy call to `error'.

2007-12-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-use-idna)
	* gnus-start.el (gnus-site-init-file)
	* message.el (message-use-idna)
	* mm-uu.el (mm-uu-hide-markers)
	* smiley.el (smiley-style): Revert changes that suppress warnings.

2007-12-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-browse-html-parts): Add meta html tag to
	specify charset to html source.  Reported by Christoph Conrad
	<christoph.conrad@gmx.de>.

2007-12-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-use-idna): Don't directly refer to the value of
	idna-program in order to suppress byte compile warning issued by XEmacs
	that came to byte compile the default value section of defcustom forms
	recently.

	* gnus-start.el (gnus-site-init-file): Don't directly refer to the
	value of installation-directory.

	* message.el (message-use-idna): Don't directly refer to the value of
	idna-program.

	* mm-uu.el (mm-uu-hide-markers): Don't directly call defined-colors.

	* smiley.el (smiley-style): Don't directly call face-attribute.

2007-12-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-highlight-line): Add FIXME.

	* gnus-dired.el: Reduce Gnus dependencies.
	(gnus-ems, gnus-msg, gnus-util, message, mm-decode, mml): Don't
	require.  Use autoloads instead.
	(mml-attach-file, mm-default-file-encoding, mailcap-extension-to-mime)
	(mailcap-mime-info, mm-mailcap-command, ps-print-preprint)
	(message-buffers, gnus-setup-message, gnus-print-buffer): Autoload.
	(gnus-dired-mode): Adjust doc string.
	(gnus-dired-mail-mode): New variable.
	(gnus-dired-mode-map): Avoid using `gnus-define-keys'.
	(gnus-dired-mode): Avoid using `gnus-run-hooks'.
	(gnus-dired-mail-buffers): New function.  Return mail or message
	composition buffers.
	(gnus-dired-attach): Use it.
	(gnus-dired-find-file-mailcap): Call `mailcap-mime-info' with
	NO-DECODE.
	(gnus-dired-print): Use `gnus-print-buffer' depending on
	`gnus-dired-mail-mode'.

2007-12-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-encoded-word-regexp)
	(rfc2047-encoded-word-regexp-loose): Move forward; add comments
	explaining what regexp patterns are for.

2007-12-04  Glenn Morris  <rgm@gnu.org>

	* password.el: Move to ../password-cache.el.

	* mml1991.el (password-read, password-cache-add, password-cache-remove):
	* mml2015.el (password-read, password-cache-add, password-cache-remove):
	* mml-smime.el (password-read, password-cache-add)
	(password-cache-remove):
	No need to autoload, since mml-sec requires password.

	* gnus.el (gnus-spam-resend-to, gnus-ham-resend-to):
	* message.el (gnus-extract-address-components):
	* mml-smime.el (gnus-extract-address-components): Define for compiler.

	* mml-sec.el, sieve-manage.el, smime.el: Require password-cache or
	password.

2007-12-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* mailcap.el: Reduce dependencies.
	(mail-header-parse-content-type): Autoload.
	(mailcap-delete-duplicates): New alias.
	(mailcap-mime-info): Add optional argument NO-DECODE.
	(mailcap-mime-types): Use mailcap-delete-duplicates.

	* message.el (message-ignored-supersedes-headers): Add "X-ID".

2007-12-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-uu-extract-map): Add a command for the yenc
	function.

	* gnus-uu.el (gnus-uu-decode-yenc): New command.
	(gnus-uu-yenc-article): New function.

	* yenc.el (yenc-first-part-p, yenc-last-part-p): New functions.

	* mm-uu.el (mm-uu-yenc-extract): Get the data from the original
	buffer.

2007-12-02  Glenn Morris  <rgm@gnu.org>

	* sasl-cram.el, sasl-digest.el, sasl-ntlm.el, sasl.el:
	Move to ../net.

	* binhex.el, uudecode.el: Move to ../mail.

	* encrypt.el: Remove file.

2007-12-01  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-cite-prefix-regexp): Remove `-' and `+' to avoid
	matches on patches.

	* gnus-art.el (gnus-article-browse-html-article): Mention
	`mm-text-html-renderer' in the doc string.

	* rfc2047.el (rfc2047-encode-max-chars): Refer to RFC 2047 in doc
	string.  Add comments.

	* message.el (message-idna-to-ascii-rhs-1): Don't call `idna-to-ascii'
	if rhs is ASCII.

2007-12-01  Glenn Morris  <rgm@gnu.org>

	* dig.el, dns.el: Move to ../net.
	* format-spec.el, hex-util.el, sha1.el: Move to ../.

	* mail-source.el (top-level): Require format-spec before
	eval-when-compile.

2007-11-30  Glenn Morris  <rgm@gnu.org>

	* encrypt.el: Require password, rather than autoloading password-read.

2007-11-28  Elias Oltmanns  <eo@nebensachen.de>

	* gnus.el (gnus-method-to-server): Add an optional parameter so the
	caller can indicate whether the cache should be disregarded for this
	call.  This way the result of the call is reproducible at all times and
	can be considered a canonical server name for the supplied method.
	(gnus-agent-method-p): Canonicalize server names by pushing their
	method through `gnus-method-to-server' using the no-cache argument.

	* gnus-srvr.el (gnus-server-insert-server-line): Call
	`gnus-method-to-server' with `no-cache' argument.

	* gnus-agent.el (gnus-agent-toggle-plugged): Don't call
	gnus-agent-possibly-synchronize-flags as this should be called when the
	server is actually being opened.
	(gnus-agent-possibly-synchronize-flags)
	(gnus-agent-possibly-synchronize-flags-server): Move check for the
	flags file of an agentized server to the latter function.

	* gnus-int.el (gnus-agent-possibly-synchronize-flags-server): Autoload.
	(gnus-open-server): Call gnus-agent-possibly-synchronize-flags-server
	after a connection has been established successfully.

2007-11-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-display-face): Force to display face if called
	interactively; check if gnus-article-x-face-too-ugly matches author.
	(article-display-x-face): Display face even if From header is missing
	as article-display-face does.

2007-11-28  Richard Stallman  <rms@gnu.org>

	* md4.el: Move to ../.
	* hmac-def.el, hmac-md5.el, ntlm.el: Move to ../net.

2007-11-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* mail-source.el (mail-sources): Default to fetch from file for
	compatibility with default of nnmail-spool-file.

2007-11-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-allow-irregular-q-encoded-words): New variable.
	(rfc2047-encodable-p): Use rfc2047-encoded-word-regexp instead of "=?"
	to look for encoded word that should be encoded again.
	(rfc2047-encoded-word-regexp): Make B encoding pattern strict.
	(rfc2047-encoded-word-regexp-loose): New constant that has loose Q
	encoding pattern.
	(rfc2047-decode-region): Switch strict regexp and loose one according
	to rfc2047-allow-irregular-q-encoded-words.

2007-11-26  Simon Josefsson  <simon@josefsson.org>

	* imap.el: Move to ../net directory.

2007-11-25  Romain Francoise  <romain@orebokech.com>

	* gnus-msg.el (gnus-summary-reply): Delete extra paren.

2007-11-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnmail.el (nnmail-spool-file): Remove obsolete variable.
	(nnmail-get-new-mail): Remove code using `nnmail-spool-file'.

	* gnus-start.el (defvar, gnus-get-unread-articles): Remove code using
	`nnmail-spool-file'.

	* nnkiboze.el (nnkiboze-generate-groups): Don't bind obsolete
	`nnmail-spool-file'.

	* gnus-move.el (gnus-change-server): Ditto.

	* gnus-kill.el (gnus-batch-score): Ditto.

	* gnus-cache.el (gnus-jog-cache): Ditto.

	* gnus-msg.el (gnus-summary-reply):
	Ignore gnus-confirm-mail-reply-to-news for wide and very wide replies.

2007-11-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-cache.el (gnus-cache-generate-nov-databases):
	Use nnml-generate-nov-databases-directory instead of
	nnml-generate-nov-databases-1.

2007-11-24  Glenn Morris  <rgm@gnu.org>

	* message.el (message-tool-bar-retro): Update for rename
	mail_send.xpm->mail-send.xpm.

2007-11-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* smime.el (smime-cert-by-ldap-1): Use `ldap-search' instead of
	`smime-ldap-search' for Emacs 22 and up.

2007-11-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* hashcash.el: Move to ../mail directory.

	* smime-ldap.el: Remove.  Not used in Emacs 22 and up.

	* smime.el (smime-cert-by-ldap-1): Use `ldap-search' instead of
	`smime-ldap-search' for Emacs 22 and up.

2007-11-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-art.el (gnus-article-truncate-lines): Use `truncate-lines'.

	* message.el (message-send-mail-function): Fix error convention.
	(message-mailer-swallows-blank-line, message-send-mail-with-sendmail)
	(message-widen-reply, message-send-mail, message-talkative-question)
	(message-with-reply-buffer, message-generate-new-buffer-clone-locals)
	(message-clone-locals, message-send-news): Use with-current-buffer.
	(message-insert-or-toggle-importance): Remove unused var `valid'.
	(message-make-references): Remove unused var `new-references'.
	(message-make-mail-followup-to): Remove unused var `subscribed-lists'.

2007-11-22  Juanma Barranquero  <lekktu@gmail.com>

	* spam.el (spam-find-spam, spam-enter-list): Doc fixes.
	(spam-split-symbolic-return-positive): Reflow docstring.
	(spam-backends, spam-summary-exit-behavior)
	(spam-mark-ham-unread-before-move-from-spam-group)
	(spam-summary-score-preferred-header, spam-sa-learn-spam-switch)
	(spam-sa-learn-ham-switch, spam-sa-learn-unregister-switch)
	(spam-clear-cache, spam-backend-check, spam-install-backend)
	(spam-install-statistical-backend, spam-list-of-processors)
	(spam-group-processor-p, spam-split, spam-bogofilter-score)
	(spam-bsfilter-score, spam-check-bsfilter, spam-crm114-score)
	(spam-check-crm114, spam-initialize, spam-unload-hook):
	Fix typos in docstrings.

2007-11-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-get-unread-articles): Mark groups as having never
	been checked if they have never been read and those group levels are
	higher than the one that a user specified.

2007-11-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-get-unread-articles): Don't prevent from checking
	foreign groups unless a group level is specified by a user.
	Reported by Dan Nicolaescu <dann@ics.uci.edu>.

2007-11-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-send-mail-function): Require sendmail.

2007-11-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-send-mail-function): Check for smtpmail too.

	* utf7.el (utf7-encode, utf7-decode): Use coding system
	`utf-7'/`utf-7-imap' from utf-7.el' if available.

	* message.el (message-send-mail-function): New function.
	(message-send-mail-function): Set default using
	message-send-mail-function.  Adjust doc string.
	(message-send-mail-with-mailclient): New function.

2007-11-17  Richard Stallman  <rms@gnu.org>

	* assistant.el: Remove file.

2007-11-16  Dan Nicolaescu  <dann@ics.uci.edu>

	* smime.el (from):
	* rfc2047.el (message-posting-charset):
	* qp.el (mm-use-ultra-safe-encoding):
	* pop3.el (parse-time-months):
	* nnrss.el (mm-text-html-renderer, mm-text-html-washer-alist):
	* nnml.el (files):
	* nnheader.el (gnus-newsgroup-name, nnheader-file-coding-system)
	(jka-compr-compression-info-list, ange-ftp-path-format)
	(efs-path-regexp):
	* nndiary.el (files):
	* mml2015.el (mc-default-scheme, mc-schemes, pgg-default-user-id)
	(pgg-errors-buffer, pgg-output-buffer, epg-user-id-alist)
	(epg-digest-algorithm-alist, inhibit-redisplay)
	(password-cache-expiry):
	* mml1991.el (pgg-default-user-id, pgg-errors-buffer)
	(pgg-output-buffer, password-cache-expiry):
	* mml.el (mml-dnd-protocol-alist, ange-ftp-name-format)
	(efs-path-regexp):
	* mml-smime.el (epg-user-id-alist, epg-digest-algorithm-alist)
	(inhibit-redisplay):
	* mm-uu.el (file-name, start-point, end-point, entry)
	(gnus-newsgroup-name, gnus-newsgroup-charset):
	* mm-util.el (mm-mime-mule-charset-alist, latin-unity-coding-systems)
	(latin-unity-ucs-list):
	* mm-bodies.el (mm-uu-yenc-decode-function, mm-uu-decode-function)
	(mm-uu-binhex-decode-function):
	* message.el (gnus-message-group-art, gnus-list-identifiers)
	(rmail-enable-mime-composing, gnus-local-organization)
	(gnus-post-method, gnus-select-method, gnus-active-hashtb)
	(gnus-read-active-file, facemenu-add-face-function)
	(facemenu-remove-face-function, gnus-article-decoded-p)
	(tool-bar-mode):
	* mail-source.el (display-time-mail-function):
	* gnus-util.el (nnmail-pathname-coding-system)
	(nnmail-active-file-coding-system, gnus-emphasize-whitespace-regexp)
	(gnus-original-article-buffer, gnus-user-agent)
	(rmail-default-rmail-file, mm-text-coding-system, tool-bar-mode)
	(xemacs-codename, sxemacs-codename, emacs-program-version):
	* gnus-sum.el (tool-bar-mode, gnus-tmp-header, number):
	* gnus-start.el (gnus-agent-covered-methods)
	(gnus-agent-file-loading-local, gnus-agent-file-loading-cache)
	(gnus-current-headers, gnus-thread-indent-array, gnus-newsgroup-name)
	(gnus-newsgroup-headers, gnus-group-list-mode)
	(gnus-group-mark-positions, gnus-newsgroup-data)
	(gnus-newsgroup-unreads, nnoo-state-alist)
	(gnus-current-select-method, mail-sources)
	(nnmail-scan-directory-mail-source-once, nnmail-split-history)
	(nnmail-spool-file, gnus-cache-active-hashtb):
	* gnus-mh.el (mh-lib-progs):
	* gnus-ems.el (gnus-tmp-unread, gnus-tmp-replied)
	(gnus-tmp-score-char, gnus-tmp-indentation, gnus-tmp-opening-bracket)
	(gnus-tmp-lines, gnus-tmp-name, gnus-tmp-closing-bracket)
	(gnus-tmp-subject-or-nil, gnus-check-before-posting, gnus-mouse-face)
	(gnus-group-buffer):
	* gnus-cite.el (font-lock-defaults-computed, font-lock-keywords)
	(font-lock-set-defaults):
	* gnus-art.el (tool-bar-map, w3m-minor-mode-map)
	(gnus-face-properties-alist, charset, gnus-summary-article-menu)
	(gnus-summary-post-menu, total-parts, type, condition, length):
	* gnus-agent.el (gnus-agent-read-agentview):
	* flow-fill.el (show-trailing-whitespace):
	* gnus-group.el (tool-bar-mode, nnrss-group-alist): Remove unnecessary
	eval-and-compile wrappers for byte compiler pacifiers.

	* mm-view.el (mm-inline-image-xemacs): Only do something for XEmacs.
	(mm-display-inline-fontify): Check for featurep 'xemacs not
	extent-list.

	* mm-decode.el (mm-display-external): Check for featurep 'xemacs not
	itimer-list.
	(mm-create-image-xemacs): Only do something for XEmacs.
	(mm-image-fit-p): Check for featurep 'xemacs not glyph-width.

	* mm-util.el (mm-find-buffer-file-coding-system): Add check for XEmacs.

	* gnus-registry.el (gnus-adaptive-word-syntax-table):
	* gnus-fun.el (gnus-face-properties-alist): Pacify byte compiler.

2007-11-15  Juanma Barranquero  <lekktu@gmail.com>

	* nnimap.el (nnimap-split-download-body):
	* gnus-demon.el (gnus-demon):
	* gnus-uu.el (gnus-uu-default-view-rules): Fix typos in docstrings.

2007-11-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-insert-buffer-substring, nntp-copy-to-buffer): New
	macros.
	(nntp-wait-for, nntp-retrieve-articles, nntp-async-trigger)
	(nntp-retrieve-headers-with-xover): Use nntp-insert-buffer-substring to
	copy data from unibyte buffer to multibyte current buffer.
	(nntp-retrieve-headers, nntp-retrieve-groups); Use nntp-copy-to-buffer
	to copy data from unibyte current buffer to multibyte buffer.
	(nntp-make-process-buffer): Make process buffer unibyte.

	* pop3.el (pop3-open-server): Fix typo in Lisp code.

2007-11-14  Denys Duchier  <denys.duchier@univ-orleans.fr>  (tiny change)

	* pop3.el (pop3-open-server): Accept and process data more robustly at
	connexion start to avoid spurious "POP SSL connexion failed" errors.

2007-11-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-active-to-gnus-format): Use unibyte buffer to
	read group names.

2007-11-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-msg.el (gnus-confirm-mail-reply-to-news): Adjust :version.

2007-11-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmail.el (nnmail-parse-active): Make group names unibyte.
	(nnmail-save-active): Use a unibyte buffer when saving active file,
	which may contain non-ASCII group names.

	* nnml.el (nnml-request-group): Decode group names in messages.

2007-11-05  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-citation-line-function)
	(message-insert-formatted-citation-line): Fix spelling of
	`message-insert-formated-citation-line'.

2007-11-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-highlight): Mark as risky local variable.

2007-11-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnml.el (nnml-request-rename-group): Bind file-name-coding-system to
	nnmail-pathname-coding-system.

	* gnus-group.el (gnus-group-rename-group): Encode non-ASCII group name
	that a user enters; decode group names in messages.

	* gnus-msg.el (gnus-inews-do-gcc): Encode non-ASCII group names.

2007-11-01  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-charset-eval-alist): Mark as risky local variable.

	* gnus.el (gnus-group-charter-alist): Mark as risky local variable.

	* gnus-art.el (gnus-button-alist, gnus-header-button-alist): Mark as
	risky local variable.

	* gnus-group.el (gnus-group-icon-list): Mark as risky local variable.

2007-11-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* encrypt.el: Improve documentation to fix function name typo.
	Reported by Daiki Ueno <ueno@unixuser.org>.

2007-11-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-next-page): Honor gnus-article-over-scroll
	even if the point is not in the last page of an article.
	(gnus-article-prev-page): Honor gnus-article-over-scroll when moving
	back to the previous page.

2007-10-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* qp.el (quoted-printable-decode-string): Fix typo in doc string.

2007-10-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-ems.el (gnus-x-splash): Work even if there's no scroll bar.

2007-10-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-check-news-body-syntax): Avoid
	mm-string-as-multibyte.
	(message-hide-headers): Don't assume (point-min)==1.

2007-10-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-remove-blank-cited-lines): Fix if remove is
	given.
	(message-bogus-address-regexp): New variable.
	(message-bogus-recipient-p): New function.
	(message-check-recipients): New command.
	(message-syntax-checks): Add `bogus-recipient'.
	(message-fix-before-sending): Add `bogus-recipient'.

	* gnus-art.el (gnus-button-mid-or-mail-heuristic-alist): Add "alpine".
	(gnus-treat-body-boundary): Don't test window-system.

2007-10-28  Leo  <sdl.web@gmail.com>  (tiny change)

	* gnus-art.el (gnus-treat-emphasize): Don't test window-system.

2007-10-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el: Bump version to Gnus v5.13.

2007-10-28  Miles Bader  <miles@gnu.org>

	* nnheader.el (nnheader-uniquify-message-id): Make sure this is defined
	at compile-time too.

2007-10-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-msg.el (gnus-message-setup-hook): Add
	`message-remove-blank-cited-lines' to options.

2007-10-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-remove-blank-cited-lines): New function.
	Suggested by Karl Plästerer.

2007-10-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* hashcash.el (mail-add-payment): Replace mapcar called for effect with
	mapc.

	* imap.el (imap-open): Replace mapcar called for effect with mapc.
	(top-level): Use mapc to set functions to be traced for debugging.

	* legacy-gnus-agent.el (gnus-agent-convert-agentview): Replace mapcar
	called for effect with while loop.

	* message.el (message-talkative-question): Replace mapcar called for
	effect with mapc.

	* mm-util.el: Use mapc instead of mapcar to make compatible functions.
	(mm-find-mime-charset-region, mm-find-charset-region): Replace mapcar
	called for effect with dolist.

	* mml.el (mml-insert-mime): Replace mapcar called for effect with mapc.

	* nndiary.el: Use dolist instead of mapcar to add diary headers to
	gnus-extra-headers and nnmail-extra-headers.

	* nnimap.el (nnimap-request-update-info-internal): Replace mapcar
	called for effect with dolist.
	(top-level): Use mapc to set functions to be traced for debugging.

	* nnmail.el (nnmail-read-incoming-hook): Doc fix.
	(nnmail-split-fancy-with-parent): Replace mapcar called for effect with
	dolist.

	* nnmaildir.el (nnmaildir--delete-dir-files, nnmaildir-request-close):
	Replace mapcar called for effect with mapc.
	(nnmaildir--scan, nnmaildir-request-scan, nnmaildir-retrieve-groups)
	(nnmaildir-request-update-info, nnmaildir-request-delete-group)
	(nnmaildir-retrieve-headers, nnmaildir-request-set-mark)
	(nnmaildir-close-group): Replace mapcar called for effect with dolist.

	* nnrss.el (nnrss-make-hash-index): Use gnus-remove-if instead of
	remove-if that's a cl function.

	* webmail.el (webmail-debug): Replace mapcar called for effect with
	dolist.

2007-10-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-read-agentview, gnus-agent-save-alist)
	(gnus-agent-expire-unagentized-dirs): Replace mapcar called for effect
	with while loop.

	* gnus-art.el: Use mapc instead of mapcar to make gnus-article-*
	functions from article-* functions.
	(gnus-multi-decode-header): Replace mapcar called for effect with
	dolist.

	* gnus-bookmark.el (gnus-bookmark-bmenu-list)
	(gnus-bookmark-show-details): Replace mapcar called for effect with
	while loop.

	* gnus-diary.el (gnus-diary-update-group-parameters): Replace mapcar
	called for effect with while loop.

	* gnus-group.el (gnus-group-suspend): Replace mapcar called for effect
	with dolist.

	* gnus-registry.el (gnus-registry-split-fancy-with-parent): Replace
	mapcar called for effect with dolist.

	* gnus-spec.el (gnus-correct-length): Make it simple and fast.

	* gnus-sum.el (gnus-multi-decode-encoded-word-string)
	(gnus-build-sparse-threads, gnus-summary-limit-include-expunged):
	Replace mapcar called for effect with dolist.
	(gnus-simplify-buffer-fuzzy): Replace mapcar called for effect with
	mapc.

	* gnus-topic.el (gnus-topic-find-groups, gnus-topic-move-group):
	Replace mapcar called for effect with dolist.
	(gnus-topic-list): Replace mapcar called for effect with mapc.

	* gnus.el: Use mapc instead of mapcar to add autoloads.

2007-10-23  Richard Stallman  <rms@gnu.org>

	* gnus-group.el (gnus-group-highlight): Mark as risky.

2007-10-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-server-to-method): Return method found first in
	gnus-newsrc-alist.

	* gnus-art.el (gnus-article-highlight-signature)
	(gnus-insert-prev-page-button, gnus-insert-next-page-button): Make a
	button overlay without the front stickiness.

2007-10-22  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-agent.el (gnus-agent-expire-group-1): The check for an unsorted
	overview buffer needed a catch to receive its throw.
	(gnus-agent-flush-cache): Declared as interactive to make this function
	easier to use.

2007-10-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* html2text.el (html2text-fix-paragraph): Use `forward-line' instead of
	`next-line'.

2007-10-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmail.el (nnmail-fancy-expiry-target): Use rmail-dont-reply-to to
	exclude address matching message-dont-reply-to-names.

2007-10-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-string<): New function.

	* gnus-sum.el (gnus-article-sort-by-author)
	(gnus-article-sort-by-recipient, gnus-article-sort-by-subject): Use it.

2007-10-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-win.el (gnus-configure-windows): Focus on the frame for which
	the frame-focus tag is set in gnus-buffer-configuration.

2007-10-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-add-button): Make a button overlay without
	the front stickiness.

2007-10-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-button-alist): Exclude newline in RFC2396-compliant
	url pattern; remove duplicate one.
	(gnus-article-extend-url-button): New function.
	(gnus-article-add-buttons): Use it.
	(gnus-button-push): Use concatenated url that it makes.

2007-10-04  Juanma Barranquero  <lekktu@gmail.com>

	* sieve-manage.el (sieve-manage-interactive-login): Doc fix.
	(sieve-manage-open): Use `mapc' instead of `mapcar'.

2007-10-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-uu.el (gnus-uu-reginize-string, gnus-uu-expand-numbers):
	Don't hardcode point-min==1.

2007-09-30  David Kastrup  <dak@gnu.org>

	* gnus-art.el (gnus-article-reply-with-original)
	(gnus-article-followup-with-original): When `transient-mark-mode' is
	off, refrain from active-region behavior for followups.

2007-10-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-charset-synonym-alist): Alias gbk to cp936.
	Fix comment about "iso8859-1".

2007-10-08  Daiki Ueno  <ueno@unixuser.org>

	* mm-decode.el (mm-possibly-verify-or-decrypt): Replace PARTS with the
	ones returned from the verify-function.

	* mm-uu.el (mm-uu-pgp-signed-extract-1): Call
	mml2015-extract-cleartext-signature if extraction failed.

2007-10-07  Daiki Ueno  <ueno@unixuser.org>

	* mm-uu.el (mm-uu-pgp-signed-extract-1): Delete the first line
	beginning with "-----BEGIN PGP SIGNED MESSAGE-----" if extraction
	failed.

2007-10-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* Relicense "GPLv2 or later" files to "GPLv3 or later".

2007-09-27  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sum.el (gnus-summary-kill-thread): Allow universal prefix zero
	to mark a thread as expirable.  Add variable `hide' to handle hiding of
	thread for both the null and zero (kill/expire thread) universal prefix
	cases.
	(gnus-summary-expire-thread): Add new function to expire a thread,
	using gnus-summary-kill-thread.
	(gnus-summary-mode-map, gnus-summary-thread-map): Add 'M-C-e' and 'T e'
	shortcuts for gnus-summary-expire-thread.
	(gnus-summary-mode-map, gnus-summary-thread-map): Remove `M-C-e' and `T
	e' bindings for gnus-summary-expire-thread.  Add `T E' binding.

2007-09-25  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-store-extra-entry): Allow for nil
	extras value, so an extras entry can be deleted.
	(gnus-registry-delete-extra-entry): Use it.
	(gnus-registry-fetch-extra-flags, gnus-registry-has-extra-flag)
	(gnus-registry-store-extra-flags, gnus-registry-delete-extra-flags)
	(gnus-registry-delete-all-extra-flags): Allow for arbitrary flag symbol
	storage through the gnus-registry, and provide an appropriate API for
	it.

2007-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-newsgroup-maximum-articles): Move from gnus.el.
	Suggested by Leo <sdl.web@gmail.com>.

	* gnus.el: Do.

2007-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-newsgroup-maximum-articles): Rename from
	gnus-maximum-newsgroup.  Suggested by Leo <sdl.web@gmail.com>.

	* gnus-agent.el (gnus-agent-fetch-headers): Do.

	* gnus-sum.el (gnus-articles-to-read, gnus-list-of-unread-articles)
	(gnus-list-of-read-articles, gnus-sequence-of-unread-articles): Do.

2007-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmbox.el (nnmbox-request-article): Don't assume delim regexp matches
	newline.
	(nnmbox-request-accept-article): Don't change article in source buffer;
	narrow to header to use message-fetch-field rather than
	nnmail-fetch-field; use with-current-buffer instead of save-excursion.
	(nnmbox-request-replace-article): Quote lines that'll be misidentified
	as delimiters; make sure article ends with newline.
	(nnmbox-delete-mail): Correct last position of article to be deleted;
	ignore X-Gnus-Newsgroup header in article body.
	(nnmbox-save-mail): Quote lines looking like delimiters at the right
	positions; make sure article ends with newline.

	* message.el (message-display-abbrev): Don't infloop when a user
	inserts SPC in the beginning of header.

2007-09-12  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-unfollowed-groups): Add INBOX to the
	list of groups not followed by default.  Fix type to be regexp.
	(gnus-registry-grep-in-list): Fix inverted parameters to string-match.

2007-09-06  Tassilo Horn  <tassilo@member.fsf.org>

	* hmac-def.el (define-hmac-function): Switch from old-style to
	new-style backquotes.

	* md4.el (md4-make-step): Likewise.

2007-09-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-gnus-to-newsrc-format): Use a unibyte buffer and
	raw-text coding system when saving .newsrc file, which may contain
	non-ASCII group names.

2007-09-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cus.el (gnus-score-extra): New widget.
	(gnus-score-extra-convert): New function.
	(gnus-score-customize): Use it for Extra.

2007-08-31  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-extract-cleartext-signature): New function.
	(mml2015-mailcrypt-clear-verify): Use it.
	(mml2015-gpg-clear-verify): Use it.
	(mml2015-pgg-clear-verify): Use it.
	(mml2015-epg-clear-verify): Replace the current part with the output
	from GnuPG; don't extract the plaintext by itself.

	* mm-uu.el (mm-uu-pgp-beginning-signature): Abolish.
	(mm-uu-pgp-signed-extract-1): Bind coding-system-for-read when calling
	mml2015-clear-verify-function; don't touch the armor headers or
	dash-escaped text here.

2007-08-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-edit-part): Don't jump to nonexistent part.
	(gnus-mime-view-part-as-type-internal): Default to text/plain for text
	parts, or application/octet-stream as a last resort.
	(gnus-mime-view-part-as-type): Don't toggle display.
	(gnus-mime-view-part-as-charset): Don't turn off display before
	querying charset.

	* mm-view.el (mm-inline-text-html-render-with-w3): Don't add XEmacs
	stuff to undisplayer function in Emacs.
	(mm-inline-text-html-render-with-w3m): Remove Emacs/W3 stuff.

	* mml.el (mml-generate-mime-1): Prefer utf-8 when encoding
	text/calendar parts.

2007-08-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-display-single): Use utf-8 by default for
	decoding text/calendar parts.

	* message.el (message-forward-make-body-mime): Always mark body as
	having no illegible text; remove signed-or-encrypted argument.
	(message-forward-make-body): Don't pass signed-or-encrypted arg to it.

	* mml.el (mml-generate-mime): Make sure it uses multibyte temp buffer.
	(mml-generate-mime-1): Don't encode body if it is specified to be in
	raw form; don't make buffer be unibyte when inserting multibyte string.

2007-08-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* sha1.el: Fix up comment style.
	(sha1-F0, sha1-F1, sha1-F2, sha1-F3, sha1-S1, sha1-S5, sha1-S30)
	(sha1-OP, sha1-add-to-H): Use new-style backquotes.

	* hex-util.el: Fix up comment style.
	(hex-char-to-num, num-to-hex-char): Use new-style backquotes.

	* gnus-salt.el: Use with-current-buffer.
	(gnus-pick-setup-message): Fix long-standing typo.

2007-08-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* imap.el (imap-logout-timeout): New variable.
	(imap-logout, imap-logout-wait): New functions.
	(imap-kerberos4-open, imap-gssapi-open, imap-close): Use them.

	* nnimap.el (nnimap-logout-timeout): New server variable.
	(nnimap-open-server, nnimap-close-server): Bind imap-logout-timeout to
	nnimap-logout-timeout.

	* gnus-art.el (gnus-article-summary-command-nosave)
	(gnus-article-read-summary-keys): Don't use 3rd arg of pop-to-buffer.

2007-08-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-maximum-newsgroup): New variable.

	* gnus-agent.el (gnus-agent-fetch-headers): Limit the range of articles
	according to gnus-maximum-newsgroup.

	* gnus-sum.el (gnus-articles-to-read, gnus-list-of-unread-articles)
	(gnus-list-of-read-articles, gnus-sequence-of-unread-articles):
	Limit the range of articles according to gnus-maximum-newsgroup.

2007-08-14  Tassilo Horn  <tassilo@member.fsf.org>

	* gnus-art.el (gnus-sticky-article): Fixed problems described in
	<b4mps1qitio.fsf@jpl.org> on ding.  Thanks to Katsumi.
	Don't perform gnus-configure-windows here; reuse existing sticky
	article buffer.

	* gnus-sum.el (gnus-summary-display-article): Setup article buffer if
	it doesn't exist in gnus-article-mode.

2007-08-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-decoded-group-names): New variable.
	(gnus-agent-decoded-group-name): New function.
	(gnus-agent-group-path, gnus-agent-group-pathname): Use it.
	(gnus-agent-expire-group-1): Use it; decode group name in messages.

2007-08-12  Tassilo Horn  <tassilo@member.fsf.org>

	* gnus-sum.el (gnus-summary-article-map, gnus-summary-make-menu-bar):
	Add binding for gnus-sticky-article.
	(gnus-summary-exit): Don't kill sticky article buffers.

	* gnus-art.el (gnus-sticky-article-mode): New mode to generate a sticky
	article buffer.
	(gnus-sticky-article, gnus-kill-sticky-article-buffer)
	(gnus-kill-sticky-article-buffers): New commands.

2007-08-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-xref-number-is-evil): New server variable.
	(nntp-find-group-and-number): If it is non-nil, don't trust article
	numbers in the Xref header.

2007-08-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-read-group): New function.
	(gnus-agent-flush-group, gnus-agent-expire-group)
	(gnus-agent-regenerate-group): Use it.
	(gnus-agent-expire-unagentized-dirs): Bind file-name-coding-system to
	nnmail-pathname-coding-system.

2007-08-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-ems.el (gnus-x-splash): Bind inhibit-read-only to t.

	* gnus-sum.el (gnus-summary-insert-articles): Mark inserted articles
	that are unread as unread, and also as selected so that information of
	marks having been changed by a user may be updated when exiting group.

2007-08-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (article-hide-headers): Bind inhibit-read-only to t.

2007-08-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-display-single): Pass part number that is
	calculated ignoring signature parts to gnus-treat-article.

2007-08-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-security-verify-or-decrypt): Don't narrow to
	a point here in order to keep the window start.
	(gnus-insert-mime-security-button): Make a button overlay without the
	front stickiness.
	(gnus-mime-display-security): Goto the end of a button.

	* gnus-group.el (gnus-group-name-at-point): Fix regexps.

2007-08-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-name-at-point): Rewrite; rename from
	group-name-at-point.
	(gnus-group-completing-read): New function that offers decoded
	non-ASCII group names for completion.
	(gnus-fetch-group, gnus-group-read-ephemeral-group)
	(gnus-group-jump-to-group, gnus-group-make-group-simple)
	(gnus-group-unsubscribe-group, gnus-group-fetch-charter)
	(gnus-group-fetch-control): Use it.
	(gnus-fetch-group): Use group-name-at-point for the initial value
	rather than the default value; use gnus-alive-p.

	* gnus-msg.el (gnus-group-mail, gnus-group-news, gnus-group-post-news)
	(gnus-summary-mail-other-window, gnus-summary-news-other-window)
	(gnus-summary-post-news): Use gnus-group-completing-read.

	* gnus-sum.el (gnus-select-newsgroup): Decode group name in error msg.
	(gnus-read-move-group-name): Decode group name for completion.

2007-07-31  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-srvr.el (gnus-server-close-all-servers): Close servers not only
	in gnus-inserted-opened-servers but also in gnus-server-alist (Katsumi
	Yamaoka slightly modified the code).

2007-07-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmail.el (nnmail-group-names-not-encoded-p): New variable.
	(nnmail-split-incoming): Bind it.

	* nnml.el (nnml-group-name-charset): New function.
	(nnml-decoded-group-name): Use it; don't decode group name if
	nnmail-group-names-not-encoded-p is non-nil.
	(nnml-encoded-group-name): New function.
	(nnml-group-pathname): Inline nnml-decoded-group-name.
	(nnml-request-expire-articles): Decode group name in message.
	(nnml-request-delete-group): Ditto; bind file-name-coding-system to
	nnmail-pathname-coding-system.
	(nnml-save-mail, nnml-active-number): Work with decoded group names and
	not decoded ones according to nnmail-group-names-not-encoded-p.
	(nnml-generate-active-info): Use nnml-encoded-group-name.

2007-08-08  Glenn Morris  <rgm@gnu.org>

	* gmm-utils.el, gnus-async.el, gnus-msg.el, gnus-score.el
	* gnus-util.el, imap.el, mailcap.el, nnimap.el: Replace `iff' in
	doc-strings and comments.

2007-07-25  Glenn Morris  <rgm@gnu.org>

	* Relicense all FSF files to GPLv3 or later.

2007-07-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-move-article): Make
	gnus-summary-respool-article work.

2007-07-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-uu.el (mm-uu-type-alist): Refer to mm-uu-configure-list in doc
	string.

2007-07-20  Michaël Cadilhac  <michael@cadilhac.name>

	* nnrss.el (nnrss-ignore-article-fields): New variable.  List of fields
	that should be ignored when comparing distant RSS articles with local
	ones.
	(nnrss-make-hash-index): New function.  Create a hash index according
	to the ignored fields.
	(nnrss-check-group): Use it.

2007-07-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-group-pathname): Take notice of the method.

	* gnus-art.el (article-decode-group-name): Decode Xref header too.

	* gnus-group.el (gnus-group-make-group): Encode group name here unless
	the new optional argument ENCODED is non-nil.
	(gnus-group-make-doc-group): Use gnus-group-name-charset to determine
	coding system for encoding group name.
	(gnus-group-make-rss-group): Pass un-encoded group name to
	gnus-group-make-group.
	(gnus-group-set-info): Tell gnus-group-make-group that group name is
	encoded.

	* gnus-sum.el (gnus-summary-move-article, gnus-read-move-group-name):
	Encode group name to which articles are moved or copied.
	(gnus-summary-edit-article): Use gnus-group-name-charset to determine
	coding system for encoding Newsgroup, Followup-To and Xref headers.

	* nnagent.el (nnagent-request-set-mark): Use unibyte buffer to compose
	marks; use nnheader-file-coding-system to write a file.
	(nnagent-retrieve-headers): Bind file-name-coding-system to
	nnmail-pathname-coding-system.

	* nnmail.el (nnmail-insert-xref): Don't break non-ASCII group name.

	* nnml.el (nnml-decoded-group-name, nnml-group-pathname): New functions.
	(nnml-request-article, nnml-request-create-group)
	(nnml-request-rename-group, nnml-find-id)
	(nnml-possibly-change-directory, nnml-possibly-create-directory)
	(nnml-save-mail, nnml-active-number, nnml-marks-changed-p)
	(nnml-save-marks): Use nnml-group-pathname instead of
	nnmail-group-pathname.

	(nnml-request-create-group, nnml-request-expire-articles)
	(nnml-request-move-article, nnml-request-delete-group)
	(nnml-deletable-article-p, nnml-possibly-create-directory)
	(nnml-get-nov-buffer, nnml-generate-nov-databases-directory)
	(nnml-open-marks): Bind file-name-coding-system to
	nnmail-pathname-coding-system.

	(nnml-request-article): Pass server argument to nnml-find-group-number.
	(nnml-request-create-group, nnml-active-number, nnml-save-marks): Pass
	server argument to nnml-possibly-create-directory.
	(nnml-request-accept-article): Pass server argument to
	nnml-active-number and nnml-save-mail.
	(nnml-find-group-number): Pass server argument to nnml-find-id.
	(nnml-request-update-info): Pass server argument to
	nnml-marks-changed-p.

	(nnml-find-id, nnml-find-group-number, nnml-possibly-create-directory)
	(nnml-save-mail, nnml-active-number): Add server argument.

	(nnml-request-delete-group): Warn if group is missing.
	(nnml-get-nov-buffer): Decode group name.
	(nnml-generate-active-info): Encode group name.
	(nnml-open-marks): Decode group name in messages.

2007-07-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-part-wrapper): Work with the nearest part
	if it is not specified.
	(gnus-article-pipe-part, gnus-article-save-part)
	(gnus-article-interactively-view-part, gnus-article-copy-part)
	(gnus-article-view-part-as-charset, gnus-article-view-part-externally)
	(gnus-article-inline-part, gnus-article-save-part-and-strip)
	(gnus-article-replace-part, gnus-article-delete-part)
	(gnus-article-view-part-as-type): Pass raw prefix argument to
	gnus-article-part-wrapper.

2007-07-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-save-active): Bind
	nnheader-file-coding-system to gnus-agent-file-coding-system.

	* gnus-cache.el (gnus-cache-save-buffers)
	(gnus-cache-possibly-enter-article, gnus-cache-request-article)
	(gnus-cache-retrieve-headers, gnus-cache-change-buffer)
	(gnus-cache-possibly-remove-article, gnus-cache-articles-in-group)
	(gnus-cache-braid-nov, gnus-cache-braid-heads)
	(gnus-cache-generate-active, gnus-cache-rename-group)
	(gnus-cache-delete-group, gnus-cache-update-file-total-fetched-for)
	(gnus-cache-update-overview-total-fetched-for): Bind
	file-name-coding-system to nnmail-pathname-coding-system.
	(gnus-cache-decoded-group-names, gnus-cache-unified-group-names): New
	variables.
	(gnus-cache-decoded-group-name): New function.
	(gnus-cache-file-name): Use it.
	(gnus-cache-generate-active): Use non-decoded group name for active.

	* gnus-util.el (gnus-write-buffer): Bind file-name-coding-system at the
	right place.
	(gnus-write-active-file): Don't break non-ASCII group names.

	* nntp.el (nntp-marks-changed-p): Bind file-name-coding-system to
	nnmail-pathname-coding-system.

	* gnus-uu.el (gnus-uu-decode-save): Typo.

2007-07-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-srvr.el (gnus-server-font-lock-keywords): Quote faces.

2007-07-14  David Kastrup  <dak@gnu.org>

	* gnus-art.el (gnus-mime-delete-part): Don't go through article-edit
	finishing actions if we did not edit the article.

2007-07-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-rename-group, gnus-agent-delete-group)
	(gnus-agent-fetch-articles, gnus-agent-unfetch-articles)
	(gnus-agent-crosspost, gnus-agent-backup-overview-buffer)
	(gnus-agent-flush-group, gnus-agent-flush-cache)
	(gnus-agent-fetch-headers, gnus-agent-load-alist)
	(gnus-agent-read-agentview, gnus-agent-expire-group-1)
	(gnus-agent-retrieve-headers, gnus-agent-request-article)
	(gnus-agent-regenerate-group)
	(gnus-agent-update-files-total-fetched-for)
	(gnus-agent-update-view-total-fetched-for): Bind
	file-name-coding-system to nnmail-pathname-coding-system.
	(gnus-agent-group-pathname): Don't encode file names by
	nnmail-pathname-coding-system.
	(gnus-agent-save-local): Bind file-name-coding-system correctly; bind
	coding-system-for-write instead of buffer-file-coding-system to
	gnus-agent-file-coding-system.

	* gnus-msg.el (gnus-inews-make-draft, gnus-inews-insert-archive-gcc):
	Decode group name.

	* gnus-srvr.el (gnus-browse-foreign-server): Make group names unibyte.

	* gnus-start.el (gnus-update-active-hashtb-from-killed)
	(gnus-read-newsrc-el-file): Make group names unibyte.

	* nnmail.el (nnmail-group-pathname): Don't encode file names by
	nnmail-pathname-coding-system.

	* nnrss.el (nnrss-file-coding-system): Doc fix; make it begin with *.
	(nnrss-request-delete-group): Bind file-name-coding-system to
	nnmail-pathname-coding-system.
	(nnrss-read-server-data, nnrss-read-group-data): Bind
	file-name-coding-system correctly.
	(nnrss-check-group): Pass nnrss-file-coding-system to md5.

	* nntp.el: Require gnus-group for the function gnus-group-name-charset.
	(nntp-server-to-method-cache): New variable.
	(nntp-group-pathname): New function that decodes non-ASCII group names.
	(nntp-possibly-create-directory, nntp-marks-changed-p)
	(nntp-save-marks, nntp-open-marks): Use it.
	(nntp-possibly-create-directory, nntp-open-marks):
	Bind file-name-coding-system to nnmail-pathname-coding-system.
	(nntp-open-marks): Decode group names when bootstrapping marks.

	* rfc2047.el (rfc2047-encode-message-header): Make XEmacs decode
	Newsgroups and Folowup-To headers.

2007-07-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-srvr.el (gnus-server-agent-face, gnus-server-opened-face)
	(gnus-server-closed-face, gnus-server-denied-face)
	(gnus-server-offline-face): Remove variable.
	(gnus-server-font-lock-keywords): Use faces that are not aliases.

	* gnus-util.el (gnus-message-with-timestamp-1): Use log-message instead
	of modifying message-stack directly for XEmacs.

	* mm-util.el (mm-decode-coding-string, mm-encode-coding-string)
	(mm-decode-coding-region, mm-encode-coding-region): Don't modify string
	if the coding-system argument is nil for XEmacs.

	* nnrss.el (nnrss-compatible-encoding-alist): Inherit the value of
	mm-charset-override-alist.

	* rfc2047.el: Don't require base64; require rfc2045 for the function
	rfc2045-encode-string.
	(rfc2047-encode-parameter): Use rfc2045-encode-string to quote or not
	to quote the parameter value.

2007-07-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-name-charset): Allow a method of the short
	form in gnus-group-name-charset-method-alist.

	* gnus-eform.el (gnus-edit-form): Add optional argument layout which
	overrides the default layout edit-form.

	* gnus-win.el (gnus-buffer-configuration): Add edit-server.

	* gnus-srvr.el (gnus-server-edit-server): Use edit-server layout.

2007-07-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-catchup): Don't recognize cached articles
	as unfetched articles.

2007-07-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-start.el (gnus-level-unsubscribed): Improve doc string.

2007-07-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnagent.el (nnagent-request-set-mark): Also set the marks for the
	original back end that keeps marks in the local system.

2007-06-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-summary-command-nosave): Don't set the 3rd
	arg of pop-to-buffer for XEmacs.
	(gnus-article-read-summary-keys): Ditto; don't restore window
	configuration if summary command ends up with neither article buffer
	nor summary buffer; describe bindings if summary keys end with C-h.

2007-06-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-fix-before-sending): Skip raw message part to be
	forwarded while checking illegible text.
	(message-forward-make-body-mime, message-forward-make-body): Mark
	signed or encrypted raw message as having no illegible text.

2007-06-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-add-timestamp-to-message): New user option.
	(gnus-message-with-timestamp-1): New macro.
	(gnus-message-with-timestamp): New function.
	(gnus-message): Use them.

	* nnheader.el (nnheader-message): Use them.

2007-06-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-start.el (gnus-gnus-to-quick-newsrc-format): Add newlines to
	.newsrc.eld file.

2007-06-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-fetch-headers)
	(gnus-agent-retrieve-headers): Bind
	gnus-decode-encoded-address-function to identity.

	* nntp.el (nntp-send-xover-command): Recognize an xover command is
	available also when the server returns simply a dot.

	* gnus-ems.el (gnus-x-splash): Redisplay window before measuring it.

2007-06-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-ems.el (gnus-x-splash): Fix calculation; error in tty.

2007-06-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-ems.el (gnus-x-splash): Make it work.

	* gnus-start.el (gnus-1): Relax restrictions that prevent gnus-x-splash
	from being used.

2007-06-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-insert-mime-button): Make a button overlay without
	the front stickiness.
	(gnus-article-summary-command-nosave): Correct the order of the
	arguments passed to pop-to-buffer.
	(gnus-article-read-summary-keys): Ditto; make it work properly when the
	summary command ends up with the article buffer.

	* mm-decode.el (mm-insert-part): Separate the extracted parts that have
	the same faces.

2007-06-07  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-art.el (gnus-split-methods): Fix typo in docstring.

2007-06-06  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-diary.el (gnus-diary-time-format, gnus-summary-sort-by-schedule):
	* gnus-sum.el (gnus-summary-highlight):
	* mail-source.el (mail-source-delete-old-incoming-confirm):
	* nndiary.el (nndiary-reminders): Fix typos in docstrings.

2007-06-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-view-part-externally)
	(gnus-mime-view-part-internally): Fix predicate function passed to
	completing-read.

	* mm-decode.el (mm-image-fit-p): Return t if argument is not an image.

	* gnus.el (gnus-update-message-archive-method): Add :version.

2007-06-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-update-message-archive-method): New variable.

	* gnus-start.el (gnus-setup-news): Update saved "archive" method
	according to gnus-message-archive-method if
	gnus-update-message-archive-method is non-nil.

2007-05-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-limit-to-address): New function.  Suggested
	by Loic Dachary <loic@dachary.org>.
	(gnus-summary-limit-map, gnus-summary-make-menu-bar): Add it.

2007-05-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-pop-to-buffer): Add switch-function argument.
	(message-mail): Pass switch-function argument to it.

2007-05-25  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-decode.el (mm-file-name-rewrite-functions): Make it customizable.
	Improve doc string.

2007-05-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-header-from, gnus-header-subject, gnus-header-name)
	(gnus-header-content)
	* gnus-cite.el (gnus-cite-10)
	* gnus-srvr.el (gnus-server-closed)
	* gnus.el (gnus-group-mail-1, gnus-group-mail-1-empty)
	(gnus-group-mail-2, gnus-group-mail-2-empty, gnus-group-mail-3)
	(gnus-group-mail-3-empty, gnus-group-mail-low)
	(gnus-group-mail-low-empty, gnus-splash)
	* message.el (message-header-to, message-header-cc)
	(message-header-subject, message-header-other, message-header-name)
	(message-header-xheader, message-separator, message-cited-text)
	(message-mml): Lighten colors of faces used for dark background.

2007-05-24  Simon Josefsson  <simon@josefsson.org>

	* nnimap.el (nnimap-need-unselect-to-notice-new-mail): Change default
	to t as an experiment.  Suggested by Greg Troxel <gdt@work.lexort.com>.

2007-05-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-narrow-to-headers-or-head):
	Ignore mail-header-separator in the body.

2007-05-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-image-fit-p): Return t if image size is just the
	same as window size.

2007-05-22  Kevin Ryde  <user42@zip.com.au>

	* message.el (message-font-lock-keywords): Use message-header-xheader
	face for "X-Foo", its apparent intended purpose.  Move "X-" pattern
	ahead of the anything pattern, to get it recognised.

2007-05-12  Michaël Cadilhac  <michael@cadilhac.name>

	* gnus-sum.el (gnus-articles-to-read)
	(gnus-summary-insert-old-articles): Don't truncate group name for
	`read-string'.

	* gnus-util.el (gnus-limit-string): Delete this function.

	* gnus-sum.el (gnus-simplify-subject-fully): Use
	`truncate-string-to-width' instead.

2007-05-11  Michaël Cadilhac  <michael@cadilhac.name>

	* gnus-sum.el (gnus-summary-next-group-on-exit): New variable.  Tell
	if, on summary exit, the next group has to be selected.
	(gnus-summary-exit): Use it.

2007-05-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-mode): Fix comment about displaying
	non-break space.

2007-05-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnfolder.el (nnfolder-request-group, nnfolder-request-create-group):
	Check if group is not a directory.
	(nnfolder-request-expire-articles): Don't delete articles if the target
	group is not available.

	* nnml.el (nnml-request-create-group): Properly check if group is not a
	file.
	(nnml-request-expire-articles): Don't delete articles if the target
	group is not available.

	* rfc2047.el (rfc2047-quote-special-characters-in-quoted-strings):
	Don't quote characters that are within parentheses.

2007-05-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-auto-select-on-ephemeral-exit): New variable.
	(gnus-handle-ephemeral-exit): Select article according to it.

2007-05-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-insert-formated-citation-line): Remove newline.
	(message-citation-line-format): Add final \n here so that the user can
	avoid a blank line.

2007-05-03  Dan Christensen  <jdc@uwo.ca>

	* nndoc.el (nndoc-type-alist, nndoc-lanl-gov-announce-type-p)
	(nndoc-transform-lanl-gov-announce, nndoc-generate-lanl-gov-head):
	Update lanl/arXiv support.

2007-05-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el: Bump version number.

2007-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump version.

2007-05-01  Lars Magne Ingebrigtsen  <lars@ingebrigtsen.no>

	* gnus.el: No Gnus v0.6 is released.

2007-04-27  Didier Verna  <didier@xemacs.org>

	* gnus-util.el (gnus-orify-regexp): Moved and renamed to ...
	* gmm-utils.el (gmm-regexp-concat): here.
	* message.el: Don't require 'gnus-util.
	(message-dont-reply-to-names): Handle name change above.
	* gnus-sum.el (gnus-ignored-from-addresses): Ditto.

2007-04-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-charset-synonym-alist): Don't make it a user option
	since the initial value varies according to the system.

2007-04-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-charset-synonym-alist): Defcustom.

2007-04-25  NAKAJI Hiroyuki  <nakaji@jp.freebsd.org>  (tiny change)

	* mm-util.el (mm-charset-synonym-alist): Map iso8859-1 to iso-8859-1.

2007-04-24  Didier Verna  <didier@xemacs.org>

	Improve the type of gnus-ignored-from-addresses.
	* gnus-util.el (gnus-orify-regexp): New function.
	* message.el (gnus-util): Require it.
	* message.el (message-dont-reply-to-names): Use gnus-orify-regexp.
	* gnus-sum.el (gnus-ignored-from-addresses): New function.
	* gnus-sum.el (gnus-summary-from-or-to-or-newsgroups): Use it.

2007-04-24  Didier Verna  <didier@xemacs.org>

	* gnus-sum.el:
	* gnus-utils.el: Fix some trailing whitespaces.

2007-04-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-summary-resend-message-edit): Add Gcc header.
	(gnus-summary-resend-bounced-mail): Ditto; search whole body for parent
	article's Message-ID; refer parent article in summary buffer.

	* message.el (message-bounce): Call mime-to-mml.

2007-04-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-summary-supersede-article): Add Gcc header.

2007-04-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-strip-charset-parameters): New function.
	(gnus-mime-view-part-as-charset): Use it; redisplay subpart currently
	displayed of multipart/alternative part if it is invoked from summary
	buffer.

	* mm-view.el (mm-inline-text-html-render-with-w3m)
	(mm-inline-text-html-render-with-w3m-standalone)
	(mm-inline-render-with-function): Use mail-parse-charset by default.

2007-04-18  Levin Du  <zslevin@gmail.com>  (tiny change)

	* parse-time.el (parse-time-string-chars): Check if CHAR
	is less than the length of parse-time-syntax.

2007-04-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-uu.el (gnus-uu-digest-mail-forward): Pull articles processed
	from gnus-newsgroup-processable.

2007-04-16  Didier Verna  <didier@xemacs.org>

	* gnus-msg.el (gnus-configure-posting-styles): Handle
	message-signature-directory properly with :file syntax.  Reported by
	"Leo".

2007-04-11  Didier Verna  <didier@xemacs.org>

	New user option: message-signature-directory.
	* gnus-msg.el (gnus-configure-posting-styles): Support it.
	* message.el (message-insert-signature): Ditto.
	* message.el (message-signature-file): Doc update.
	* message.el (message-signature-directory): New.

2007-04-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-inews-yank-articles): Use
	message-exchange-point-and-mark instead of exchange-point-and-mark.

2007-04-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-yank-original): Make sure cited text ends with
	newline; don't exchange point and mark.

2007-04-07  Chong Yidong  <cyd@stupidchicken.com>

	* tls.el (open-tls-stream): Properly handle case where there
	is no associated buffer.

2007-04-03  Thien-Thi Nguyen  <ttn@gnu.org>

	* gnus-msg.el (gnus-inews-yank-articles): Fix bug: After
	message-yank-original, make sure (< mark TEXT point).

2007-03-31  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-fill-column): New variable.
	(message-mode): Use it.  Add comment on a possible new hook.

	* nnmail.el (nnmail-spool-file): Mark as obsolete.
	(nnmail-get-new-mail): Reformat.

	* gnus-registry.el (gnus-registry-cache-save): Add FIXME comment.

	* gmm-utils.el: Fix Commentary.
	(gmm-tool-bar-from-list): Fix typo in doc string.

2007-03-27  Thien-Thi Nguyen  <ttn@gnu.org>

	* message.el (message-yank-original): Don't switch point and mark
	unnecessarily to put point and mark as documented.

2007-03-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-put-addresses-in-ecomplete): Only fetch headers
	from the message heads.

2007-03-25  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-art.el (gnus-article-set-window-start): Do nothing when the
	article buffer does not have a window.  This may not be the best
	solution but is certainly better than setting the start of the null,
	that is the current, window.

2007-03-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-draft.el (gnus-draft-setup-hook): New hook.
	(gnus-draft-setup): Run it.

	* gnus-score.el (gnus-inhibit-slow-scoring): New variable, renamed from
	gnus-score-fast-scoring.  Allow regexp.
	(gnus-score-headers): Use it.

	* gnus-util.el (gnus-emacs-version): Include "no MULE" in no-MULE
	XEmacs.

	* gnus-art.el (gnus-article-browse-html-article): Fix typo in doc
	string.
	(gnus-button-alist): Also catch `<f1> k ...'.
	(gnus-treat-display-x-face): Fix doc string.

2007-03-25  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus-msg.el (gnus-setup-message, gnus-inews-add-send-actions): Move
	evaluation of gnus-extended-version to ensure correct generation of the
	User-Agent header when message-generate-headers-first is used.

2007-03-24  Simon Josefsson  <simon@josefsson.org>

	* hashcash.el (hashcash-generate-payment-async): Don't crash if
	hashcash-path is nil.  Don't call callback with incorrect number of
	parameters if val is 0.

2007-03-20  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* message.el (message-required-news-headers):
	* gnus-util.el (gnus-intern-safe): Fix typo in docstring.

2007-03-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-generate-new-buffers): Change the meaning of the
	nil value; add `standard' to the choices; treat t as `unique'; improve
	doc string.
	(gnus-select-frame-set-input-focus): Autoload.
	(message-buffer-name): Search for the existing message buffer if
	message-generate-new-buffers is nil or `standard'; treat the value t of
	message-generate-new-buffers as `unique'.
	(message-pop-to-buffer): Raise the frame already displaying the message
	buffer; clear the echo area after querying.
	(message-setup): Pass the `continue' argument to compose-mail.
	(message-mail): Prefer `switch-function' if it is given; search for the
	existing message buffer if the `continue' argument is non-nil; pass
	continue and switch-function arguments to compose-mail by way of
	message-setup.
	(message-mail-other-window): Adjust argument of message-setup.
	(message-mail-other-frame): Ditto.

2007-03-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cite.el (font-lock-set-defaults): Autoload it for Emacs.
	(gnus-message-citation-mode): Require font-lock for XEmacs; make sure
	to turn font-lock on when turning gnus-message-citation-mode on.

2007-03-06  Daiki Ueno  <ueno@unixuser.org>

	* mml-smime.el (mml-smime-use): New variable; default to use openssl.
	(mml-smime-function-alist): New variable; add epg as the backend.
	* mml-sec.el (mml-smime-sign): Don't require mml-smime, autoload
	mml-smime- functions instead.
	* mm-view.el: Require smime.

2007-03-05  Didier Verna  <didier@xemacs.org>

	* gnus-topic.el (gnus-topic-hierarchical-parameters): Perform merging
	instead of just inheritance for posting styles.
	* gnus.el (gnus-group-fast-parameter): Fix typo in comment.

2007-02-24  John Paul Wallington  <jpw@pobox.com>

	* tls.el (tls-certtool-program): Fix custom type.

2007-02-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cite.el (gnus-message-search-citation-line): Use point-at-bol
	and point-at-eol instead of line-(beginning|end)-position.

	* assistant.el (assistant-parse-buffer): Ditto.

2007-02-28  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-find-usable-key): New function.
	(mml2015-epg-sign): Use it.
	(mml2015-epg-encrypt): Use it.

2007-02-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-make-in-reply-to): Quote name containing
	non-ASCII characters.  It will make the RFC2047 encoder cause an error
	if there are special characters.  Reported by NAKAJI Hiroyuki
	<nakaji@jp.freebsd.org>.

2007-02-27  Didier Verna  <didier@xemacs.org>

	Include the group parameters as well as the topic ones in the
	inheritance filter process.
	* gnus-topic.el (gnus-topic-hierarchical-parameters): New optional
	argument GROUP-PARAMS-LIST.
	* gnus-topic.el (gnus-group-topic-parameters): Use it.

2007-02-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-never-echoes-commands)
	(nntp-open-connection-functions-never-echo-commands): New variables.
	(nntp-send-command): Use them.

2007-02-20  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-verify): Simplified.

2007-02-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-content-disposition-alist): New user option.
	(mml-content-disposition): New function.
	(mml-insert-mime-headers, mml-minibuffer-read-disposition): Use it.
	(mml-attach-file, mml-dnd-attach-file): Pass file name to it.

2007-02-19  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-verify): Convert LF to CRLF before signature
	verification.

2007-02-15  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-google-parse-1): Fix date parsing to also match on
	articles posted in the last 24 hours.

2007-02-14  Chong Yidong  <cyd@stupidchicken.com>

	* smiley.el (smiley-regexp-alist): Add "dead" smiley.

2007-02-14  Michaël Cadilhac  <michael@cadilhac.name>

	* nntp.el (nntp-send-command): Don't wait for echoes when
	nntp-open-ssl-stream is used.

2007-02-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cite.el (gnus-test-font-lock-add-keywords)
	(gnus-message-add-citation-keywords)
	(gnus-message-remove-citation-keywords): Remove.
	(gnus-message-citation-mode): Instead of modifying font-lock-keywords
	directly, make the variables in font-lock-defaults buffer-local, add
	gnus-message-citation-keywords to them and then update the value of
	font-lock-keywords.

2007-02-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-cite-original-1): Don't call
	gnus-article-highlight-citation.

	* gnus-cite.el (gnus-cite-parse): Work with two or more MS-type
	citations; fix line count.

2007-02-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cite.el (gnus-test-font-lock-add-keywords): New function.
	(gnus-message-add-citation-keywords)
	(gnus-message-remove-citation-keywords): Use it; fix the emulating
	versions of font-lock-add-keywords and font-lock-remove-keywords to
	work with XEmacs correctly.

2007-02-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cite.el (gnus-cite-face-list): Set the values of
	gnus-message-max-citation-depth and gnus-message-citation-keywords.
	(gnus-message-max-citation-depth): Use defvar rather than defconst.
	(gnus-message-cite-prefix-regexp): New variable.
	(gnus-message-search-citation-line): Use it; protect against long
	citation prefix; fill match data with nil rather than 0 for XEmacs; set
	the 0th match data for Emacs.
	(gnus-message-citation-keywords): Set LAXMATCH flag in every HIGHLIGHT.
	(gnus-message-add-citation-keywords): Append keywords rather than
	prepending; emulate font-lock-add-keywords if it is not available.
	(gnus-message-remove-citation-keywords): Emulate
	font-lock-remove-keywords if it is not available.

	* gnus-msg.el (gnus-message-highlight-citation): Default to t.

	* message.el (message-cite-prefix-regexp): Set the value of
	gnus-message-cite-prefix-regexp.

2007-02-01  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-google-parse-1): Update parser.

2007-01-29  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-art.el (gnus-button-prefer-mid-or-mail): Fix typo in docstring.

2007-01-28  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnslashdot.el (nnslashdot-request-article): Update end-of-article
	regexp.

2007-01-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* uudecode.el (uudecode-string-to-multibyte): New function emulating
	string-to-multibyte.
	(uudecode-decode-region-internal): Use it.

2007-01-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-score.el (gnus-home-score-file, gnus-home-adapt-file): Fix
	custom choice.

	* gnus-art.el (gnus-signature-limit): Fix custom choice.

2007-01-22  Daiki Ueno  <ueno@unixuser.org>

	* mm-util.el (mm-inhibit-file-name-handlers): Add epa-file-handler.

	* mm-decode.el (mm-save-part-to-file): Use `mm-write-region' instead of
	`write-region' to respect `mm-inhibit-file-name-handlers'.

2007-01-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnsoup.el (nnsoup-directory, nnsoup-packer, nnsoup-packet-directory):
	Use gnus-home-directory instead of "~/" or "$HOME".

2007-01-17  Teodor Zlatanov  <tzz@lifelogs.com>

	* encrypt.el (encrypt-insert-file-contents): Add better prompt
	to mention filename.
	Add comments at beginning regarding usage.
	(encrypt-write-file-contents): Change interactive so a string is
	acceptable.  If the file has no associated model, show an error instead
	of a nonsense prompt.

2007-01-16  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* spam.el (spam-bsfilter-ham-switch): Fix typo.
	Thanks to Yoshihiko Yamada for kind notification of this typo.

2007-01-12  Kenichi Handa  <handa@m17n.org>

	* uudecode.el (uudecode-decode-region-internal): Make it work in a
	multibyte buffer.

2007-01-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-score.el (gnus-score-fast-scoring): New variable.
	(gnus-score-headers): Use it.

	* gnus-sum.el (gnus-auto-select-first): Improve doc string.

	* message.el (message-cite-original-1): Call
	gnus-article-highlight-citation if requested.
	(message-make-from): Allow name and address as optional arguments.

	* gnus-cite.el (gnus-article-highlight-citation): Add SAME-BUFFER arg.

	* gnus-art.el (gnus-article-browse-html-article): Add warning about web
	bugs to doc string.
	(gnus-button-alist): Add mid\\|message-id.
	(gnus-button-fetch-group): Extend for use in
	`browse-url-browser-function'.
	(gnus-button-url-regexp): Try to catch paired parentheses like in
	Wikipedia URLs.

	* gnus-sum.el (gnus-summary-reparent-children): Another doc string fix.
	Suggested by Simon Krahnke <overlord@gmx.li>.

2007-01-13  Romain Francoise  <romain@orebokech.com>

	* nnml.el (nnml-use-compressed-files): Fix typo in docstring.
	Update copyright.

2007-01-13  Patric Mueller  <bhaak@bigfoot.com>  (tiny change)

	* gnus-sum.el (gnus-summary-reparent-children): Fix typo in doc string.

2007-01-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-unfollowed-groups)
	(gnus-registry-split-fancy-with-parent): Fix documentation.

2007-01-08  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* spam-report.el (spam-report-gmane-internal): Speed up spam reporting
	from nnweb groups.

2006-12-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* spam-report.el (spam-report-gmane-internal): Add necessary "/" to
	Xref urls.  Erase buffer before requesting head.

	* mm-decode.el (mm-display-external): Use itimer function for XEmacs.

2007-01-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-soup.el (gnus-soup): New custom group.  Make user variables
	customizable.

2007-01-05  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-sign): Ask user whether to skip or abort if
	no signing key is found.
	(mml2015-epg-encrypt): Ask user whether to skip or abort if
	no encrypting and/or signing key is found.

2007-01-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam-report.el (spam-report-gmane-spam): Remove redundant message.

2007-01-01  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-gmane-create-mapping): Put back code to merge the
	headers read from disk with the ones newly found in the current search.
	This should no longer cause problems, because the article numbers in
	Gmane's `nov.php' output are ignored since the previous change.

2007-01-02  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gmm-utils.el (gmm-tool-bar-style): Fix custom type.

2007-01-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-display-external): Use itimer function for XEmacs.

2007-01-01  Romain Francoise  <romain@orebokech.com>

	* gnus-sum.el (gnus-summary-make-menu-bar): Fix typo.

2006-12-31  Steve Youngs  <steve@sxemacs.org>

	* gnus-cite.el: Load easy-mmode at compile time for (S)XEmacs to get
	`define-minor-mode' macro definition expanded properly.
	(gnus-message-citation-mode): This is now OK for (S)XEmacs so don't
	exclude it there.

	* gnus-msg.el (gnus-message-highlight-citation): Revert Reiner's patch
	of 2006-12-30.  The default is nil on (S)XEmacs already because of the
	`fboundp' test.
	(gnus-message-citation-mode): Revert Reiner's patch of 2006-12-30.
	This is OK to autoload in (S)XEmacs now.

2006-12-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-limit-to-singletons): New command and
	keystroke.
	(gnus-summary-limit-to-singletons): Fix typo.

	* spam-report.el (spam-report-gmane-internal): Fall back on Xref if all
	else fails.

2006-12-30  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus-cite.el (turn-off-gnus-message-citation-mode): Fix typo in
	docstring.

	* gnus-sum.el (gnus-summary-insert-ticked-articles): New command.
	(gnus-summary-make-menu-bar, gnus-summary-buffer-map): Bind it.
	(gnus-summary-insert-dormant-articles): Fix typo in message.

2006-12-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-msg.el (gnus-message-highlight-citation): Ensure default to be
	nil for XEmacs.
	(gnus-message-citation-mode): Don't autoload in XEmacs.

	* gnus-cite.el (gnus-message-citation-mode): Don't define in XEmacs.

2006-12-29  Jouni K. Seppänen  <jks@iki.fi>

	* nnimap.el (nnimap-expunge-search-string): Mention
	nnimap-search-uids-not-since-is-evil in docstring.

2006-12-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam.el: Revert to make-obsolete-variable because
	define-obsolete-variable-alias is not supported in Emacs 21.

	* spam.el (spam-ifile-path, spam-ifile-database-path)
	(spam-bogofilter-path): Use define-obsolete-variable-alias instead of
	make-obsolete-variable.
	(spam-bsfilter-path, spam-bsfilter-program)
	(spam-spamassassin-path, spam-spamassassin-program)
	(spam-sa-learn-path, spam-sa-learn-program): Rename variables.  Don't
	use "path" inappropriately.
	(spam-check-spamassassin, spam-spamassassin-register-with-sa-learn)
	(spam-check-bsfilter, spam-bsfilter-register-with-bsfilter): Use new
	variable names.

2006-12-28  Daiki Ueno  <ueno@unixuser.org>

	* gnus-sum.el (gnus-summary-next-article): Make sure we are in the
	summary buffer.

	* password.el (password-cache-remove): Use clear-string to burn
	password, if available.

2006-12-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-msg.el (gnus-message-citation-mode): Fix autoload.

	* gnus-cite.el (gnus-message-highlight-citation): Move to gnus-msg.el.

	* gnus-msg.el (gnus-setup-message): Add gnus-message-citation-mode.
	(gnus-message-highlight-citation): Move defcustom here from
	gnus-cite.el.
	(gnus-message-citation-mode): Autoload.

	* gnus-cite.el: Adjust Oliver's code to Gnus namespace.  Add some
	checks to make it compile with XEmacs.
	(gnus-message-citation-mode): New minor mode.
	(gnus-message-max-citation-depth, gnus-message-citation-keywords)
	(gnus-message-highlight-citation): New variables.
	(gnus-message-search-citation-line)
	(gnus-message-add-citation-keywords)
	(gnus-message-remove-citation-keywords)
	(turn-on-gnus-message-citation-mode)
	(turn-off-gnus-message-citation-mode): New functions.

2006-12-26  Oliver Scholz  <epameinondas@gmx.de>

	* gnus-cite.el: Enable highlighting of different citation levels in
	message-mode.

2006-12-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-make-fqdn): Fix comment.
	(message-bogus-system-names): Add ".local".

	* spam.el (spam-ifile-path, spam-ifile-program)
	(spam-ifile-database-path, spam-ifile-database)
	(spam-bogofilter-path, spam-bogofilter-program): Rename variables.
	Don't use "path" inappropriately.
	(spam-spamoracle-database, spam-get-ifile-database-parameter): Fix doc
	strings.
	(spam-check-ifile, spam-ifile-register-with-ifile)
	(spam-check-bogofilter, spam-bogofilter-register-with-bogofilter): Use
	new variable names.

	* gnus-art.el (gnus-treat-display-x-face, gnus-treat-display-face)
	(gnus-treat-display-smileys): Simplify using
	gnus-image-type-available-p.

	* gnus-ems.el (gnus-image-type-available-p): Use display-images-p if
	available.

2006-12-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-fetch): Replace buffer's contents with the decoded
	one after turning on the buffer's multibyteness instead of decoding
	them directly in the unibyte buffer that causes unexpected conversion
	in Emacs 23 (unicode).

2006-12-21  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* message.el (message-generate-hashcash): Fix custom type.

2006-12-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-recenter): Remove debug messages.

2006-12-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-tool-bar-gnome): Exchange connect and
	disconnect icons.  Add help text.

2006-12-20  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-extra-header-to-number): CRM114 spam score is
	negated to be consistent with the others we handle.

2006-12-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-setup-buffer): Actually set the local
	version of gnus-summary-buffer to something, so that we can use two
	article buffers at the same time.

2006-12-18  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-necessary-extra-headers): Make spam-use-regex-headers
	trigger all the extra headers.
	(spam-extra-header-to-number): Don't require spam-use-crm114 for header
	sorting.

2006-12-14  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-gmane-create-mapping): Keep the mapping stable for
	solid groups.

2006-12-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* legacy-gnus-agent.el: Add Copyright notice.

2006-12-12  Chong Yidong  <cyd@stupidchicken.com>

	* gnus-sum.el (gnus-make-thread-indent-array): Fix last change.

2006-12-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnweb.el (nnweb-gmane-search): Placeholder TOPDOC setting.

	* gnus-sum.el (gnus-summary-recenter): Force setting the window start
	to make it work reliably in CVS Emacs.
	(gnus-summary-limit-strange-charsets-predicate)
	(gnus-summary-limit-to-predicate): New functions.

2006-12-08  Chong Yidong  <cyd@stupidchicken.com>

	* gnus-sum.el (gnus-make-thread-indent-array): New optional arg
	specifying array size.
	(gnus-summary-insert-line, gnus-summary-prepare-threads): Regrow indent
	array if it is too small.
	(gnus-sort-threads-recursive): Renamed from gnus-sort-thread-1.
	(gnus-sort-threads-loop): New function.

2006-12-06  Chris Moore  <dooglus@gmail.com>

	* gnus-sum.el (gnus-sort-threads, gnus-summary-limit-children):
	Use `max' to avoid the value of `max-lisp-eval-depth' decreasing.

2006-12-04  Jouni K. Seppänen  <jks@iki.fi>

	* mm-url.el (mm-url-predefined-programs): Call curl with correct
	options.

2006-12-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* spam-report.el (spam-report-url-ping-plain): Wait for output to avoid
	DOS-ing the recipient.

	* nnweb.el (nnweb-gmane-create-mapping): Use the article number from
	the headers when creating the mapping to avoid mismappings.
	(nnweb-gmane-create-mapping): Always nix out old mapping.

2006-11-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-signed-or-encrypted-p): Bind mm-decrypt-option
	and mm-verify-option to never.

2006-11-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-signed-or-encrypted-p): New function.
	(message-forward-make-body): Use it.

	* mml2015.el (mml2015-pgg-clear-verify, mml2015-epg-clear-verify):
	Replace encode-coding-string with mm-encode-coding-string.

2006-11-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nneething.el (nneething-decode-file-name): Replace
	decode-coding-string with mm-decode-coding-string.

	* gnus-int.el (gnus-open-server): Say failed server's name.

2006-11-24  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-agent.el (gnus-agent-expire-unagentized-dirs)
	(gnus-agent-regenerate-group): Fix space/tab mixup in messages.

	* gnus-art.el (gnus-article-x-face-command, gnus-numeric-save-name):
	* gnus-group.el (gnus-group-sort-function, gnus-group-line-format)
	(gnus-group-mode, gnus-group-read-group, gnus-group-delete-group)
	(gnus-group-make-directory-group, gnus-group-transpose-groups):
	* gnus-start.el (gnus-options-subscribe, gnus-options-not-subscribe)
	(gnus-subscribe-newsgroup, gnus-1):
	* gnus-sum.el (gnus-summary-make-false-root, gnus-make-threads):
	* gnus.el (gnus-nntp-server, gnus-use-cross-reference)
	(gnus-valid-select-methods, total-expire, gnus-summary-line-format)
	(gnus-group-read-only-p): Fix space/tab mixup in docstrings.

2006-11-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-limit-to-headers): New command and
	keystroke.
	(gnus-summary-limit-to-bodies): Implement headersp.

2006-11-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dns.el (query-dns): Protect against "Process dns deleted" strings.

2006-11-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-string-to-multibyte): Alias to identity in XEmacs.

2006-11-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-generate-hashcash): Expand range of values to
	include `opportunistic'.
	(message-send-mail): Use it.

2006-11-18  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* mm-uu.el (mm-uu-pgp-signed-extract-1): Make last fix more thorough
	and comment it.

	* nnslashdot.el (nnslashdot-retrieve-headers-1): Update regexp.

2006-11-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-util.el (gnus-extract-address-components): Improve comment.

2006-11-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-extract-address-components): Work with address in
	which the name portion contains @.

2006-11-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el (gnus-start): Move custom group up.
	(gnus-select-method): Don't autoload, but make it available for
	`customize-variable'.
	(gnus-getenv-nntpserver): Don't autoload.

2006-11-14  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el: Revert to 7.82 (removed changes since 2006-10-16).

2006-11-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-sendmail-extra-arguments): New variable.
	(message-send-mail-with-sendmail): Use it.

2006-11-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-generate-mime-1): Use mm-string-as-unibyte instead of
	mm-with-unibyte-current-buffer to make string unibyte.

	* mm-decode.el (mm-insert-part): Use mm-string-to-multibyte instead of
	mm-string-as-multibyte.

2006-11-14  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-sign): Prefix "pgp-" to a micalg value.
	Reported by Werner Koch <wk@gnupg.org>.

2006-11-14  Daiki Ueno  <ueno@p360>

	* mml2015.el: Autoload epa-select-keys when compiling.

2006-11-13  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-sign): Save the signing keys in
	message-options.
	(mml2015-epg-encrypt): Save the recipient keys in message-options.

2006-11-13  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-encrypt): Removed backward compatibility for
	EasyPG (< 0.0.6).
	(mml2015-always-trust): New user option.
	(mml2015-epg-passphrase-callback): Display key ID on the passphrase
	prompt.

2006-11-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-authinfo-force): New variable.
	(nntp-send-authinfo): Use it.

2006-11-09  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-strip-subject-encoded-words): Allow _not_ to
	decode encoded words.  Improve prompt.  Add comment about forwarding.
	(message-replacement-char): Move up.

2006-11-08  Wolfgang Jenkner  <wjenkner@inode.at>  (tiny change)

	* gnus-sum.el (gnus-summary-catchup): Use gnus-sorted-intersection
	instead of gnus-intersection because arguments of gnus-sorted-nunion
	must be sorted.  This avoids corruption of gnus-newsgroup-unreads.

2006-11-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-strip-subject-encoded-words): Reformat prompt.
	(message-simplify-subject-functions): Enable
	message-strip-subject-encoded-words by default.

2006-11-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-strip-subject-encoded-words): New function
	(message-simplify-subject-functions): New variable.
	(message-simplify-subject): Use it.  Fix typo in doc string.
	Support message-strip-subject-encoded-words.

2006-11-03  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-diary.el (gnus-diary-delay-format-function):
	* nndiary.el (nndiary-reminders):
	* nnsoup.el (nnsoup-always-save): Use "non-nil" in docstrings.

2006-11-01  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (article-hide-boring-headers): Fetch date from
	gnus-original-article-buffer to avoid problems with localized date
	strings.

2006-10-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* html2text.el (html2text-format-tags): Avoid infloop on open tags.

2006-10-29  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-codepage-iso-8859-list, mm-codepage-ibm-list):
	New variables.
	(mm-setup-codepage-iso-8859, mm-setup-codepage-ibm): New functions.
	(mm-charset-synonym-alist): Move some entries to
	mm-codepage-iso-8859-list.
	(mm-charset-synonym-alist, mm-charset-override-alist): Add
	iso-8859-8/windows-1255 and iso-8859-9/windows-1254.

2006-10-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-set-mode-line): Quote % in group name.

2006-10-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-agent.el (gnus-agent-make-mode-line-string): Make it compatible
	with Emacs 21 and XEmacs.

2006-10-27  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-parse-address): New function for better parsing,
	catching errors, etc.
	(spam-check-BBDB, spam-enter-ham-BBDB, spam-parse-list): Use it.

2006-10-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-view.el: Add interactive arg to html2text autoload.

2006-10-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-move-article): Use no-encode for `B B'.

2006-10-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-codepage-iso-8859-list, mm-codepage-ibm-list): New
	variables.
	(mm-setup-codepage-iso-8859, mm-setup-codepage-ibm): New functions.
	(mm-charset-synonym-alist): Move some entries to
	mm-codepage-iso-8859-list.

	* gnus.el (gnus-getenv-nntpserver, gnus-select-method): Autoload.

2006-10-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-citation-line-format)
	(message-insert-formated-citation-line): Fix implementation of %E, %N
	and %n according to the doc string.

2006-10-20  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-BBDB, spam-enter-ham-BBDB, spam-parse-list): Use
	car-safe to avoid bad parses.

2006-10-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-make-doc-group): Work for non-ASCII group
	names.

	* gnus-sum.el (gnus-select-newsgroup): Decode group name.

2006-10-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-draft.el (gnus-draft-edit-message): Make sure to remove Date
	header.

	* message.el (message-draft-headers): Add Date.
	(message-headers-to-generate): Fix typo in docstring.

	* nndraft.el (nndraft-required-headers): New variable.
	(nndraft-generate-headers): Use it.

	* gnus-registry.el (gnus-registry-wash-for-keywords): Bind `word'.

2006-10-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-wash-for-keywords)
	(gnus-registry-find-keywords): New functions to allow easy searching of
	articles that are in the registry.

2006-10-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-BBDB, spam-enter-ham-BBDB, spam-parse-list): Use
	ietf-drums-parse-address instead of gnus-extract-address-components.
	Reported by Damien Elmes <damien@repose.cx>.

2006-10-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el (gnus-mime): Remove unused custom group.

2006-10-13  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* mm-uu.el (mm-uu-pgp-signed-extract-1): Use RFC 2440 definition of
	"blank line" when searching for end of armor headers.

2006-10-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gmm-utils.el (gmm-write-region): Fix variable name.

2006-10-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* gmm-utils.el (gmm-write-region): New function based on compatibility
	code from `mm-make-temp-file'.

	* mm-util.el (mm-make-temp-file): Use `gmm-write-region'.

	* nnmaildir.el (nnmaildir--update-nov)
	(nnmaildir-request-replace-article, nnmaildir-request-accept-article):
	Use `gmm-write-region'.

2006-10-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-charset-synonym-alist, mm-charset-override-alist): Add
	iso-8859-8/windows-1255 and iso-8859-9/windows-1254.

	* nnheader.el (nnheader-find-file-noselect): Inhibit version-control.

	* message.el (message-replacement-char): New variable.
	(message-fix-before-sending): Use it.
	(message-simplify-subject): New function to remove duplicate code.
	(message-reply, message-followup): Use it.

	* gnus-sum.el (gnus-summary-make-menu-bar): Clarify
	gnus-summary-limit-to-articles.

2006-10-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-with-local-quit): New macro.

	* gnus-demon.el (gnus-demon): Replace with-local-quit with it.

2006-10-02  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-util.el (gnus-string-remove-all-properties): Another fix to
	ignore non-string data.

2006-09-29  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-util.el (gnus-string-remove-all-properties): Fix to ignore
	non-string data (needs to be done in the registry too).

2006-09-28  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-save, gnus-registry-cache-save)
	(gnus-registry-remove-alist-text-properties, gnus-registry-action)
	(gnus-registry-split-fancy-with-parent)
	(gnus-registry-fetch-simplified-message-subject-fast)
	(gnus-registry-fetch-sender-fast, gnus-registry-store-extra-entry):
	Remove text properties on ingress into the registry and when it's saved.
	(gnus-registry-clean-empty-function): Fix bug with cleaning the
	registry from entries with no groups.

2006-09-28  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-util.el (gnus-string-remove-all-properties): Add utility
	function to remove string properties.

2006-09-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* gmm-utils.el (gmm): Adjust custom version.

	* mm-util.el (mm-charset-override-alist, mm-charset-eval-alist): Adjust
	custom version.

	* gnus-draft.el (gnus-draft-mode): Don't call `mml-mode'.

2006-09-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-insert-prev-page-button)
	(gnus-insert-next-page-button): Simplify.  Reformat.

2006-09-27  Maxime Edouard Robert Froumentin  <max@lapin-bleu.net>

	* gnus-art.el (gnus-insert-prev-page-button)
	(gnus-insert-next-page-button): Apply gnus-article-button-face.

2006-09-25  Chong Yidong  <cyd@stupidchicken.com>

	* gnus-demon.el (gnus-demon): Use with-local-quit to avoid hangs.

2006-09-20  Maxime Edouard Robert Froumentin  <max@lapin-bleu.net>

	(gnus-insert-mime-button, gnus-insert-mime-security-button): Apply
	gnus-article-button-face to MIME and security buttons.

2006-09-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-url-regexp): Try to make the value more
	readable.

2006-09-20  Steve Youngs  <steve@sxemacs.org>

	* gnus-art.el (gnus-article-browse-html-parts): They're files, so use
	`browse-url-of-file' instead of `browse-url'.

2006-09-19  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnslashdot.el (nnslashdot-request-article): Update end-of-article
	regexp.  Articles containing quotation were cut prematurely.

2006-09-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-cite-original-1): Use nobody by default for the
	value of From header.
	(message-reply): Ditto.

2006-09-11  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-clear-decrypt): Don't append verify results
	to the gnus-info.  This fixes a bug of inline-PGP message verification.
	Reported by Michael Piotrowski <mxp@dynalabs.de>.

2006-09-09  Reiner Steib  <Reiner.Steib@gmx.de>

	* pop3.el (pop3-leave-mail-on-server): Mention problem of duplicate
	mails in the doc string.  Add some URLs in comment.
	(pop3-movemail): Warn about pop3-leave-mail-on-server.

2006-09-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-quote-special-characters-in-quoted-strings): Fix
	backslashes handling and the way to find boundaries of quoted strings.

2006-09-07  Daiki Ueno  <ueno@unixuser.org>

	* mml1991.el (mml1991-epg-encrypt): Simply throw an error if
	mml1991-encrypt-to-self is set and mml1991-signers is not set.
	* mml2015.el (mml2015-epg-encrypt): Simply throw an error if
	mml2015-encrypt-to-self is set and mml2015-signers is not set.

2006-09-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-marker-list): Move up.  Convert comment into
	doc string.
	(gnus-button-regexp, gnus-button-last): Remove unused variables.

2006-09-06  Simon Josefsson  <jas@extundo.com>

	* mml2015.el (mml2015-use): Doc fix, mention epg.

2006-09-06  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-use): Default to epg, if available.

2006-09-06  Daiki Ueno  <ueno@unixuser.org>

	* mml1991.el (mml1991-epg-sign): Don't lookup a private key by
	message-sender.
	(mml1991-epg-encrypt): Ditto.
	* mml2015.el (mml2015-epg-sign): Don't lookup a private key by
	message-sender.
	(mml2015-epg-encrypt): Ditto.

2006-09-04  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-send-mail-with-sendmail): Look for sendmail in
	several common directories.

2006-09-05  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-encrypt): Expand group configuration.
	* mml1991.el (mml1991-epg-encrypt): Expand group configuration.

2006-09-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-decode-encoded-words): Make it fast.

2006-09-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-decode-encoded-words): Don't infloop in XEmacs.

	* rfc2047.el (rfc2047-strip-backslashes-in-quoted-strings): Decode `\\'
	in quoted string into `\'.

2006-09-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-quote-special-characters-in-quoted-strings):
	Use standard-syntax-table.

2006-09-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-decode-address-function): New variable.
	(article-decode-encoded-words): Use it to decode headers which are
	assumed to contain addresses.
	(gnus-mime-delete-part): Remove useless `or'.

	* gnus-sum.el (gnus-decode-encoded-address-function): New variable.
	(gnus-summary-from-or-to-or-newsgroups): Use it to decode To header.
	(gnus-nov-parse-line): Use it to decode From header.
	(gnus-get-newsgroup-headers): Ditto.
	(gnus-summary-enter-digest-group): Use it to decode `to-address'.

	* mail-parse.el (mail-decode-encoded-address-region): New alias.
	(mail-decode-encoded-address-string): New alias.

	* rfc2047.el (rfc2047-quote-special-characters-in-quoted-strings):
	New function.
	(rfc2047-encode-message-header, rfc2047-encode-region): Use it.
	(rfc2047-strip-backslashes-in-quoted-strings): New fnction.
	(rfc2047-decode-region): Use it; add optional argument `address-mime'.
	(rfc2047-decode-string): Ditto.
	(rfc2047-decode-address-region): New function.
	(rfc2047-decode-address-string): New function.

2006-08-31  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-caesar-buffer-body): Allow rotating headers.

	* gnus-sum.el (gnus-summary-caesar-message): Allow rotating headers.

	* message.el (message-insert-formated-citation-line): Fix %f.
	Reported by Torsten Bronger <bronger@physik.rwth-aachen.de> .

2006-08-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-bookmark.el (gnus-bookmark-file-coding-system): New variable.
	(gnus-bookmark-mouse-available-p): New macro.
	(gnus-bookmark-bmenu-list): Use it; use gnus-mouse-2.
	(gnus-bookmark-bmenu-show-infos): Use it.
	(gnus-bookmark-insert-details): Use it; use gnus-mouse-2.
	(gnus-bookmark-bmenu-hide-infos): Ditto.
	(gnus-bookmark-remove-properties): New function.
	(gnus-bookmark-set, gnus-bookmark-make-cell): Use it.
	(gnus-bookmark-set-bookmark-name): Don't use 2nd arg of split-string.
	(gnus-bookmark-write-file): Bind coding-system-for-write.
	(gnus-bookmark-insert-file-format-version-stamp): Add coding cookie.
	(gnus-bookmark-jump): Make completing-read work with XEmacs; activate
	group before selecting it.
	(gnus-bookmark-get-bookmark): Use assoc instead of assoc-string.
	(gnus-bookmark-bmenu-mode-map): Bind `q' to bury-buffer instead of
	quit-window if it is not available; use gnus-mouse-2 and bind it to
	gnus-bookmark-bmenu-select-by-mouse.
	(gnus-bookmark-show-details): Remove unused variable `details-list'.
	(gnus-bookmark-bmenu-select-by-mouse): New function.

2006-08-13  Romain Francoise  <romain@orebokech.com>

	* mm-extern.el (mm-extern-mail-server): End `y-or-n-p' prompt with a
	space.

2006-08-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* compface.el (uncompface): Use binary rather than raw-text-unix.

2006-08-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* compface.el (uncompface): Make sure the eol conversion doesn't take
	place when communicating with the external programs.  Reported by
	ARISAWA Akihiro <ari@mbf.ocn.ne.jp>.

2006-07-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnheader.el (nnheader-insert-head): Fix typo in comment.

2006-07-31  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-google-parse-1): Update regexp for author and date.
	Make it more robust by parsing author and date independently.

2006-07-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnheader.el (nnheader-insert-head): Make it work with Mac as well.

2006-07-28  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-sign): If mml2015-signers is not set, use the
	first matching secret key.
	(mml2015-epg-encrypt): Ditto.

	* mml1991.el (mml1991-epg-sign): If mml1991-signers is not set, use the
	first matching secret key.
	(mml1991-epg-encrypt): Ditto.

	* mml2015.el (mml2015-encrypt-to-self): New user option.
	(mml2015-epg-encrypt): Append mml2015-signers to recipients list if
	mml2015-epg-encrypt-to-self is set.

	* mml1991.el (mml1991-encrypt-to-self): New variable.
	(mml1991-epg-encrypt): Append mml1991-signers to recipients list if
	mml1991-epg-encrypt-to-self is set.

	* mml2015.el (mml2015-signers): New user option.
	(mml2015-epg-sign): Reflect the value of mml2015-signers.
	(mml2015-epg-encrypt): Allow to select signing keys.

	* mml1991.el (mml1991-signers): New variable.
	(mml1991-epg-sign): Reflect the value of mml1991-signers.
	(mml1991-epg-encrypt): Allow to select signing keys.

2006-07-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnheader.el (nnheader-insert-head): Make it work even if the file
	uses CRLF for the line-break code.

2006-07-25  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el: Require mml-sec instead of password.
	(mml2015-verbose): Inherit the default value from mml-secure-verbose.
	(mml2015-cache-passphrase): Inherit the default value from
	mml-secure-cache-passphrase.
	(mml2015-passphrase-cache-expiry): Inherit the default value from
	mml-secure-passphrase-cache-expiry.

	* mml1991.el: Require mml-sec instead of password.
	(mml1991-verbose): Inherit the default value from mml-secure-verbose.
	(mml1991-cache-passphrase): Inherit the default value from
	mml-secure-cache-passphrase.
	(mml1991-passphrase-cache-expiry): Inherit the default value from
	mml-secure-passphrase-cache-expiry.

	* mml-sec.el: Require password.
	(mml-secure-verbose): New user option.
	(mml-secure-cache-passphrase): New user option.
	(mml-secure-passphrase-cache-expiry): New user option.

2006-07-24  Daiki Ueno  <ueno@unixuser.org>

	* pgg-def.el (pgg-truncate-key-identifier): Truncate the key ID to 8
	letters from the end.  Thanks to "David Smith" <davidsmith@acm.org> and
	andreas@altroot.de (Andreas Vögele).

	FIXME: Use `tiny change'?

2006-07-19  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* mm-url.el (mm-url-insert-file-contents): Inhibit Connection: close
	workaround for the url package included with Emacs.

	* nnweb.el (nnweb-google-create-mapping): Update regexp.

2006-07-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-select-newsgroup): Setup the article buffer
	correctly.  This fixes a bug caused by the 2006-05-12 change.

2006-07-18  Karl Fogel  <kfogel@red-bean.com>

	* nnmail.el (nnmail-article-group): If splitting raises an error, give
	some information about the error when saying that the `bogus' mail
	group will be used.

2006-07-17  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-delete-article): Don't use TAB in doc
	string.

2006-07-16  NAKAJI Hiroyuki  <nakaji@heimat.jp>  (tiny change)

	* mm-util.el (mm-charset-synonym-alist): Map windows-31j to cp932.

2006-07-14  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus-start.el (gnus-subscribe-options-newsgroup-method): Doc fix.

2006-07-10  Daiki Ueno  <ueno@unixuser.org>

	* mml1991.el (mml1991-function-alist): Add epg.
	(mml1991-epg-passphrase-callback, mml1991-epg-sign)
	(mml1991-epg-encrypt): New functions.

2006-07-10  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-verbose): New variable.
	(mml2015-cache-passphrase): Ditto.
	(mml2015-passphrase-cache-expiry): Ditto.
	(mml2015-function-alist): Add epg.
	(mml2015-epg-passphrase-callback, mml2015-epg-decrypt)
	(mml2015-epg-clear-decrypt, mml2015-epg-verify)
	(mml2015-epg-clear-verify, mml2015-epg-sign, mml2015-epg-encrypt): New
	functions.

2006-07-08  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* message.el (message-cite-original-1): Preserve region when removing
	quoted text due to X-No-Archive in order to avoid bogus attribution
	when citing multiple messages.

2006-06-27  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus-group.el (gnus-group-sort-by-unread): Fix typo.  Reported by
	Kenneth Jacker <khj@be.cs.appstate.edu>.

2006-06-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-diary.el (gnus-user-format-function-d)
	(gnus-user-format-function-D): Autoload.

	* imap.el (Commentary): Fix typo.

	* gnus-util.el (kill-empty-logs, gnus-byte-compile): Remove anonymous
	2006-04-22 contribution.

2006-06-26  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus.el (gnus-valid-select-methods): Revert last change for nnweb.
	It didn't really fix the bogosity I'm seeing with solid web groups.

2006-06-26  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus.el (gnus-valid-select-methods): Declare nnweb with 'address.
	Since revision 6.95 (2003-01-05) of gnus-group.el, solid web groups are
	created using server names.  If we use the feature without declaring
	it, Gnus does not properly manage server and group state.

	* nnweb.el (nnweb-google-search): Respect nnweb-max-hits as upper
	bound.

2006-06-25  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus.el (gnus-find-method-for-group): On killed/unknown groups, try
	looking up the method using GROUP's prefix before inventing a new one.
	It is used on killed/unknown groups in various places where returning
	an all-new method isn't expected by the caller.

	* gnus-util.el (gnus-group-server): Fix for empty virtual server names
	and match semantics of gnus-group-real-prefix.

2006-06-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnmail.el (nnmail-broken-references-mailers): New variable.
	(nnmail-ignore-broken-references): New function generalizing
	nnmail-fix-eudora-headers.
	(nnmail-fix-eudora-headers): Now obsolete.

	* gnus-art.el (gnus-button-handle-custom): Support
	`customize-apropos*'.

2006-06-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (article-hide-headers): Inhibit read-only stuff.

	* gnus-group.el (gnus-fetch-group): Document ARTICLES and select those
	articles.

2006-06-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-cite-reply-above): New variable.
	(message-yank-original): Use it.

2006-06-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2231.el (rfc2231-parse-string): Allow `*'s in parameter values.

2006-06-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-bookmark.el (gnus-bookmark-jump): Don't mark unrelated articles
	as read.

	* gnus-group.el (gnus-group-quick-select-group): Add GROUP argument.

2006-06-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-bookmark.el: Fix Copyright, keywords, whitespace, etc.
	(gnus-bookmark-default-file): Use gnus-directory.
	(gnus-bookmark-bmenu-file-column, gnus-bookmark-use-annotations):
	Remove "*" in doc string.
	(gnus-bookmark-write-file): Simplify.
	(gnus-bookmark-maybe-sort-alist): Use `when'.
	(gnus-bookmark-get-bookmark): Fix typo in doc string.
	(gnus-bookmark-set-bookmark-name, gnus-bookmark-get-bookmark): Add
	FIXME about Emacs 21 and XEmacs compatibility.
	(gnus-bookmark-set-bookmark-name): Use `gnus-replace-in-string' for
	compatibility.
	(gnus-bookmark-bmenu-mode): Use `gnus-run-mode-hooks' for
	compatibility.
	(gnus-bookmark-menu-heading): Fix version.

2006-06-19  Bastien Guerry  <bzg@altern.org>

	* gnus-bookmark.el: New file.

2006-06-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-syntax-checks): Doc fix.

2006-06-17  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus-srvr.el (gnus-browse-unsubscribe-group): Don't subscribe
	unsubscribed groups as if they were killed ones.  It causes duplicate
	entries in gnus-newsrc-alist.

2006-06-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-syntax-checks): Doc fix.
	(message-send-mail): Add check for continuation headers.
	(message-check-news-header-syntax): Fix regexp used to check for
	continuation headers.

2006-06-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-display-mime): Make sure body ends with newline.

2006-06-11  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-toggle-truncate-lines): Fix code.

2006-06-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-truncate-lines): Default to the value of
	default-truncate-lines.

2006-06-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-mime-mule-charset-alist): Use unicode-precedence-list
	to fill the utf-8 entry.

2006-06-01  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-google-parse-1): Update regexp for author and date.

2006-05-30  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-agent.el (directory-files-and-attributes): Move all the way
	forward (the third and final move).
	(gnus-agent-read-agentview): Trap reconstruction errors due to
	nonexistent directory.  Handle by returning nil.

2006-05-30  Didier Verna  <didier@xemacs.org>

	* message.el (message-dont-reply-to-names): Update the custom type.
	* message.el (message-dont-reply-to-names): New defsubst: potentially
	convert a list of regexps into a single one.
	* message.el (message-get-reply-headers): Use it.
	* nnmail.el (nnmail-fancy-expiry-target): Ditto.

2006-05-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (directory-files-and-attributes): Move forward.

2006-05-29  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-ml.el (gnus-mailing-list-subscribe)
	(gnus-mailing-list-unsubscribe, gnus-mailing-list-owner)
	(gnus-mailing-list-message): Fix doc strings.

2006-05-29  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus-ml.el (gnus-mailing-list-message): Use gnus-url-mailto instead
	of doing it manually.

2006-05-29  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-toggle-truncate-lines): Fix typo in
	comment.

2006-05-29  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-agent.el: Added gnus-agent-flush* to purge agent info.
	(gnus-agent-read-agentview): Fixed handling of end-of-file error.
	(gnus-agent-read-local): All symbols allocated in my-obarray
	(gnus-agent-set-local): Skip invalid entries (min and/or max is nil).
	(gnus-agent-regenerate-group): Check numeric names to see if they are
	messages or groups.
	(gnus-agent-total-fetched-for): Ignore 'dummy.group' (there should be a
	better way of do this...)

	* gnus-cache.el (gnus-agent-total-fetched-for): Ignore
	'dummy.group' (there should be a better way of do this...)

2006-05-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-save-all-headers): Mention it might be overridden.
	(gnus-saved-headers): Ditto.
	(gnus-default-article-saver): Mention functions may have properties.
	(gnus-article-save): Override gnus-save-all-headers and
	gnus-saved-headers by :headers property which saver function may have.
	(gnus-summary-save-in-file): Add :headers property.
	(gnus-summary-write-to-file): Ditto.

	* gnus-sum.el (gnus-summary-save-article): Bind
	gnus-prompt-before-saving to t when saving many articles in a file;
	always show all headers.

2006-05-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* deuglify.el (gnus-outlook-rearrange-article): Add missing citation
	marks.

	* message.el (message-indent-citation): Add optional arguments to allow
	using it outside of message buffers.

	* gnus-art.el (gnus-article-unfold-long-headers): New variable.
	(gnus-article-treat-unfold-headers): Use it.
	(gnus-article-truncate-lines): New variable.
	(gnus-article-mode): Use it.
	(gnus-article-toggle-truncate-lines): New function.

	* gnus-sum.el (gnus-summary-wash-map, gnus-summary-make-menu-bar): Add
	gnus-article-toggle-truncate-lines.

	* uudecode.el (uudecode-decode-region-external): nil isn't a valid
	coding system in XEmacs, use binary.

2006-05-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-enrich-utf-8-by-mule-ucs): Don't edit
	after-load-alist.

	* gnus-art.el (gnus-summary-save-in-file): Use property to specify
	this function should save decoded articles.
	(gnus-summary-write-to-file): Use property to specify this function
	should save decoded articles and specify gnus-summary-save-in-file
	should be used to save articles other than the first one when saving
	many articles.
	(gnus-summary-save-body-in-file): Use property to specify this
	function should save decoded articles.
	(gnus-summary-write-body-to-file): Use property to specify this
	function should save decoded articles and specify
	gnus-summary-save-body-in-file should be used to save articles other
	than the first one when saving many articles.

	* gnus-sum.el (gnus-summary-save-article): Simplify.

2006-05-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-default-article-saver): Add
	gnus-summary-write-body-to-file.
	(gnus-article-save-coding-system): Don't use coding system object
	in XEmacs.
	(gnus-read-save-file-name): Add optional `dir-var' argument which
	specifies directory in which files are saved; work even if optional
	`variable' argument is not specified.
	(gnus-summary-write-to-file): Read file name.
	(gnus-summary-save-body-in-file): Add optional `overwrite' argument.
	(gnus-summary-write-body-to-file): New function.

	* gnus-sum.el (gnus-newsgroup-last-directory): New variable.
	(gnus-summary-local-variables): Add it.
	(gnus-summary-save-map): Add gnus-summary-write-article-body-file.
	(gnus-summary-save-article): Remove optional `decode' argument;
	determine whether to decode articles by the value of
	gnus-default-article-saver; when saving many files using
	gnus-summary-write-to-file or gnus-summary-write-body-to-file, use
	it first and use gnus-summary-save-in-file or
	gnus-summary-save-body-in-file thereafter unless
	gnus-prompt-before-saving is always; move point to article which
	will be saved.
	(gnus-summary-save-article-file): Revert.
	(gnus-summary-write-article-file): Revert.
	(gnus-summary-save-article-body-file): Revert.
	(gnus-summary-write-article-body-file): New function.

2006-05-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-browse-html-article): Remove comment.

2006-05-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-default-article-saver): Doc fix.
	(gnus-article-save-coding-system): Move from gnus-sum.el, rename
	from gnus-summary-save-article-coding-system, and default to a
	certain coding system.
	(gnus-output-to-file): Add coding cookie and encode text according
	to gnus-article-save-coding-system; don't use mm-append-to-file.

	* gnus-sum.el (gnus-summary-save-article-coding-system): Move to
	gnus-art.el and rename to gnus-article-save-coding-system.
	(gnus-summary-save-article): Require gnus-art; don't show all
	headers if it decodes articles; don't add coding cookie here;
	don't bind mm-text-coding-system-for-write.
	(gnus-summary-save-article-file): Save decoded articles.
	(gnus-summary-write-article-file): When saving many files, use
	gnus-summary-write-to-file first and gnus-summary-save-in-file
	thereafter unless gnus-prompt-before-saving is always.
	(gnus-summary-save-article-body-file): Save decoded articles.

2006-05-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnrss.el (nnrss-check-group): Bind hash-index.

2006-05-23  Michaël Cadilhac  <michael.cadilhac@lrde.org>

	* nnrss.el (nnrss-check-group): Use the md5sum of the whole RSS item as
	its hash index.  Store this hash in `nnrss-group-data'.
	(nnrss-read-group-data): Update accordingly.

2006-05-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-alist): Improve gnus-button-handle-symbol
	entry.

	* gnus-sum.el (gnus-summary-make-menu-bar): Add
	gnus-article-browse-html-article.

2006-05-23  Hynek Schlawack  <hynek@ularx.de>

	* gnus-sum.el (gnus-summary-mime-map): Add
	gnus-article-browse-html-article.
2006-05-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-save-article-coding-system): Offer some
	suitable coding systems in customize.

2006-05-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* mail-source.el (mail-sources): Fix custom type.

2006-05-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-save-article-mail): Clarify doc string.
	(gnus-summary-expire-articles-now): Shorten prompt.

	* gmm-utils.el (wid-edit): Require.
	(defun-gmm): Renamed from `gmm-defun-compat'.
	(gmm-image-search-load-path): Use it.
	(gmm-image-load-path-for-library): Use it.  Sync with `mh-compat.el'.

2006-05-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-save-article-coding-system): New
	variable.
	(gnus-summary-save-article): Add optional `decode' argument.  If
	it is set and gnus-summary-save-article-coding-system is non-nil,
	save decoded article.
	(gnus-summary-write-article-file): Save decoded article if
	gnus-summary-save-article-coding-system is non-nil.

	* ecomplete.el (ecomplete-database-file-coding-system): Fix custom
	type.

2006-05-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (easy-menu-define): Use :active instead of :enable.

2006-05-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-setup-buffer): Go to summary buffer
	first to test gnus-single-article-buffer which may be buffer-local.

	* gnus-sum.el (gnus-summary-setup-buffer): Make
	gnus-single-article-buffer buffer-local and nil in ephemeral
	group; make gnus-article-buffer, gnus-article-current, and
	gnus-original-article-buffer always buffer-local.
	(gnus-summary-exit): Kill article buffer belonging to ephemeral
	group.
	(gnus-handle-ephemeral-exit): Don't move to next summary line.

2006-05-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnml.el (nnml-request-compact-group): Compressed files might not
	have .gz extension.

2006-05-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-decode.el (mm-dissect-buffer): Remove spurious double assignment.
	(mm-copy-to-buffer): Use with-current-buffer.
	(mm-display-part): Simplify.
	(mm-inlinable-p): Add optional arg `type'.

2006-05-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-art.el (gnus-mime-view-part-as-type): Add optional PRED arg.
	(gnus-mime-view-part-externally, gnus-mime-view-part-internally):
	Try harder to show the attachment internally or externally using
	gnus-mime-view-part-as-type.

2006-05-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-from-style, message-signature-separator)
	(message-user-organization-file, message-send-mail-function)
	(message-citation-line-function, message-yank-prefix)
	(message-indent-citation-function, message-signature)
	(message-signature-file, message-signature-insert-empty-line):
	Remove autoloads.

	* gnus-art.el (gnus-buttonized-mime-types): Remove
	"multipart/signed".  Revert 2006-04-26 change.

2006-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump version.

2006-05-01  Lars Magne Ingebrigtsen  <lars@ingebrigtsen.no>

	* gnus.el: No Gnus v0.5 is released.

2006-04-30  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-request-article): Do proper xwfu encoding when
	fetching articles by message-id.

2006-04-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (hashcash): Require hashcash as normal.

	* ecomplete.el (ecomplete-highlight-match-line): Use
	point-at-eol.
	(ecomplete-highlight-match-line): Use `highlight', because that
	face exists in both Emacs and XEmacs.

	* message.el (message-display-abbrev): Use point-at-bol.

	* mail-source.el: Don't require timer/timer-funcs.

	* gnus-async.el: Ditto.

	* password.el: Ditto.

	* mm-url.el: Ditto.

	* mm-util.el: Require timer/timer-funcs.

2006-04-23  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* mm-url.el (mm-url-insert-file-contents): Don't set Connection:
	Close.

2006-04-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-uu.el (mm-uu-pgp-encrypted-extract-1): Assume buffer is made
	unibyte after clear-decrypt function runs.

	* mml2015.el (mml2015-pgg-clear-decrypt): Treat data which pgg
	returns as a unibyte string.

2006-04-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml1991.el (mml1991-pgg-sign): No need to load pgg.el, which is
	always loaded by way of gnus-art.el -> mm-uu.el -> mml2015.el.
	(mml1991-pgg-encrypt): Ditto.

2006-04-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-user-organization-file): Check several
	locations of the organization file.

	* gnus-sum.el (gnus-summary-mime-map, gnus-summary-make-menu-bar):
	Add gnus-article-view-part-as-type.

	* gnus-art.el (gnus-article-view-part-as-type): New function.

	* message.el (message-valid-fqdn-regexp): Add TLDs .cat, jobs,
	.mobi and .travel.  Remove .nato, .bitnet and .uucp.

	* mml.el: Simplify autoload.
	(mml-mode): defvar dnd-protocol-alist instead of using
	symbol-value.
	(mml-default-directory): New variable.
	(mml-minibuffer-read-file): Use it.
	(mml-dnd-protocol-alist, mml-dnd-attach-options): Adjust :version.

	* message.el (message-citation-line-format): New variable.
	(message-insert-formated-citation-line): New function.
	(message-citation-line-function): Add
	`message-insert-formated-citation-line' to custom type.

	* mm-decode.el (mm-verify-option): Add gnus-buttonized-mime-types
	to doc string.

	* gnus-art.el (gnus-buttonized-mime-types): Add "multipart/signed"
	depending on mm-verify-option.

2006-04-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml1991.el (mml1991-pgg-sign): Make sure to load pgg.el before
	binding pgg-* variables; reimplement the section which prevents
	MIME header from being signed.
	(mml1991-pgg-encrypt): Make sure to load pgg.el before binding
	pgg-text-mode; remove a blank line at the top of body.

	* mm-uu.el (mm-uu-pgp-encrypted-extract-1): Don't remove blank
	lines at the top of body; use gnus-newsgroup-charset if there's no
	Charset header.

2006-04-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-self-insert-commands): Doc fix.

	* mm-uu.el (mm-uu-pgp-signed-test): Erase prompt.
	(mm-uu-pgp-encrypted-test): Ditto.
	(mm-uu-pgp-encrypted-extract-1): Make sure there's a blank line
	between header and body; return application/pgp-encrypted handle
	if decryption failed; decode decrypted body by charset.

	* mm-decode.el (mm-automatic-display): Don't make application/pgp
	element match to application/pgp-*.

2006-04-23  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-google-wash-article): Sync up to new Google
	HTML.

2006-04-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail-source.el (mail-source-call-script): Message the error
	string.

2006-04-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-util.el (gnus-byte-compile): Use it.

2006-04-22  xyblor  <fake@invalid.email>  (tiny change)

	* gnus-util.el (kill-empty-logs): New function.

2006-04-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-mail-alias-type): Doc fix.
	(message-mail-alias-type-p): New function.
	(message-send): Use it.
	(message-mode): Ditto.
	(message-strip-forbidden-properties): Ditto.

	* ecomplete.el (ecomplete-database-file-coding-system): New
	variable.
	(ecomplete-save): Use it.
	(ecomplete-setup): Use it.

2006-04-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-self-insert-commands): New variable.
	(message-strip-forbidden-properties): Use it.

2006-04-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-put-addresses-in-ecomplete): Use a regexp
	that doesn't make XEmacs choke.

2006-04-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-util.el (gnus-replace-in-string):
	Prefer replace-regexp-in-string over of replace-in-string.

2006-04-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-select-frame-set-input-focus):
	Use select-frame-set-input-focus if it is available in XEmacs; use
	definition defined in Emacs 22 for old Emacsen.

2006-04-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-inline-text): Use equal instead of equalp.

2006-04-18  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-cache-save): Remove text
	properties when saving via the temp buffer.

2006-04-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-generate-hashcash): Honor custom type.

2006-04-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-generate-hashcash): Default to non-nil when
	hashcash is found.

	* gnus-sum.el (gnus-summary-expire-articles-now): Clarify prompt.
	(gnus-refer-thread-limit): Increase default to 500.

	* mm-view.el (mm-inline-text): Supply delsp to flow-fill.

	* flow-fill.el (fill-flowed): Allow delete-space.

2006-04-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* deuglify.el (gnus-outlook-deuglify-unwrap-min)
	(gnus-outlook-deuglify-unwrap-max, gnus-outlook-display-hook):
	Remove autoloads.

2006-04-18  Simon Josefsson  <jas@extundo.com>

	* message.el (message-generate-hashcash): Default to.

2006-04-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2231.el (rfc2231-parse-string): Decode encoded value after
	concatenating segments rather than before concatenating them.

2006-04-17  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el: Move comment to gnus-group-update-tool-bar.

	* imap.el (imap-quote-specials): New function.
	(imap-login-auth): Quote specials.

2006-04-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* rfc2231.el (rfc2231-parse-string): Sort the parameters first.

	* message.el (message-forward-make-body-plain): Allow
	message-forward-ignored-headers to be a list.
	(message-remove-ignored-headers): Factor out into function.
	(message-forward-make-body-mml): Use it.
	* rfc2231.el (rfc2231-parse-string): Remove dead code.
	(rfc2231-parse-string): Allow concatanation of parameters that
	aren't contiguous.  The test case is
	  (mail-header-parse-content-type "message/external-body;
	    name*0*=us-ascii''~%2ffoo%2fbar%2fbaz%2fxyzzy%2f;
	    access-type=LOCAL-FILE;
	    name*1*=plugh%2fhello-sailor%2fbing.pdf")

2006-04-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nntp.el (nntp-accept-process-output): Return the value of
	`nnheader-accept-process-output'.

2006-04-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-treat-types): Add text/x-patch.
	(gnus-button-alist): Recognize more diff formats.
	(gnus-button-patch): Strip directory.

2006-04-17  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-util.el (gnus-select-frame-set-input-focus): Check for
	Emacs 22 when setting focus.

2006-04-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-treat-types): Do treatment of
	text/x-verbatim parts.
	(gnus-button-patch): New command.

	* ietf-drums.el (ietf-drums-parse-address): Attempt parsing
	addresses that contain invalid characters.

2006-04-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-put-addresses-in-ecomplete): Use
	gnus-replace-in-string.
	(message-is-yours-p): Use the more correct
	mail-header-parse-address instead of
	mail-extract-address-components.
	(message-put-addresses-in-ecomplete): Fix typo.

	* gnus-sum.el (gnus-summary-limit-to-bodies): New command and
	keystroke.

	* gnus-art.el (gnus-treatment-function-alist): Change order of
	newsgroups/generic header folding to avoid double-folding.

	* message.el (message-hidden-headers): Add X-Draft-From.

	* gnus-sum.el (gnus-summary-repeat-search-article-forward): New
	command.
	(gnus-summary-repeat-search-article-backward): New command.

	* gnus-topic.el (gnus-topic-display-missing-topic): Skip past
	groups in the parent topic.

2006-04-16  João Cachopo  <joao.cachopo@inesc-id.pt>  (tiny change)

	* spam.el (spam-necessary-extra-headers): Add X-CRM114-Status.
	(spam-extra-header-to-number): Return the CRM114 number as a
	number instead of a string.

2006-04-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-face-properties-alist): Moved here from
	gnus-fun.

	* gnus-fun.el (gnus-face-properties-alist): Move to gnus-art.

2006-04-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-strip-forbidden-properties): Only display on
	self-insert-command.

	* hashcash.el (hashcash-insert-payment-async): Remove dead code;
	reindent.
	(hashcash-insert-payment-async-2): Make sure the buffer is alive.

2006-04-15  NAKAJI Hiroyuki  <nakaji@takamatsu-nct.ac.jp>  (tiny change)

	* smiley.el (smiley-style): Fix typo.

2006-03-23  Kenichi Handa  <handa@m17n.org>

	* rfc2231.el (rfc2231-encode-string): Use mm-disable-multibyte
	instead of set-buffer-multibyte.

2006-03-23  Kenichi Handa  <handa@m17n.org>

	* rfc2231.el (rfc2231-decode-encoded-string): Work on unibyte
	buffer and then decode the buffer text if necessary.
	(rfc2231-encode-string): Be sure to work on multibyte buffer at
	first, and after mm-encode-body, change the buffer to unibyte.

2006-04-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* hashcash.el (hashcash-insert-payment-async-2): Use
	message-goto-eoh instead of doing it manually.
	(mail-add-payment): Use message-narrow-to-header instead of trying
	to do the same itself.

	* message.el (message-hidden-headers): Add Face.

	* gnus-sum.el (gnus-summary-reparent-thread): Factor out
	reparenting code.
	(gnus-summary-reparent-children): Refactored out code.
	(gnus-summary-thread-map): New keystroke.
	(gnus-summary-reparent-children): Make into command.

	* smiley.el (smiley-style): Default to `medium' if using a large
	font.

	* gnus-sum.el (unmorse-region): Remove autoload, because morse.el
	does it itself.

	* message.el (message-point-in-header-p): Simplify definition.

2006-04-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnagent.el (nnagent-request-set-mark): Silence log file
	writing.
	(nnagent-request-set-mark): Use write-region instead of
	append-to-file.

	* gnus-sum.el (gnus-read-header): Fudge article number if using a
	strange select method.

	* ecomplete.el (ecomplete-display-matches): Get highlightling
	right.
	(ecomplete-display-matches): Use literals.
	(ecomplete-display-matches): Disable message logging.

	* message.el (message-display-abbrev): Small optimization.

	* ecomplete.el (ecomplete-display-matches): Allow automatic
	display.

	* message.el (message-strip-forbidden-properties): Display
	abbrevs.
	(message-display-abbrev): Get automatic display right.

	* ecomplete.el (ecomplete-display-matches): Use M-n/M-p
	keystrokes.

2006-04-13  Romain Francoise  <romain@orebokech.com>

	TODO: Backport to v5-10!

	* gnus-util.el (gnus-alist-to-hashtable, gnus-hashtable-to-alist):
	Moved here (and renamed) from gnus-registry.el.

	* gnus-registry.el: Require gnus-util.
	Use `gnus-alist-to-hashtable' and `gnus-hashtable-to-alist'.

2006-04-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-catchup-current): Change
	if-then-else-if-then-else into cond.
	(gnus-group-catchup): Indent.
	(group-name-at-point): New function.
	(gnus-fetch-group): Provide default from thing at point.

2006-04-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-display-abbrev): Fix regexp.

	* ecomplete.el (ecomplete-highlight-match-line): Reimplement
	choosing.
	(ecomplete-highlight-match-line): Fix up code rewrite, remove
	dead variables.

	* message.el (message-newline-and-indent): Remove debugging.
	(message-display-abbrev): Use new implementation.

2006-04-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-mode): Set
	cursor-in-non-selected-windows to nil.

	* smiley.el: Revert previous change.
	(smiley-data-directory): defvar it before using it in the
	defcustom of `smiley-style'.

2006-04-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-newline-and-indent): New function.

	* ecomplete.el: Implement more bits.

	* message.el (message-put-addresses-in-ecomplete): Clean up the
	string.

	* ecomplete.el (ecomplete-add-item): Chop off decimals.

	* gnus-sum.el (gnus-summary-save-parts): Bind
	gnus-summary-save-parts-counter and use it to make unique file
	names.

	* gnus-art.el (gnus-ignored-headers): Add some more headers.

	* ietf-drums.el (ietf-drums-parse-addresses): Take a RAWP
	parameter to say whether to actually parse the individual
	addresses.

	* message.el (message-put-addresses-in-ecomplete): New function.
	(ecomplete): Require.
	(message-mail-alias-type): Add ecomplete as an option.

2006-04-12  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* flow-fill.el (fill-flowed): Remove trailing space from blank
	quoted lines.

2006-04-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* smiley.el (smiley-style): Move definition later to avoid a
	compilation warning.

2006-04-12  Kenichi Handa  <handa@m17n.org>

	* rfc2231.el (rfc2231-decode-encoded-string): Work on unibyte
	buffer and then decode the buffer text if necessary.
	(rfc2231-encode-string): Be sure to work on multibyte buffer at
	first, and after mm-encode-body, change the buffer to unibyte.
	Use mm-disable-multibyte instead of set-buffer-multibyte.

2006-04-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-copy-part): Find name parameter in
	Content-Type header instead of Content-Disposition header.
	(gnus-mime-inline-part): Ditto.
	(gnus-mime-view-part-as-charset): Ignore charset that the part
	specifies.

	* mm-decode.el (mm-display-part): Work with external parts and
	usual parts similarly.

	* mm-extern.el (mm-inline-external-body): Use mm-display-part
	instead of gnus-display-mime.

	* mm-util.el (mm-decompress-buffer): Use mm-with-unibyte-buffer
	instead of with-temp-buffer.

	* gnus-uu.el (gnus-uu-save-article): Put mml tags instead of part
	tag to summarized topics part in order to encode non-ASCII text.

2006-04-11  Reiner Steib  <Reiner.Steib@gmx.de>

	* smiley.el (smiley-style): New variable.
	(smiley-directory): New function.
	(smiley-data-directory): Derive from `smiley-style' using
	`smiley-directory'.
	(smiley-regexp-alist): Add new entries.

	* gnus-art.el (gnus-button-valid-localpart-regexp): Exclude `@'.
	(gnus-article-browse-delete-temp): Add :version.

2006-04-11  Arne Jørgensen  <arne@arnested.dk>

	* gnus-sieve.el (gnus-sieve-generate): Delete from the start of
	the sieve region.

2006-04-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump version.

2006-04-11  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el: No Gnus v0.4 is released.

2006-04-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnslashdot.el (nnslashdot-retrieve-headers-1): Fix up to new
	layout.

	* rfc2047.el (rfc2047-decode-encoded-words): Don't message about
	unknown charset.

	* message.el (message-header-synonyms): Add Original-To to the
	default.

	* gnus-sum.el (gnus-get-newsgroup-headers-xover): group is an
	optional parameter.

2006-04-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-fun.el (gnus): Require it for gnus-directory.

2006-04-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-fun.el (gnus-face-properties-alist): Add :version.

2006-04-05  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-process-filter): Fix.

2006-04-05  Simon Josefsson  <jas@extundo.com>

	* password.el (password-reset): New function.

2006-04-05  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-encrypt-region, pgg-gpg-sign-region): Wait
	for BEGIN_SIGNING too, new in GnuPG 1.4.3.

2006-04-04  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-google-create-mapping): Update regexp.
	Some whitespace was matched into the url, which broke browsing hits
	> 100 when mm-url-use-external was nil.

2006-04-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-from-or-to-or-newsgroups): Check
	gnus-extra-headers for 'Newsgroups.

	* message.el (message-tool-bar-gnome): Check if `flyspell-mode' is
	bound.

2006-04-04  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el: Clean up process buffers every time gpg processes
	complete.

2006-04-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-fun.el (gnus-convert-image-to-face-command): Fix typo in
	doc string.

2006-04-03  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-process-filter)
	(pgg-gpg-wait-for-completion): Check if buffer is alive.

	* pgg-gpg.el (pgg-gpg-process-sentinel): Don't remove GNUPG:
	lines, temporary fix.

2006-03-31  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-update-tool-bar): Add :initialize and :set.

2006-03-29  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-start-process): Don't bind
	default-enable-multibyte-characters.  This reverts the change from
	revision 6.17 which is no longer necessary because the passphrase
	is sent separately now.  GnuPG messages are unreadable under
	multibyte locales with default-enable-multibyte-characters set to
	nil.

2006-03-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-tool-bar-gnome): Move "spell".

2006-03-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-from-or-to-or-newsgroups): Don't use
	XEmacs-only `replace-in-string'.  Use `gnus-group-real-name'
	instead.

2006-03-27  Karl Kleinpaste  <karl@charcoal.com>

	* gnus-sum.el (gnus-summary-from-or-to-or-newsgroups): Improve
	newsgroups handling for NNTP overviews which don't include
	Newsgroups.

2006-03-26  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* message.el (message-resend): Bind message-generate-hashcash to nil.

2006-03-26  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* hashcash.el (hashcash-already-paid-p): Bind case-fold-search
	when searching for already-paid recipients.

2006-03-27  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el: Invoke gpg asynchronous, to avoid querying for
	passphrases when it is not needed.
	(pgg-gpg-use-agent): Add, to hard code that pgg shouldn't wait for
	passphrase stuff from gpg, should only be necessary when you use
	gpg with a smartcard.

2006-03-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-insert-mime): Ignore cached contents of
	message/external-body part.

	* mm-decode.el (mm-get-part): Add optional 'no-cache' argument.
	(mm-insert-part): Ditto.

2006-03-23  Simon Josefsson  <jas@extundo.com>

	* pgg-gpg.el (pgg-gpg-update-agent): Add again, with fixes from
	Reiner.
	(pgg-gpg-use-agent-p): Use it again.

2006-03-23  Simon Josefsson  <jas@extundo.com>

	* pgg-gpg.el (pgg-gpg-update-agent): Remove, doesn't work with
	older emacsen.
	(pgg-gpg-use-agent-p): Don't use it.

2006-03-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* pgg-gpg.el (pgg-gpg-update-agent): Only use make-network-process
	if we can.

2006-03-22  Sascha Wilde  <wilde@sha-bang.de>

	* pgg-gpg.el (pgg-gpg-use-agent): Disable by default.
	(pgg-gpg-update-agent): New function.
	(pgg-gpg-use-agent-p): New function.
	(pgg-gpg-process-region, pgg-gpg-encrypt-region)
	(pgg-gpg-encrypt-symmetric-region, pgg-gpg-decrypt-region)
	(pgg-gpg-sign-region): Use it.

2006-03-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-map-articles): Don't funcall symbol macro.
	Reported by Ralf Wachinger <rwachinger@gmx.de>.

2006-03-21  Simon Josefsson  <jas@extundo.com>

	* pgg-gpg.el: Ideas below based on patch from Sascha Wilde
	<wilde@sha-bang.de>.
	(pgg-gpg-use-agent): New variable.
	(pgg-gpg-process-region): Use it.
	(pgg-gpg-encrypt-region): Likewise.
	(pgg-gpg-encrypt-symmetric-region): Likewise.
	(pgg-gpg-decrypt-region): Likewise.
	(pgg-gpg-sign-region): Likewise.
	(pgg-gpg-possibly-cache-passphrase): Don't cache a nil password.

2006-03-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-agent.el (gnus-agent-queue-mail): Fix custom tag for `t'.

	* spam.el (spam-mark-new-messages-in-spam-group-as-spam):
	Add comment on version.

2006-03-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* smiley.el: Add missing test smiley.

2006-03-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-with-part): New macro.
	(mm-get-part): Use it; work with message/external-body as well.
	(mm-save-part): Treat name and filename equally.

	* mm-extern.el (mm-extern-cache-contents): New function.
	(mm-inline-external-body): Use it; force the part to be displayed;
	move undisplayer added to the cached handle to the parent.

	* gnus-art.el (gnus-mime-save-part-and-strip): Add name parameter.
	(gnus-mime-view-part-as-type): Work with message/external-body.

	* gnus-util.el (gnus-tool-bar-update): Bind tool-bar-mode.

2006-03-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* gmm-utils.el (gmm-image-load-path-for-library): Prefer user's
	images in image-load-path.  [Sync with image.el, revision 1.60, in
	Emacs.]

2006-03-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* gmm-utils.el (gmm-image-load-path-for-library): Pass value of
	path rather than symbol.  Always return list of directories.
	Guarantee that image directory comes first.  [Sync with image.el,
	revision 1.59, in Emacs.]

	* message.el (message-make-tool-bar): Adjust to new API of
	`gmm-image-load-path-for-library'.

	* gnus-sum.el (gnus-summary-make-tool-bar): Ditto.

	* gnus-group.el (gnus-group-make-tool-bar): Ditto.

2006-03-15  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus-art.el (gnus-article-only-boring-p):
	Bind inhibit-point-motion-hooks to avoid infinite loop when entering
	intangible text.
	Reported by Ralf Wachinger <rwnewsmampfer@geekmail.de>.

2006-03-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* gmm-utils.el (gmm-image-load-path-for-library): Fix typo.  Use
	`defun' instead of `gmm-defun-compat'.

2006-03-14  Simon Josefsson  <jas@extundo.com>

	* message.el (message-unique-id): Don't use message-number-base36
	if (user-uid) is a float.
	Reported by Bjorn Solberg <bjorn_ding1@hekneby.org>.

2006-03-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-uu.el (mm-uu-dissect): Dissect all parts correctly.

	* gnus-art.el (gnus-mime-display-single): Make sure there is an
	empty line between a part and a message part.

2006-03-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* smiley.el: Add more test smileys.
	(smiley-data-directory, smiley-regexp-alist)
	(gnus-smiley-file-types): Fix doc strings.
	(smiley-update-cache): Clear smiley-cached-regexp-alist before
	adding new elements.
	(smiley-mouse-map): Unused code.  Make it a comment.

2006-03-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-nocem.el (gnus-nocem-scan-groups): Add autoload cookie;
	scan latest NoCeM messages instead of old ones.
	(gnus-nocem-check-article): Fix regexps so as to match to PGP
	delimiters that are recently used.
	(gnus-nocem-load-cache): Add autoload cookie.

	* gnus.el (gnus-use-nocem): Enable it to be set to also a number.

	* gnus-start.el (gnus-setup-news): Scan NoCeM messages if a group
	level which is larger than gnus-use-nocem is specified.

	* gnus-group.el (gnus-group-get-new-news): Ditto.

2006-03-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-util.el (gnus-tool-bar-update): New function.

	* gnus-group.el (gnus-group-update-tool-bar): New variable.
	(gnus-group-insert-group-line): Add gnus-tool-bar-update.

	* gnus-topic.el (gnus-topic-prepare-topic): Add gnus-tool-bar-update.

	* gnus-group.el (gnus-group-redraw-when-idle)
	(gnus-group-redraw-check): Remove.
	(gnus-group-make-tool-bar): Remove gnus-group-redraw-check.

2006-03-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmail.el (nnmail-split-it): Invert match-partial-words behavior
	if optional last element is specified in splits (FIELD VALUE...).

2006-03-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-make-tool-bar): Rename gmm-image-load-path
	to gmm-image-load-path-for-library.  Call with no-error argument.
	(message-tool-bar-gnome): Rename "mail/attach" to "attach".

	* gnus-sum.el (gnus-summary-make-tool-bar): Ditto.

	* gnus-group.el (gnus-group-make-tool-bar): Ditto.

	* gmm-utils.el (gmm-image-load-path): Remove alias.

2006-03-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* gmm-utils.el (gmm-image-load-path): Add alias.

	* nnml.el (nnml-generate-nov-databases-directory): Rename from
	nnml-generate-nov-databases-1.
	(nnml-generate-nov-databases): Use it.
	(nnml-generate-nov-databases-directory): Document no-active
	argument.

	* gmm-utils.el (gmm-image-load-path-for-library): Return single
	directory if path is t.  Add no-error.

	* gnus-group.el (gnus-group-make-tool-bar): Use add-hook.
	Suggested by Stefan Monnier <monnier@iro.umontreal.ca>.

	* gnus-art.el (gnus-article-browse-delete-temp-files): Simplify
	resetting gnus-article-browse-html-temp-list.

	* gmm-utils.el (gmm-image-load-path-for-library): Sync with
	mh-compat.el revision 1.9 in Emacs.  Rename `gmm-image-load-path'.
	Add example to docstring.  Rename local variables.  Move error
	checks to default case in cond and simplify.

2006-03-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-w3m-cid-retrieve-1): Check carefully whether
	handle is multipart when calling it recursively.
	(mm-w3m-cid-retrieve): Display warning if retrieving fails.

2006-03-03  Daniel Pittman  <daniel@rimspace.net>

	* nnimap.el (nnimap-request-update-info-internal): Optimize.
	Don't `gnus-uncompress-range' to avoid excessive memory usage.

2006-03-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-tool-bar-gnome): Check if gnus-topic.el
	is loaded.

	* gnus-sum.el (gnus-summary-tool-bar-gnome): Check if spam.el is
	loaded.

2006-03-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-with-unibyte-current-buffer): Change "Emacs 23"
	to "Emacs 23 (unicode)" in doc string.

	* gnus-sum.el (gnus-summary-set-display-table): Change "Emacs 23" to
	"Emacs 23 (unicode)" in comment.

2006-03-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-get-part): Don't use mm-with-unibyte-current-buffer.

	* gnus-sum.el (gnus-summary-set-display-table): Don't nix out
	characters 160 through 255 in Emacs 23.

2006-03-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-browse-html-temp-list): Rename from
	gnus-article-browse-html-temp.
	(gnus-article-browse-delete-temp): Make it customizable.  Add
	`file'.  Adjust doc string.
	(gnus-article-browse-delete-temp-files): Add argument.  Allow
	query for each file.  Adjust doc string.
	(gnus-article-browse-html-parts): Add
	`gnus-article-browse-delete-temp-files' to
	`gnus-summary-prepare-exit-hook' and `gnus-exit-gnus-hook'.

2006-03-02  Hynek Schlawack  <hynek@ularx.de>

	* gnus-art.el (gnus-article-browse-html-temp)
	(gnus-article-browse-delete-temp): New variables.
	(gnus-article-browse-delete-temp-files): New function.
	(gnus-article-browse-html-parts): Use it.

2006-03-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-redraw-check): Remove redundant tests.

	* gmm-utils.el (gmm-image-load-path): Mention ../etc search in doc
	string.

	* gnus-sum.el (gnus-summary-tool-bar-gnome): Don't use
	gnus-summary-insert-new-articles when unplugged.  Remove
	gnus-summary-search-article-forward.

	* gmm-utils.el (gmm-tool-bar-style): Test tool-bar-mode and
	display-visual-class instead of display-color-cells.

2006-03-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-generate-mime-1): Encode parts other than text/* or
	message/* containing non-ASCII text properly.

2006-03-01  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el: Require gmm-utils, remove autoloads.
	(message-tool-bar): Set default based on
	gmm-tool-bar-style.
	(message-tool-bar-gnome): Add gmm-customize-mode.

	* gnus-sum.el (gnus-summary-tool-bar): Set default based on
	gmm-tool-bar-style.
	(gnus-summary-tool-bar-gnome): Add gmm-customize-mode.

	* gnus-group.el (gnus-group-tool-bar): Set default based on
	gmm-tool-bar-style.
	(gnus-group-tool-bar-gnome): Add gmm-customize-mode.

	* gmm-utils.el (gmm-image-directory): Rename variable from
	gmm-image-load-path.
	(gmm-image-load-path): Use gmm-image-directory.
	(gmm-customize-mode): New function.
	(gmm-tool-bar-style): New variable.

	* gnus-group.el (gnus-group-redraw-when-idle): Rename from
	gnus-group-redraw-line-number.
	(gnus-group-redraw-check): Simplify.
	(gnus-group-tool-bar-update): Remove redraw check.
	(gnus-group-make-tool-bar): Add redraw check.

2006-03-01  Michael Piotrowski  <mxp@dynalabs.de>  (tiny change)

	* gnus-art.el (gnus-button): Add missing parentheses.

2006-02-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-with-unibyte-current-buffer): Add note.

2006-02-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button): New face.
	(gnus-article-button-face): Use it.

	* gnus-sum.el (gnus-summary-tool-bar-gnome): Add
	gnus-summary-next-page.  Re-order.

	* gnus-group.el (gnus-group-tool-bar-gnome): prev-node and
	next-node are now included.
	(gnus-group-redraw-line-number): New internal variable.
	(gnus-group-redraw-check): Helper function for updating the tool
	bar.
	(gnus-group-tool-bar-update): Add gnus-group-redraw-check.

	* gmm-utils.el (gmm-tool-bar-item): Add TODO about modifiers.

	* spam.el (spam-spamassassin-score-regexp): New internal variable.
	(spam-extra-header-to-number, spam-check-spamassassin-headers):
	Use it to match format of Spamassassin 3.0 and later.  Reported by
	IRIE Tetsuya <irie@t.email.ne.jp>.
	(spam-check-bogofilter)
	(spam-bogofilter-register-with-bogofilter): Fix args of
	`gnus-error' calls.

2006-02-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-draft.el (gnus-draft-send): Bind message-signature to avoid
	unnecessary interaction when sending queued mails.  Reported by
	TAKAHASHI Yoshio <tkh@jp.fujitsu.com>.

2006-02-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-sequence-of-unread-articles): Return nil if
	first or last are nil.

2006-02-24  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-gmane-create-mapping): Don't choke on ^M.

2006-02-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-int.el (gnus-open-server): Respect gnus-batch-mode.

2006-02-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dns.el (query-dns): Protect more against buggy tcp output.

2006-02-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnweb.el (nnweb-type-definition, nnweb-gmane-search): Use new
	nov.php.

2006-02-24  Andreas Seltenreich  <uwi7@stud.uni-karlsruhe.de>

	* nnweb.el (nnweb-type-definition, nnweb-gmane-create-mapping)
	(nnweb-gmane-wash-article, nnweb-gmane-search): Fix Gmane web
	groups.  Kudos to Olly Betts <olly@survex.com> for providing NOV
	output on the server side.
	(nnweb-google-create-mapping): Update regexps and add some
	progress indication.

2006-02-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-tool-bar-gnome): Fix
	gnus-agent-toggle-plugged.  Re-order icons.
	(gnus-group-tool-bar-gnome): Add
	gnus-group-{prev,next}-unread-group.
	(gnus-group-tool-bar-gnome): Re-order icons.

	* gnus-sum.el (gnus-summary-tool-bar-gnome): Move
	gnus-summary-insert-new-articles.

	* message.el (message-tool-bar-gnome, message-tool-bar-retro): Fix
	comments.

	* utf7.el (utf7-utf-16-coding-system): Fix comment.  utf-16-be is
	also available in Emacs 21.3.

	* message.el (message-fix-before-sending): Change "Emacs 22" to
	"Emacs 23 (unicode)" in comment.

	* qp.el (quoted-printable-encode-region): Change "Emacs 22" to
	"Emacs 23 (unicode)" in comment.

	* mm-util.el: Change "Emacs 22" to "Emacs 23 (unicode)" in
	comment.
	(mm-coding-system-p): Add comment about no-MULE XEmacs.

	* mm-view.el (mm-fill-flowed): Add :version.

2006-02-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gmm-utils.el (gmm-image-load-path): Don't modify image-load-path
	and load-path.

2006-02-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el: Autoload gmm-image-load-path.
	(message-tool-bar-retro): Prepend "gnus/" subdirectory to some
	icon file names.  Use old Emacs 21 "mail_send.xpm" icon for
	consitency.

	* gmm-utils.el (gmm-image-load-path): Also search in
	"../etc/images".  Don't set gmm-image-load-path if we don't find
	the image.

2006-02-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gmm-utils.el (gmm-image-load-path): Don't make
	`gmm-image-load-path' include subdirectories which the second arg
	`image' might specify.

	* gnus-group.el (gnus-group-tool-bar-retro): Prepend the "gnus/"
	subdirectory to icon file names.

	* gnus-sum.el (gnus-summary-tool-bar-retro): Ditto.

2006-02-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-make-tool-bar): Add IMAGE argument to
	gmm-image-load-path calls.

	* gnus-sum.el (gnus-summary-make-tool-bar): Ditto.

	* message.el (message-make-tool-bar): Ditto.

	* mml.el (mml-preview): Added comment concerning tool bar icons.

	* gnus-group.el (gnus-group-tool-bar-gnome): Use new icon names.
	(gnus-group-make-tool-bar): Use `gmm-image-load-path'.

	* gnus-sum.el (gnus-summary-tool-bar-gnome): Use new icon names.
	(gnus-summary-make-tool-bar): Use `gmm-image-load-path'.

	* message.el (message-tool-bar-gnome): Use new icon names.
	(message-make-tool-bar): Use `gmm-image-load-path'.

	* gmm-utils.el (gmm-defun-compat, gmm-image-search-load-path): New
	functions from MH-E.
	(gmm-image-load-path): New variable from MH-E.
	(gmm-image-load-path): New function from MH-E.  Added arguments
	LIBRARY, IMAGE and PATH.  Don't modify paths.  Don't use
	*-image-load-path-called-flag.

2006-02-21  Milan Zamazal  <pdm@brailcom.org>

	* mm-view.el (mm-view-pkcs7-verify): Implement using smime.el.

2006-02-21  Wolfram Fenske  <wolfram.fenske@student.uni-magdeburg.de>  (tiny change)

	* nnimap.el (nnimap-request-move-article): Change folder back to
	source group before deleting.

2006-02-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-charset-override-alist): Fix type in doc string.

	* gnus-art.el (mm-url-insert-file-contents-external): Autoload
	mm-url.

	* mm-uu.el (mm-uu-type-alist): Improve `LaTeX'.

2006-02-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-charset-to-coding-system): Don't check the
	coding system which mm-charset-to-coding-system returns for a
	given charset is valid.

2006-02-16  Juanma Barranquero  <lekktu@gmail.com>

	* html2text.el (html2text-remove-tag-list):
	* spam-stat.el (spam-stat-buffer-words): Fix typo in docstring.

2006-02-14  Chong Yidong  <cyd@stupidchicken.com>

	* gnus-cus.el: Revert 2005-10-17 change.

2006-02-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-strip-banner): Call
	article-really-strip-banner only when the regexp match is made.

2006-02-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-strip-banner): Use
	gnus-extract-address-components instead of
	mail-header-parse-addresses to make it work with non-ASCII text;
	remove mail-encode-encoded-word-string.

	* rfc2231.el (rfc2231-parse-string): Attempt to parse parameter
	values which are surrounded with \"...\"; make it never cause a
	Lisp error; give up parsing of parameters if it failed in
	extracting type.

2006-02-14  Arne Jørgensen  <arne@arnested.dk>

	* smime.el (smime-cert-by-ldap-1): Fix bug where
	`smime-ldap-search' returns results without userCertificates.

2006-02-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-make-temp-file): Don't catch file-error in Emacs.

2006-02-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam.el (spam-check-spamassassin-headers): Adapt format for
	Spamassassin 3.0 or later.  Reported by ARISAWA Akihiro
	<ari@mbf.ocn.ne.jp>.
	(spam-list-of-processors): Add spam-use-gmane.

2006-02-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-make-temp-file): Import the Emacs 22 version of
	make-temp-file; make it work with XEmacs as well.

	* gnus-art.el (gnus-article-browse-html-parts): Use the 3rd arg of
	mm-make-temp-file.

	* mm-decode.el (mm-display-external): Use the 3rd arg of
	mm-make-temp-file.
	(mm-create-image-xemacs): Ditto.

2006-02-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-draft.el (gnus-draft-send): Replace message-narrow-to-head
	with message-narrow-to-headers.
	(gnus-draft-setup): Narrow to header to run message-fetch-field.
	(gnus-draft-check-draft-articles): New function.
	(gnus-draft-edit-message, gnus-draft-send-message): Use it.

2006-02-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-browse-html-parts):
	`hs-show-html-list' should read `gnus-article-browse-html-parts'.
	Don't use suffix argument for mm-make-temp-file for Emacs 21
	compatibility.  Remove useless `format'.

2006-02-13  Andreas Seltenreich  <uwi7@stud.uni-karlsruhe.de>

	* nnweb.el (nnweb-google-wash-article): Update regexps.
	(nnweb-group-alist): Use defvoo instead of defvar.

2006-02-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnoo.el (nnoo-declare): Don't generate duplicate entries when
	re-loading nn* modules.

2006-02-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-make-tool-bar): Remove duplicate check
	for `tool-bar-mode' and don't check it's default-value.

	* gnus-sum.el (gnus-summary-make-tool-bar): Ditto.

	* message.el (message-make-tool-bar): Ditto.

	* gnus-art.el (gnus-article-browse-html-parts): Remove useless
	`substring'.  Shorten tmp-file name.

	* gnus.el: Remove bogus comment.

2006-02-10  Hynek Schlawack  <hynek@ularx.de>

	* gnus-art.el (gnus-article-browse-html-parts): New function.
	(gnus-article-browse-html-article): New function for viewing html
	articles with a browser.

2006-02-09  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-pgg-sign): Enable pgg-text-mode.
	(mml2015-pgg-encrypt): Ditto.

	* mml1991.el (mml1991-pgg-sign): Enable pgg-text-mode.
	(mml1991-pgg-encrypt): Ditto.

2006-02-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnfolder.el (nnfolder-insert-newsgroup-line): Use
	message-make-date instead of current-time-string.

	* mm-view.el (mm-inline-message): Don't set gnus-newsgroup-charset
	to gnus-decoded which mm-uu might set.

2006-02-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2231.el (rfc2231-parse-string): Sort segmented parameters;
	don't decode quoted parameters; remove misimported Emacs code.
	Suggested by ARISAWA Akihiro <ari@mbf.ocn.ne.jp>.
	(rfc2231-decode-encoded-string): Don't use split-string which
	behaves differently according to Emacs version; use
	mm-decode-coding-region to convert charset to coding-system.
	Suggested by ARISAWA Akihiro <ari@mbf.ocn.ne.jp>.
	(rfc2231-encode-string): Remove misimported Emacs code.

2006-02-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-decode-charset): Don't use ignore-errors
	when calling mail-header-parse-content-type.
	(article-de-quoted-unreadable): Ditto.
	(article-de-base64-unreadable): Ditto.
	(article-wash-html): Ditto.

	* mm-decode.el (mm-dissect-buffer): Don't use ignore-errors when
	calling mail-header-parse-content-type and
	mail-header-parse-content-disposition.
	(mm-find-raw-part-by-type): Don't use ignore-errors when calling
	mail-header-parse-content-type.

	* mml.el (mml-insert-mime-headers): Use mml-insert-parameter to
	insert charset and format parameters; encode description after
	inserting it to buffer.
	(mml-insert-parameter): Fold lines properly even if a parameter is
	segmented into two or more lines; change the max column to 76.

	* rfc1843.el (rfc1843-decode-article-body): Don't use
	ignore-errors when calling mail-header-parse-content-type.

	* rfc2231.el (rfc2231-parse-string): Return at least type if
	possible; don't cause an error even if it fails in parsing of
	parameters.  Suggested by ARISAWA Akihiro <ari@mbf.ocn.ne.jp>.
	(rfc2231-encode-string): Don't break lines at the beginning, leave
	it to mml-insert-parameter.

	* webmail.el (webmail-yahoo-article): Don't use ignore-errors when
	calling mail-header-parse-content-type.

2006-02-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam-report.el (spam-report-gmane-use-article-number):
	Improve doc string.
	(spam-report-gmane-internal): Check if a suitable header was found
	in the article.

2006-02-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2231.el (rfc2231-parse-string): Revert 2006-02-03 change.
	(rfc2231-encode-string): Make param*=value always begin with LWSP.

2006-02-05  Romain Francoise  <romain@orebokech.com>

	Update copyright notices of all files in the gnus directory.

2006-02-03  Andreas Seltenreich  <uwi7@stud.uni-karlsruhe.de>

	* nnweb.el (nnweb-request-group): Avoid growing overview files.

2006-02-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2231.el (rfc2231-parse-string): Add missing semicolons to
	segmented lines of parameter value to cope with Thunderbird 1.5
	bug (cf. https://bugzilla.mozilla.org/show_bug.cgi?id=323318).
	Suggested by ARISAWA Akihiro <ari@mbf.ocn.ne.jp>.
	(rfc2231-encode-string): Don't make lines exceeding 76 column.

2006-02-01  Max Froumentin  <max@lapin-bleu.net>  (tiny change)

	* mml.el (mml-generate-mime-1): Correct the order of inline signed
	parts.

2006-01-31  Andreas Seltenreich  <uwi7@stud.uni-karlsruhe.de>

	* nnweb.el (nnweb-group-alist): Use defvar instead of defvoo,
	there's only one active file for all servers.
	(nnweb-request-scan): Make sure nnweb-articles is initialized on
	solid groups.  Gnus might have used a FAST request to select the group.
	(nnweb-request-group, nnweb-google-parse-1): Don't keep nnweb-type
	and nnweb-search redundantly in the active file.
	(nnweb-request-list): Don't list bogus groups.  There can only be one.
	(nnweb-request-create-group): Don't use ARGS.
	(nnweb-possibly-change-server, nnweb-request-group): Remove some
	initialisations.  Let nnoo do the work.

2006-01-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-uu.el (mm-uu-emacs-sources-extract, mm-uu-diff-extract):
	Say the part has been decoded.

	* mm-view.el (mm-display-inline-fontify): Get decoded part rightly.

2006-01-31  Kevin Ryde  <user42@zip.com.au>

	* mailcap.el (mailcap-viewer-passes-test): Don't put "(nil t)" into
	mailcap-viewer-test-cache when there's no 'test clause, since that
	will invert the meaning of a "nil" test previously determined by
	mailcap-mailcap-entry-passes-test.

2006-01-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el: Bind tool-bar-mode instead of tool-bar-map when
	compiling.

	* gnus-sum.el: Ditto.

	* message.el: Don't bind tool-bar-map when compiling.

2006-01-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnweb.el (nnweb-google-parse-1): Clarify some comments.

2006-01-30  Andreas Seltenreich  <uwi7@stud.uni-karlsruhe.de>

	* nnweb.el (nnweb-type-definition, nnweb-google-parse-1)
	(nnweb-google-create-mapping, nnweb-google-search): Adapt to
	current Google Groups.

2006-01-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-make-tool-bar): Add checks for XEmacs
	and tool-bar-mode.

	* gnus-group.el (gnus-group-make-tool-bar): Add checks for XEmacs
	and tool-bar-mode.

	* message.el (message-tool-bar-update): Simplify.
	(message-make-tool-bar): Add checks for XEmacs and tool-bar-mode.

	* gnus-sum.el (gnus-summary-tool-bar-update): Check for
	gnus-summary-buffer.
	(gnus-summary-tool-bar-gnome): Use "reply-author" icon for
	gnus-summary-reply.

	* gmm-utils.el (gmm): Add :version.

2006-01-26  Steve Youngs  <steve@sxemacs.org>

	* gmm-utils.el (gmm-tool-bar-item, gmm-tool-bar-zap-list): Don't
	autoload.

2006-01-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gmm-utils.el (gmm-verbose): Add :group.

2006-01-25  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el: Change some comments WRT tool-bars.

	* gnus-sum.el (gnus-summary-tool-bar)
	(gnus-summary-tool-bar-gnome, gnus-summary-tool-bar-retro)
	(gnus-summary-tool-bar-zap-list): New variables.
	(gnus-summary-make-tool-bar): Complete rewrite using
	`gmm-tool-bar-from-list'.

	* gnus-group.el (gnus-group-tool-bar, gnus-group-tool-bar-gnome)
	(gnus-group-tool-bar-retro, gnus-group-tool-bar-zap-list): New
	variables.
	(gnus-group-make-tool-bar): Complete rewrite using
	`gmm-tool-bar-from-list'.
	(gnus-group-tool-bar-update): New function.

	* message.el (message-mode-field-menu): Add "Show hidden Headers".

2006-01-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-uu.el (mm-uu-dissect-text-parts): Ignore it if a given part
	is dissected into a single part of which the type is the same as
	the given one; decode charset.

2006-01-21  Kevin Ryde  <user42@zip.com.au>

	* mailcap.el (mailcap-parse-mailcap-extras): "test" key must go
	into alists as symbol not string, since that's what
	mailcap-viewer-passes-test and mailcap-mailcap-entry-passes-test
	look for.

2006-01-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* gmm-utils.el (gmm-tool-bar-item): Add "Separator".
	(gmm-tool-bar-from-list): Suppress tooltip for `gmm-ignore'.

	* message.el (message-tool-bar-gnome): Use gmm-ignore.

2006-01-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-security-button-commands): New variable.
	(gnus-mime-security-button-menu): New definition.
	(gnus-mime-security-button-map): Use them.
	(gnus-mime-security-button-menu): New function.
	(gnus-insert-mime-security-button): Addition to help echo.
	(gnus-mime-security-run-function, gnus-mime-security-save-part)
	(gnus-mime-security-pipe-part): New functions.

	* mm-uu.el (mm-uu-buttonize-original-text-parts): Remove.
	(mm-uu-dissect-text-parts): Revert a part of 2006-01-23 change.

	* mm-decode.el (mm-handle-set-disposition): Remove.
	(mm-handle-set-description): Remove.

2006-01-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-w3m-standalone-supports-m17n-p): New variable.
	(mm-w3m-standalone-supports-m17n-p): New function.
	(mm-inline-text-html-render-with-w3m-standalone): Use it to alter
	w3m usage.

	* gnus-art.el (gnus-article-wash-html-with-w3m-standalone): Use
	mm-w3m-standalone-supports-m17n-p to alter w3m usage.

2006-01-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-tool-bar-zap-list): Use
	gmm-tool-bar-zap-list as custom type.
	(message-tool-bar-update): New function.
	(message-tool-bar, message-tool-bar-gnome)
	(message-tool-bar-retro): Add message-tool-bar-update.
	(message-tool-bar-gnome): Add flyspell-buffer.

	* gnus-util.el (gnus-error): Describe `args'.

	* gmm-utils.el (gmm-error): Describe `args'.
	(gmm-tool-bar-zap-list): New widget.
	(gmm-tool-bar-from-list): Improve description of `zap-list'.

2006-01-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-uu.el (mm-uu-buttonize-original-text-parts): New variable.
	(mm-uu-dissect-text-parts): Buttonize original text parts; reduce
	the number of recursive calls.

	* mm-decode.el (mm-handle-set-disposition): New macro.
	(mm-handle-set-description): New macro.

2006-01-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-uu.el (mm-uu-dissect-text-parts): Decode content transfer
	encoding.

2006-01-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-tool-bar-zap-list, message-tool-bar)
	(message-tool-bar-gnome, message-tool-bar-retro): New variables.
	(message-tool-bar-local-item-from-menu): Remove.
	(message-tool-bar-map): Replace by `message-make-tool-bar'.
	(message-make-tool-bar): New function.
	(message-mode): Use `message-make-tool-bar'.

	* gmm-utils.el: New file.
	(gmm-verbose, gmm-message, gmm-error): From gnus-utils.el.
	(gmm-lazy): New widget copied from `nnmail.el'.
	(gmm-tool-bar-from-list): New function for creating customizable
	tool bars.
	(gmm-tool-bar-from-list): Fix typos in doc string.  Remove debug
	output.
	(gmm): Add :prefix to defgroup.

2006-01-20  Per Abrahamsen  <abraham@dina.kvl.dk>

	* gmm-utils.el (gmm-widget-p): New function.

2006-01-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml.el (mml-attach-file): Describe `description' in doc string.
	(mml-menu): Add Emacs MIME manual and PGG manual.

2006-01-20  Richard M. Stallman  <rms@gnu.org>

	* mm-url.el (mm-url-load-url): Require url-parse and url-vars.

2006-01-20  Kevin Greiner  <kevin.greiner@compsol.cc>

	* nntp.el (nntp-end-of-line): Doc fix.

2006-01-20  Chong Yidong  <cyd@stupidchicken.com>

	* imap.el (imap-open): Handle case where buffer is a buffer
	object.

2005-01-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-delay.el (gnus-delay): Don't autoload.
	It's useless and could trigger a bug in cus-dep.el causing ldefs-boot
	to be re-loaded when customizing the `gnus-delay' group.

2005-01-20  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-insert-citation-line): Use newlines.

2006-01-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-bodies.el (mm-decode-body): Don't decode decoded body.

	* mm-uu.el (mm-uu-dissect-text-parts): Dissect dissected parts.

2006-01-19  Mark D. Baushke  <mdb@gnu.org>

	* pgg-gpg.el (pgg-gpg-encrypt-region): Add --textmode to gpg args.

2006-01-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-inlined-types): Add application/pgp.
	(mm-automatic-display): Ditto.

	* mm-uu.el (mm-uu-dissect-text-parts): Recognize application/pgp
	part as text.

2006-01-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el: Update copyright.
	(nnrss-opml-import): Query whether to subscribe to each entry.

	* gnus-art.el:
	* gnus-sum.el:
	* mm-uu.el:
	* mm-view.el: Update copyright.

2006-01-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-info): New function.
	(message-mode-menu): Add it.
	Update copyright.

	* ChangeLog: Fix and update copyright.

2006-01-13  Romain Francoise  <romain@orebokech.com>

	* message.el (message-forward-subject-name-subject): Prefer the
	address to 'nowhere' if the sender has no name.
	Fix typo.  Update copyright year.

2006-01-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-wash-html): Use
	gnus-summary-show-article-charset-alist if a numeric arg is given.
	(gnus-article-wash-html-with-w3m-standalone): New function.

	* mm-view.el (mm-text-html-renderer-alist): Map w3m-standalone to
	mm-inline-text-html-render-with-w3m-standalone.
	(mm-text-html-washer-alist): Map w3m-standalone to
	gnus-article-wash-html-with-w3m-standalone.
	(mm-inline-text-html-render-with-w3m-standalone): New function.

2006-01-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-uu.el (mm-uu-type-alist): Fix previous message-marks commit.
	Improve LaTeX.

2006-01-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-wash-html-in-text-plain-parts): New variable.
	(nnrss-request-article): Render text/plain parts as HTML.

	* gnus-art.el (gnus-article-wash-html-with-w3m): No need to narrow
	the buffer.

2006-01-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-cus.el (gnus-group-parameters): Sync posting-style with
	custom definition of `gnus-posting-styles'.

	* gnus-start.el (gnus-gnus-to-quick-newsrc-format): Bind
	print-circle.  Suggested by Kalle Olavi Niemitalo <kon@iki.fi>.

2006-01-05  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-useful-groups): Use Gmane for ding.
	Use nntp for bug archive.

2006-01-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-request-article): Fix the way to fill text/plain
	parts.
